Amarok ChangeLog
================
(C) 2002-2024 the Amarok authors.


VERSION 3.0.1
  FEATURES:
   * Added an option to copy image to clipboard in Wikipedia applet, and a clickable
     notification if a non-Wikipedia link was clicked.
   * Added an option to select if track's artist is shown for entries under various
     artists / different album artist in context browser (BR 276039, BR 248101)
   * Indicate which search option is active in Wikipedia applet (BR 332010)

  CHANGES:
   * Amarok now depends on KDE Frameworks 5.78.
   * Improve strings in user interface (incl. BR 343896, BR 234854)
   * Reduce CPU usage by minimized/hidden analyzer (BR 390063) and other components.

  BUGFIXES:
   * Various tag match bias, APG and collection filtering related fixes (BR 375565,
     BR 406751, BR 435810, BR 382456)
   * Ignore any infinite values when reading replaygain tags (BR 486084)
   * Avoid volume getting set to 0 when phonon-vlc playback is stopped (BR 442319)
   * Playlist duplicate track deletion fixes (BR 313791)


VERSION 3.0.0
  FEATURES:
   * Added a visual hint that context view applets can be resized in edit mode.
   * Display missing metadata errors in Wikipedia applet UI.
   * Add a button to stop automatic Wikipedia page updating. (BR 485813)

  CHANGES:
   * Replace defunct lyricwiki with lyrics.ovh as lyrics provider for now. (BR 455937)
   * Show only relevant items in wikipedia applet right click menu (BR 323941), use
     monobook skin for opened links and silently ignore non-wikipedia links.
   * Don't show non-functional play mode controls in dynamic mode (BR 287055)

  BUGFIXES:
   * Fix loading of some Flickr photos in the photos context view applet and show
     more relevant photos. (BR 317108)
   * Fix playlist inline play control slider knob & draw playlist delegate icons with
     higher DPI.
   * Fix searching for composer and album info for local files in Wikipedia applet.
   * Don't remove wrong songs from collection when contents of a folder, whose name is
     a substring of another collection folder, are changed (BR 475528)
   * Prefer symbolic systray icon to fix colours in Plasma6 systray (BR 485748)


VERSION 2.9.82
  FEATURES:
   * Enable dragging and dropping tracks from context view to playlist again. (BR 439736)
   * Add menu entry for collapsing all expanded items in collection view. (BR 244509)
   * Show song progress on OSD (BR 278445), make only background translucent (BR 187781)
   * Allow copying track details by clicking on current track context applet. (BR 283457)
   * Allow drag&drop rearranging in queue editor. (BR 263563)
   * Added support for FFmpeg 5.0. (BR 459933)
   * Added support for TagLib 2.0.

  CHANGES:
   * Amarok now depends on TagLib 1.12, Qt 5.15, and KDE Frameworks 5.77.
   * Wide-ranging changes to remove usages of deprecated methods of Qt and
     KDE Frameworks, that should not affect functionality.
   * Removed upnpcollectionplugin.
   * Non-functional OSD positioning settings disabled in UI on Wayland for now.
   * Unified OSD to use system-styled rating stars. Also use higher DPI for images.
   * The scripting engine has been ported from QtScript to QJSEngine. This is a work in
     progress, and previous scripts are often not compatible. The script API documented
     at https://community.kde.org/Amarok/Development/Script_API is partially out of date.
     Additionally, due to incompatibilities and other issues, KNewStuff downloading of
     scripts is disabled for the time being.

  BUGFIXES:
   * Fix playlist generator UI strings. (BR 423598)
   * Fix potential corruption of Ogg files by requiring a recent-enough TagLib
     version (BR 397184).
   * Fix TagLib Extras to be treated as optional and not required for building Amarok.
   * Various fixes for e.g. crashes (including BR 428769, BR 444408, BR 468303, BR 477180,
     BR 393080, BR 446543), problems of playback stalling on missing files (including
     fix for BR 438651), context applets (BR 420964, BR 195338) UI bugs (e.g.
     podcasts BR 484395, BR 219518, and playlist layout editor), CD collections
     (BR 455371, BR 279188), and .desktop files, AppStream metadata and DBus service
     specifications.


VERSION 2.9.71
  FEATURES:
   * Initial version of Qt 5 / KDE Frameworks 5 port.

  CHANGES:
   * Amarok now depends on Qt 5.8 and KDE Frameworks 5. The changes, which may include
     functionalities temporarily or permanently removed due to porting, are too numerous
     to be accurately represented here.

  BUGFIXES:


VERSION 2.9.0
  FEATURES:

  CHANGES:
   * Substitute deprecated MySQL option --myisam-recover for compatibility with
     MySQL 5.7+ thanks to Terje Rosten, Stefano Pettini. (BR 354255)

  BUGFIXES:
   * Fix integer fields, like length, always showing up as zero in filter creation
     dialog; thanks to Stefano Pettini. (BR 341661)
   * Fix background color of the lyrics applet, thanks to Stefano Pettini. (BR 314854)
   * Fix Organize tracks / Guess tags presets not persisted properly;
     thanks to Stefano Pettini. (BR 226144)
   * Fix MPRIS2 DesktopEntry name, makes media controls in Plasma 5.7 taskbar work
     again; thanks to Antonio Rojas, Rex Dieter. (BR 365275)
   * Auto-expand after search in Collection Browser works correctly again. (BR 335217)
   * Fix crash during MusicBrainz search. (BR 328359)


VERSION 2.8.90
  FEATURES:
   * Database configuration dialog now has a "test connection" button.
   * Add Service entries for directories. (BR 229708)
   * Collection Browser scrolls back to its original position when the filter is cleared.
     (BR 188074)
   * Notification Center support on Mac OS X.
   * Statistics synchronization between Amarok collections and
     Amarok 1.4, Amarok 2.x, Apple iTunes, Banshee, Clementine, and
     Rhythmbox track databases.
   * Usability of the Organize Files dialog has been improved.
   * Wikipedia can now be also used over SSL.
   * New ASCII Analyzer option in the Analyzer widget. Patch provided by Matej Repinc

  CHANGES:
   * Last played and first played dates now use the same formatter than in the playlist
     giving a human readable date such as "one minute ago" in meta edit dialog.
   * "Import" button under Configure Amarok -> Local Collection no longer
     serves to import statistics from Amarok 1.4 and iTunes, and has been
     renamed to "Import batch file" to reflect the change.
   * Configure Amarok -> Metadata tab includes new buttons to add and
     reconfigure synchronization targets.
   * When ffmpeg is not available, the Transcode dialog is no longer skipped; info message
     is shown instead. Patch by Jai Luthra. (BR 317902)
   * Amarok now uses some C++11 features. The subset used is defined by the 
     compilers currently supported by KDE.

  BUGFIXES:
   * Fixed longstanding APG zero-length playlist bug (BR 313762, BR 315206,
     BR 323945)
   * Fix a crash when searching the Icecast directory. (BR 334479)
   * Correct wrong lowercase for FLAC and MP3. Patch provided by Duilio Felix (BR 339495)
   * Collection Browser no longer excessively expands the tree. (BR 300557)
   * Properly calculate and store Aft tags in mp4 files.  Patch By Stefano
     Pettini <stefano.pettini@gmail.com> (BR 332811)
   * Update Progress Slider when restoring from System Tray. Patch By Abhay
     Sombanshi <abhaysombanshi92@gmail.com> (BR 299883)
   * Update Jamendo to use new website. Patch By Yash Ladia
     <yashladia1@gmail.com> (BR 331934)
   * Allows CollectionBrowser filter to have length of almost 24 hours. (BR 291400)
   * Prevent creation of video stream when transcoding to Opus. Patch by Martin Brodbeck.
   * Fix crash when starting Amarok with an iPod mounted. (BR 329498)
   * Also fetch cover art from xiph-comments with METADATA_BLOCK_PICTURE tag.
     Patch by Martin Brodbeck <martin@brodbeck-online.de>. (BR 328451)
   * Fix crash on quit when Amarok is in the middle of fadeout. (BR 325723)
   * Prevent shared memory size errors for very large collections. (BR 327812)
   * Fix OpenGL related crash. (BR 327150)
   * Always show preview in Organize Files dialog, hide complicated options behind
     a button. (BR 327201)
   * Fix sound glitch with fade-out on pause and GStreamer. (BR 323729)
   * Fix a bug in Organize Collection functionality that could lead to assertion failures
     later on. (BR 322474)
   * Fix an assertion failure when a track in Local Collection is replaced by another
     already tracked one. (BR 323156)
   * Fix failure to start embedded MySQL (with version 5.1 and MariaDB). (BR 323802)
   * Fixed compilation with libc++ (used on OSX and FreeBSD). (BR 324075)
   * Fixed crashes with Intel drivers due to Analyzer applet. (BR 323635)
   * Fixed performance problem with large podcast feeds.
     Patch by Frank Meerkoetter <frank@meerkoetter.org>. (BR 283022)
   * Fixed issue with Amarok sometimes not finding its plugins after an upgrade.
   * Album Artist / Compilation / Disc Number tags are now read correctly
     from APE tags. Patch by Bruno Léon <bruno.leon@nividic.org>. (BR 323735)
   * Using Shuffle keyboard shortcut no longer causes Amarok to crash.
     (BR 323614)
   * Check for QtBindings at runtime instead. Disable scripts and display error message
     if missing. (BR 325006)
   * Print playlist download errors to the debug log. (BR 325120)
   * Wikipedia Applet only connect with SSL, so that redirects are handled
     correctly. (BR 349313)

VERSION 2.8
  FEATURES:
   * Tracks from Recently Played List widget can now directly be added to the
     playlist. (BR 279263, BR 296090)

  CHANGES:
   * The Jamendo service now uses a higher quality MP3 format instead of Ogg Vorbis.
   * Added an option whether adding tracks to playlist should start playing. (BR 322428)
   * Amarok now depends on Qt 4.8.3.
   * Amarok now uses FindFFMpeg.cmake from kdelibs

  BUGFIXES:
   * Don't reload Wikipedia applet content if artist/album have not changed. 
     Patch by Frank Meerkoetter <frank@meerkoetter.org>. (BR 112044)
   * Jamendo service: Albums are now downloaded directly instead of going via
     BitTorrent. This is far more reliable and also supports on-the-fly transcoding.
     (BR 299434)
   * Work-around Solid UDisks2 backend bug that caused USB Mass Storage devices and iPods
     not being recognized when connected before Amarok was started. Also fixes a bug where
     blank devices would appear in Play Media dialog. (BR 322980)
   * Definitely fix a bug where storing Last.fm credentials in plain-text isn't offered
     when KWallet is disabled. (BR 315306)
   * Radio streams from scripted services are now instantly playable. (BR 320718)
   * Recently Played List widget now keeps its own time for tracks instead of relying on
     the Last Played statistic. (BR 302485)
   * Prevent hitting an assertion failure if just removed track from the Local Collection
     is edited. (BR 322474)
   * Fixed a regression introduced in 2.8 Beta where tracks in the Local Collection were
     sometimes forgotten and then found again. (BR 322603)
   * Fixed invalid SQL queries when you have files or folders with an apostrophe in
     your collection. (BR 322415)
   * Fixed organizing/copying/moving tracks to Local Collection on Windows. (BR 279560,
     BR 302251)
   * Various usability improvements for the applet toolbar. (BR 197948)
   * Removed broken Apply button in applets' settings dialog. (BR 322015)
   * Fix incorrect colors in Context View toolbar when switching themes. (BR 301305)
   * Many fixes for various bugs with switching desktop color themes at runtime,
     including OSD, spectrum analyzer, collection browser.
   * Avoid updating the MPRIS2 Metadata between tracks. (BR 321602)


VERSION 2.8-Beta 1
  FEATURES:
   * Ctrl+C copies the currently playing artist & title to the clipboard. (BR 228872)
     Patch by fleissig fleissig <fleissig@yandex.ru>.
   * Volume fade-out is now also available for pause.
   * The Files browser now has a Refresh button. (BR 213666)
   * The active playlist item is animated with a soft glow effect.
   * Added an audio analyzer visualization applet.
   * Added a function for resetting the GUI layout back to default state. (BR 300753)
   * Pressing enter when searching collections now adds found tracks to the playlist and
     clears the search bar, this is a very convenient way to populate your playlist.
   * Allow to transcode only certain (different format, playability) tracks when
     transferring them to a collection; patch by Anmol Ahuja. (BR 312407)
   * On-Screen-Display fades in/out smoothly.
   * Added support for .asx playlists; patch by Tatjana Gornak. (BR 170207)
   * Add Radio GFM radio streams to Cool Stream Script. (BR 317978)
   * Added options to pause playback on system suspend and to inhibit automatic suspend
     if playing a track (enabled by default); patch by Anmol Ahuja.
     (BR 259862) (BR 222571)
   * Playlist files are now read asynchronously when possible; patch and great deal of
     refactoring by Tatjana Gornak. (BR 291934)
   * Added support to filter tracks to scrobble to Last.fm by label. Patch by Vedant
     Agarwala. (BR 140198)
   * Added transcoding support for Opus codec if ffmpeg is compiled with support for the
     libopus library, patch by Martin Brodbeck.
   * Added keyboard shortcuts for small 2 s seeks (Ctrl + Left/Right) and long 1 minute
     seeks (Shift + Left/Right) in addition to standard 10 s seeks. Durations are now
     configurable in amarokrc, see Amarok Handbook. Patch by Anmol Ahuja. (BR 177258)
   * Added support for files in Opus codec if Amarok is compiled against recent enough
     TagLib (post 1.8), patch by Martin Brodbeck. (BR 312905)
   * Added Ctrl+H shortcut to randomize playlist, patch by Harsh Gupta. (BR 208061)

  CHANGES:
   * Removed LikeBack (a development feature in debug builds). (BR 312498) (BR 252323)
   * Collection Browser: Artist level was renamed to Track Artist and replaced by Album
     Artist by default. Various Artists item is no longer shown under Track Artist level.
   * Removed the splash screen.
   * Playlist-related actions were harmonized, double-clicking or pressing enter will
     append tracks to playlist, using any "play media" action or middle-clicking will
     prepend tracks to queue and immediately start playing. (BR 145468, BR 145490,
     BR 194549)
   * When a new collection plugin is enabled, its collections appear immediately without a
     need for restart.
   * Update the MusicBrainz tagger to MusicBrainz web service 2, make it show some more
     good suggestions for tagging, and add some options to help choosing the best results.
   * Add note about generating .mood files into Moodbar Options; patch by Harsh Gupta with
     tweaks by Matěj Laitl. (BR 289483)
   * Amarok now depends on Qt 4.8.2.
   * Add prepareToQuit() signal to Amarok.Window script bindings; patch by Anmol Ahuja.
     (BR 241066)
   * Data CDs are now recognized in Amarok; patch by Anmol Ahuja. (BR 316128)
   * On-Screen-Display now uses the system font instead of hardcoded sans-serif.
     (BR 248707)
   * Fancy behavior of some context menus showing different actions when Shift key is held
     has been reverted. All entries are now shown all the time.
   * The dynamic playlist behavior has changed. It will no longer generate "pretty good"
     playlists that do not fulfill the given biases. Instead it might add no song at all
     if given impossible-to-fulfill conditions.
   * The "tracks have been hidden in the playlist" warning when filtering the playlist is
     now displayed inside the playlist. (BR 260352)
   * Update tag widget for Layout edit, filter edit, organize collection and guess tag
     dialog.
   * When fadeout and/or Replay Gain isn't possible, gray-out related UI elements in order
     not to fool users.

  BUGFIXES:
   * When you remove whole directories from the Local Collection and have Watch Folders
     for Changes enabled, the tracks now disappear from Collection Browser. (BR 311078)
   * Fix dynamic playlist bug: When "Automatically scroll playlist to current track"
     was enabled, Amarok would keep scrolling to the bottom. (BR 284214)
   * Fix a problem where ghost tracks would remain in the Local Collection until the
     database is wiped. (BR 319084)
   * Added missing CMake check for QtWebKit. (BR 321598)
   * Definitely fix a bug where Local Collection wouldn't update in browser. (BR 262504)
   * Fix crashed caused by race conditions at the end of the track scanning. (BR 319835)
   * Fix crash when disabling the Free Music Charts script. (BR 321329)
   * Albums having same name but different album artist won't be mixed together on the
     playlist if sorting by album is enabled.
   * Fix crash on startup with KDE 4.11. Patch by Hrvoje Senjan
     <hrvoje.senjan@gmail.com>. (BR 320855)
   * Fix tracks not able to be dragged around when playlist is shuffled. (BR 320129)
   * Prevent Last.fm scrobbles not being submitted until restart due to change in
     liblastfm 1.0.7. (BR 320219)
   * Resume Playback on Start will correctly restore paused state, instead
     of always starting in playing state. (BR 313330)
   * Optimize removal of tens of thousands of tracks from playlist. (BR 316242)
   * Fix `amarok --queue` which didn't actually queue the tracks. (BR 317385)
   * Fix suboptimal initial MusicBrainz tag dialog size by remembering it. (BR 269454)
   * Fix file-browser becoming empty when a file was moved to trash. (BR 317944)
   * Fix `amarok --play file.mp3` option didn't actually start playback.
   * Reason why a particular track is not playable is now shown in playlist tooltip; patch
     by Anmol Ahuja. (BR 313649)
   * Pre-apmlifier in equalizer is now only enabled if it is actually supported; patch by
     Harsh Gupta. (BR 301311)
   * Fix Amarok crashed while doing "Organize Files" (BR 317980)
   * Fix Amarok erroneously merges two albums. (BR 216759, BR 272802)
   * Fix Crash on very long artist names. (BR 276894)
   * Fix Move tracks to rubbish and the current track cover changes to the deleted cover. (BR 306735)
   * Fix theoretical configwidget leak in services. (BR 301352)
   * Fix "Local collection" text label is truncated with large font. (BR 282561)
   * Fix crash by putting a broadcast in the playlist. (BR 313718)
   * Fix Keyboard navigates context menu in collection will move two items. (BR 307794)
   * Fix add track to playlist by double click on arrow in the collection. (BR 279513)
   * Fix VFAT safe names missing a couple of idiosyncrasies. (BR 312574)
   * Clarify message when Last.fm streams are not available. (BR 315771)
   * Fix crash when Dynamic Playlist based on last.fm is aborted. (BR 314243)
   * Fix Group by directory doesn't work in main playlist. (BR 265415)
   * Don't remove common labels when editing the tags of multiple tracks. (BR 316043)
   * Fix vertical positioning of On-Screen-Display. (BR 269788)
   * Fix OSD sometimes misplaces the font and the font's shadow. (BR 257643)
   * Prevent inability to save Last.fm password in corner cases. (BR 315306)
   * Fix "Copy to Collection" window doesn't fit on small screens. (BR 283361)
   * Fix crash when quitting Amarok with Statistics Synchronization open. (BR 315525)
   * Fix items moving around when expanded in collection browser. (BR 305602)
   * Fix Organize collection folder deletion going 'too far'. (BR 314348)
   * Fix %albumartist% placeholder translates to some strange unicode symbol. (BR 314351)
   * Fix bumpy fade-out when first used. (BR 312062)
   * Fix crash when switching/removing organize collection presets. (BR 314344)
   * Fix crash on start if a playlist source is unavailable. (BR 313460)
   * Fix Copy/Move to collection picks up wrong destination path and fails silently. (BR 314460)
   * Cleanup TrackOrganizer. (BR 305291)
   * Fix Editing Playist Layout Editor. (BR 250594)
   * Fix Display glitch for rating in verbose playlist. (BR 300118)
   * Refactoring Ampache service, fix Albums with multiple disks not listed correctly. (BR 249857)
   * Fix playlist sorting by type. (BR 249338)
   * Fix subtle bugs when a long fade-out is initiated near the song end.
   * Don't try to fade-out with phonon backends that don't support it. (vlc)
   * Fix Can't edit & save an existing equalizer preset. (BR 241874)
   * Clean up Equalizer Dialog. (BR 274972)


VERSION 2.7.1
  CHANGES:
   * Problematic support for treating MusicBrainz ids as track unique ids was dropped;
     should avoid surprising "Duplicate Tracks Found" errors. (BR 315329)

  BUGFIXES:
   * Fix inability to reverse "Use Music Location" decision and inability to clear
     database once all collection directories have been unset. (BR 316216)
   * Fix frequent crashes on Linux when starting to play a track. (BR 319371)
   * Fix compilation error on systems with gcc-4.2 (BR 314528)
   * Fix inability to create database when home directory contains non-ASCII characters.
     (BR 313914)
   * Fix typo in Nepomuk query which did not let track numbers of Nepomuk Collection
     tracks show up in Amarok. (BR 311847)


VERSION 2.7
  CHANGES:
    * Files page has been made more intuitive by making Places the root view
      and significantly improving breadcrumbs behaviour.
    * Make dropping large directories into playlist more responsive by reading
      track metadata asynchronously in a background thread.
    * Harmonize keyboard, mouse and context menu behaviour of the Files pane
      so that it matches Local Music and Saved Playlists panes. (BR 307386)
    * Last.fm Skip button re-added after being removed in Beta by error. (BR 311733)
    * Podcast episodes are now loaded asynchronously on startup to reduce delays.
    * Removed alpha state and not really working spectrum analyzer applet.

  BUGFIXES:
    * Fix a regression where stream metadata would be forgotten on start. (BR 305389)
    * Fix scrobbling of plain files streamed over http. (BR 309976)
    * Fix scrobble-before-play behaviour when playing Last.fm streams.
    * Fix double-scrobbling when playing Last.fm streams. (BR 311852)
    * Fix The size of rating stars should not change in inline editing (BR 209684)
    * Various improvements that should result in more stable Audio CD playback
      (modulo phonon-vlc BR 313046). (BR 305708, BR 308084, BR 311446)
    * Fix queued track indicator overflow, patch by Riccardo Ferrazzo. (BR 253802)
    * Fix Amarok crashes when selecting song with Enter [@ Playlist::PrettyListView::trackActivate] (BR 312439)
    * Fix amarok starts at beginning of playlist if you previously stopped during a track (BR 312183)
    * Audio CD: fix crash due to no composer being set. (BR 293698)
    * Audio CD: fix track recreation on startup. (BR 312685)
    * Fix incorrect display of folder names containing & (ampersand) in File
      browser breadcrumbs. (BR 244817)
    * Fix Media Sources pane growing in size when navigating in it. (BR 246029)
    * Fix Media Sources breadcrumb items sometimes appearing as new windows. (BR 285712)
    * Fix editability and drop-ability of playlist folders.
    * Make track announcements via KDE Notifications instant. (BR 263952)
    * Fix dynamic playlist progress bar.
    * Fix Last played bias is ignored or doesn't work. (BR 311906)
    * Fix amarok dynamic play list with biases EchoNest similar artist gives no
      results. (BR 291162)
    * Fix When I try to create a dynamic playlist by Last.fm similar songs
      creation takes a lot time. (BR 301716)
    * Fix updating of Amarok database playlists then track uid changes. (BR 312128)
    * Fix hangs and inappropriate messages when trying to play a track from
      a saved playlist that has been deleted in the mean time. (BR 308371)
    * Fix existing files preventing complete transfer of tracks to collection. (BR 312001)
    * Fix crash then doing Last.fm love with uninitialized Last.fm plugin. (BR 311857)
    * Fix Last.fm streams not being correctly recreated on startup. (BR 305576)
    * Fix Ampache albums & track not being shown, a recent regression. (BR 310862)
    * Fix crash in Network Requests Viewer. (BR 311760)
    * Definitely prevent crash when using File Browser breadcrumbs. (BR 265626)
    * Prevent crash in ServiceBase::setModel triggered by Last.fm rewrite. (BR 311723)
    * Fix incorrect display of Last.fm tags and other items. (BR 244555)

VERSION 2.7-Beta 1
  FEATURES:
    * Track dragging support in Unique Tracks tab of the Synchronize Statistics action;
      allows you to do a "diff" between collections and transfer missing tracks. (BR 237266)
    * Amarok now scrobbles tracks in streams if the stream correctly updates
      meta-data. (BR 240732)
    * When scrobbling to Last.fm, Amarok announces suggested tag corrections
      (configurable). (BR 309697)
    * Ability to scrobble recently played tracks from iPod (and the like) to Last.fm.
    * Synchronization of labels and rating between Last.fm and Amarok collections;
      play count can be synchronized one-way from Last.fm to Amarok. (BR 206249)
    * Statistics synchronization between collections, supports rating, first / last
      played time, play count and labels.
    * New APG constraint: Specify a total file size for playlist. (BR 283618)
    * Amazon store: Added support for Amazon MP3 in Italy and Spain. (BR 307981)
    * Mark downloaded podcast episodes to keep, even when purge is enabled. (BR 261062)
    * Nepomuk plugin: Play and manage tracks using the Nepomuk database.
    * Support for reading and writing tags from/to mod, s3m, it and xm files.
      Patch by Mathias Panzenböck.
    * Amazon store: It is now possible to add items to your shopping cart using amarok:// URLs.
    * Amazon store: Use the context info applet to show further infos about a selected item.
    * New argument --debug-audio to enable Phonon debugging.
    * Amazon store: We now ship a utility to handle downloads from Amazon.

  CHANGES:
    * Dependencies raised, Amarok now depends on Qt >= 4.8 and kdelibs >= 4.8.4.
    * When configuring Last.fm plug-in, the changes are now applied immediately
      in most places. (BR 311331)
    * If liblastfm is provided, it is strongly recommended to use version 1.0.3 or newer
      for fixes of bugs that otherwise prevent iPod scrobbling and synchronization.
    * Configure Amarok dialog gets new Metadata tab to grab some weight from the
      Collection tab and to configure statistics synchronization.
    * APG now saves its presets each time it's run, to lessen preset loss if
      Amarok crashes. (BR 294743)
    * APG playlists no longer limited to 100 tracks. (BR 301829)
    * The confusing "Local Collection Backends" category of plugins was removed
      from the Configure dialog. All backends are enabled from now on.
    * Statistics of tracks outside of collections are only read/saved to file
      tags (if enabled) instead of being kept in the database.
    * Last.fm Skip button removed; Last.fm API no longer provides it. (BR 305576)
    * Optional liblastfm dependency raised to 1.0.0. (BR 302597)
    * Add composer button to wikipedia applet (BR 272982)
    * New optional dependency for Amazon downloads: clamz.

  BUGFIXES:
    * Fix empty collection when using DynamicCollection=false (BR 265419)
    * Fix suboptimal KWallet usage in Last.fm plugin. (BR 292096)
    * Fix crash in Last.fm plugin caused by sloppy KWallet usage. (BR 306134)
    * Fix WMA files interpret Album as Album Artist (BR 276015)
    * Fix after adding next slash previous one disappears in organize collection (BR 296136)
    * Fix Dynamic Collection and other features not working if the database was
      initially created by a very old Amaork version. (BR 302837)
    * Fix incorrect "Stop after current" indicator behaviour in some cases. (BR 253822)
    * Fix untranslatable texts in preset dynamic playlists. (BR 276023)
    * Better Last.fm scrobbling behaviour and error reporting due to rewrite,
      should fix long-standing problems. (BR 293320, BR 285820)
    * Update stream meta-data correctly even with phonon-gstreamer back-end. (BR 300189)
    * Fix available transcoding encoders detection with ffmpeg 1.0. (BR 309454)
    * Fix playback resuming with phonon-gstreamer; raise phonon-vlc dependency
      to at least 0.6.1 as a side-effect. (BR 290612)
    * Create collections even for SD/MMC/etc. cards on PCI-connected slots.
    * Fixed some incorrect logic in the PlaylistLength constraint, which was
      causing the APG to create playlists that were shorter than expected.
      (BR 293616)
    * Improve Duplicate files found dialog. (BR 308762)
    * Fix crashes in SqlRegistry because of its false thread-safety. (BR 230991)
    * Fix crash on malformed DAAP reply. (BR 284186)
    * Fix first & last played time not remembered for files outside of collection.
    * Nepomuk plugin now makes Nepomuk ratings visible in Amarok. (BR 174630)
    * Fix some track tag modifications not being updated until restart
      (e.g. changing disc number from 1 to 0).
    * Repeat playlist correctly with a single track playlist. (BR 290955)
    * Don't append playlist when pressing enter while editing. (BR 305203)
    * Fix track transfer to iPods in de (and perhaps other) locale. (BR 305134)

VERSION 2.6
  BUGFIXES:
    * Fix problems when sql server is not reachable (BR 298425)
    * Fix crash with exporting playlists with invalid tracks (BR 303056, BR 302607, BR 297816)

VERSION 2.6-RC
  CHANGES:
    * Show all audio and video files in file browser. (BR 303253)
    * Remove codec install support. It's long ago been implemented in phonon.
    * Prevent lags with large Saved playlists. (BR 301700)
    * Increase minimal required ffmpeg version up to 0.7.
    * Use audio-x-generic icon for bit rate, not a generic one. (BR 302753)
    * Add Amarok.Playlist.playMediaList() script bindings for API symmetry.
    * Building the spectrum analyzer applet can now be disabled with a CMake
      argument.

  BUGFIXES:
    * Fix a regression where play count would be increased by 2. (BR 299890)
    * Don't loose statistics, labels and lyrics upon collection scan in some
      circumstances, e.g. when disk holding colleciton is swapped. (BR 298275)
    * Don't loose statistics, labels and lyrics when changing metadata of a
      track (not tagged by afttagger) followed by moving it. (BR 292245)
    * Fix Amarok.Playlist.{add,play}Media() and addMediaList() Qt script
      bindings methods not being able to add playlists. (BR 232697)
    * Add "Last Played" back to the Edit Filter dialog. (BR 302746)
    * Correct rounding for rating in Track Details dialog. (BR 273363)
    * Fix Context view not being fully formed on startup. (BR 292895)
    * Fix memory leaks and a string zero termination issue in MP3tunes.
    * Don't poll for mounts every second, solid notifies us. (BR 289462)
    * Fix inconsistent Last.fm scrobbling in some cases with GStreamer
      backend.
    * Use colors from KDE style in Dynamic Playlist strip. (BR 301303)
    * Finally fix crash on startup in addCollapseAnimation. (BR 258741)
    * Don't hit "too many open files" when copying covers to iPod. (BR 301207)
    * Don't crash if iPod's eject button is hit twice. (BR 301208)
    * Don't crash even if the iPod is connected and quickly ejected. (BR 301166)
    * Play the correct track when adding tracks to a sorted playlist. (BR 244595)
    * Provide full-size covers via MPRIS1 if available. (BR 278550)
    * Fix serving out of embedded images via MPRIS. (BR 301399)

VERSION 2.6-Beta 1
  FEATURES:
    * Amazon store: improved album search
    * Support for transcoding when copying tracks to USB Mass Storage devices;
      per-device transcoding preference can be saved, too.
    * Provide Repopulate and Turn off link in "Dynamic Mode Enabled" bagde.
    * Support for setting cover images for albums on USB Mass Storage devices.
    * Support for setting and unsetting cover images for iPod albums, can
      write back covers to file meta-data too, respects configuration.
    * Amazon store: ability to check out an item directly without using the Amarok
      shopping cart. (BR 288808)
    * Amarok now includes the Free Music Charts service by default.
    * The maximum dimensions for embedded covers are now configurable. (BR 279493)
    * Small configuration dialog for iPods that shows troubleshooting information
      and allows to change iPod name.
    * Improved usability of iPod playlists: iPod collection automatically transfers
      tracks dropped to iPod playlists to iPod when it is needed.
    * Tracks can now be transcoded when transferring them to iPod. (BR 291722)
    * A diagnostic dialog reporting versions of Amarok, Qt, KDE and phonon libraries
      as well as the used phonon backend and status of plugins and scripts.
      Patch by Andrzej Hunt.
    * Ability to move track position bookmarks by dragging; patch by
      Jasneet Bhatti. (BR 214721)
    * Amarok can now remember whether and how to transcode tracks when
      transferring them to a particular collection. (BR 264681)
    * "Crop playlist" functionality implemented using drag & drop. (BR 267729, 211811)
    * Added keyboard shortcut for "Edit Track Information..." (BR 173814)
      Patch by Jasneet Bhatti.
    * Support for embedded album covers in non-collection tracks and
      in USB Mass Storage collection.
    * Hold the Shift key when dragging tracks to collections to move them
      instead of copying.
    * New search filter for absolute date
    * Named UMS collections
    * Albums with same name but different album artist are now correctly
      separated in USB Mass Storage, iPod and various online service collections.
    * Support for detecting compilations in USB Mass Storage collection.
    * Support embedded covers for ogg (read only) and flac files. (BR 288752)
    * Track meta-data can be edited in USB Mass Storage collection.
    * Support for album artists in USB Mass Storage collection.
    * album artist (if differs from artist), BPM, labels, last played time and
      bitrate are now shown in playlist track tooltip (if not already displayed
      in playlist)
    * Volume normalization: ReplayGain is now converted to iPod Sound Check and
      vice versa. (BR 142579)

  CHANGES:
    * Builds with ffmpeg 0.11.
    * Database structure (lyrics table) was updated. Starting Amarok for the first
      time after the upgrade may take up to one minute as the data is migrated.
    * Amazon store: try to show a sensible default in the country selection.
    * Only offer delete action when Shift key is pressed in Collection context menu.
    * Only offer move action when Shift key is pressed in Collection context menu.
    * Remove context view video applet. Unmaintained and broken. (BR 242793)
    * Album cover images are written in background to prevent freezes. (BR 298332)
    * Make keyboard & mouse behaviour of saved playlists browser same as of the
      collection browser, including the delete key.
    * Delete and Shift + Delete keys now work as expected in collection browser.
    * Preserve statistics when copying or moving tracks to Local Collection.
    * Common album actions such as Show cover, Show under Various Artists are now
      available for all collections that support it, not just Local collection.
    * When copying files to iPod, ensure target directories exist.
    * When writing covers to files, all existing covers will be replaced.
    * PulseAudio status in diagnostic dialog.
    * optional libgpod dependency raised to 0.8.2 to support newest iPods.
    * Amarok now prevents accidental unmounting of iPods in (small) time-frames
      when iTunes database on iPod is not yet updated.
    * Amarok detects when iPod is to be ejected from system and gracefully
      disconnects it when it occurs.
    * Hitting the eject button on iPod collection ejects it also from the system.
    * iPod collection now detects whether iPod is safe to write and marks iPod
      as read-only if not. This prevents "iPod shows 0 tracks" problem.
    * Correct progress bar advancement when transferring tracks to iPod. (BR 139454)
    * iPod Collection supports multiple simultaneous cancellable transfers.
      (BR 219963)
    * Improved dialog to initialize iPod. (BR 279797)
    * Load tracks in playlists asynchronously using proxy tracks. (BR 295199)
    * It is now possible to transcode tracks when moving them. (BR 280526)
    * Drag & drop of tracks and playlists to Saved Playlists works in all cases.
    * Don't show unmounted USB Mass Storage devices and make it clear when
      the device is not "activated" yet.
    * "Devices" in Amarok configuration -> Plugins is with other related strings
      renamed to "Local Collection Backends" to reduce user confusion.
    * Enable keyboard activation of PlaylistBrowser items. 
    * Don't use `mysql_config --variable=pkgincludedir`, find mysql include
      directory manually by looking up mysql.h.
    * Album artist is now guessed for tracks that do not belong into any
      collection and tracks from USB Mass Storage collection. Guessing uses the
      same algorithm as Local Collection.
    * When hovering iPod, UMS or MTP collection in collection browser,
      "1.2 GB free" is shown instead of "85% used"; thicker capacity bar.

  BUGFIXES:
    * Fix crash on startup due to EngineController. (BR 300659)
    * Fix problem building tests with google mock 1.6.0 on Ubuntu
    * Fix dynamic playlist album play bias with MetaProxy::Tracks.
    * Transcoding: fix compatibility with libav's ffmpeg. (BR 300551)
    * Saved lyrics are preserved when the track is moved. (BR 242350)
    * Lyrics, labels and album actions are correctly displayed for tracks
      from main and saved playlists on Amarok startup. (BR 299150)
    * Lyrics applet scrolls more intelligently. Patch by Alexander Potashev.
      (BR 283601)
    * Fix crash on startup related to ContextView. (BR 258741)
    * Fix dragging of "No Labels" and "Various Artists" collection tree items.
    * Don't add duplicates to playlist when dragging from collection. (BR 254411)
    * Fix crash related to DAAP collection. (BR 280774)
    * Fix crash on startup related to Audio CD collection. (BR 256585)
    * When turning dynamic playlist on, immediately populate playlist and clear
      any possible playlist sorting. (BR 220558)
    * Fix transcoding with ffmpeg >= 0.10; patch by Julian Simioni.
    * Fix crash on start when Qt is build with debugging assertions. (BR 285720)
    * Fix URLs in MP3tunes, gpodder.net and Last.fm config dialogs. (BR 299088)
    * Fix drag & drop in playlist layout editor, filename layout editor and
      filter editor for non-english locales. (BR 215402)
    * Fix bug where MySQL password could not be set to 'password'; patch by
      Lachlan Dufton. (BR 272346)
    * Detection and elimination of stale and orphaned iPod tracks now works
      correctly; users are notified about these when iPod is plugged in.
    * iPod playlists now work correctly. (BR 289304)
    * Show correct error when transferring unsupported files to iPod. (BR 234876)
    * Fix m4a tracks transferred as mp4 videos to iPods. (BR 268238)
    * Combination of double click and context menu actions caused multiple
      delete of downloaded podcast actions, etc. (BR 297092)
    * Prevent merging tracks with same title but different track (disc) numbers;
      patch by Alexey Neyman.
    * Prevent crash on very quick drag and release of tracks. (BR 295275)
    * Prevent occasional tag corruption on multi-byte UTF8 characters in tags.
    * Do not double-transcode tracks when importing from an audio CD. (BR 263775)
    * Fix resulting filetype when copying a track from Jamendo. (BR 296000)
    * Playlists with a dot in name can now be saved to Playlist Files on Disk. (BR 290318)
    * iPod playlists now appear even when plugged in while Amarok is running. (BR 289303)
    * Show in Media Sources actions no longer reset the collection sorting to artist/album. (BR 231858)
    * Don't mark audio-CD tracks as unplayable (greyed out). (BR 285885)
    * Don't misbehave when track is dropped directly to saved playlist. (BR 293295)
    * Don't report collection of USB Mass Storage tracks as None.
    * When adding, changing and removing tracks in USB Mass Storage collection,
      actually update the user interface to show it.
    * Remove empty folders when deleting tracks from USB Mass Storage collection.
    * Don't copy tracks to USB Mass Storage collection in move operation.
    * Fix defunct aborting of transfers to USB Mass Storage collection. (BR 290448)
    * Allow ripping of CD tracks with special characters in name tranks to
      Björn Steinbrink. (BR 224437)
    * Don't allow tracks to be dropped to their own collection and to
      non-writable collections; indicate the fact visually. (BR 291068)
    * Fix scrollarea following keyboard navigation. (BR 259791)
    * Fix crash when trying to save custom equalizer presets. (BR 286227)
    * Fix crash due to my silly method order error. (BR 291968)
    * Fix favored random track playing picking recent played songs (BR 244442)
    * Fix crashes with Bookmarks (BR 283753) thanks to Charles Reiss
    * Fix memory leaks in USB Mass Storage collection where track objects were
      never freed due to circular references.
    * Fix rare APG solver crash. (BR 290533)
    * Compilations are handled more consistently on iPods. (BR 232072)
    * MPRIS2 compliance: don't use track ids that start with /org/mpris/
    * MPRIS2: be better about emitting the Seeked signal
    * MPRIS2: fix the mpris:artUrl metadata property
    * MPRIS2: make sure that the Seeked signal is sent out when the track time
              moves backwards (eg: when the track changes)

VERSION 2.5
  FEATURES:
    * Now It's possible to use formated strings for prefix and suffix in 
      Playlist's layout items.

  BUGFIXES:
    * Do not crash when iPod doesn't have a master playlist. (BR 288936)
    * Fix Last.fm not finding KDE Wallet. (BR 286741)
    * Put a border around bottom toolbars, visually separating them from
      browser contents. (BR 277741)
    * Align the bottom toolbars.
    * Allow albums with empty name but nonempty artist in local collection. (BR 272471)
    * Fix collection info display (track count, free space) for iPod and MTP
      devices. (BR 232093)
    * Fix crash at exit with Qt 4.8
    * Fix moving applets rightward in the context toolbar.
    * Fix breadcrumbs not working properly for the file browser.
    * Disable cover fetching action for tracks not in the collection to avoid
      crash when trying to "save as" a cover. (BR 287604)
    * Show default cover in tag dialog when track is not in the collection.
    * Fix directory selection when opening album location in tag dialog.
    * Fix crash in CoverFoundDialog if progress dialog is cancelled just
      before fetch is done.
    * Correctly parse disambiguation pages for songs in the English Wikipedia. (BR 270054)
    * Fix wrong context view applets sizes on start up in some cases.
    * Fix Amarok consuming CPU until main window is shown. (BR 278897)
    * Fix last.fm 'scrobble composer' option's fallback to artist (BR 286215)
    * Fix volume control from within Amarok.
    * Fix slow startup because of imported playlists. (BR 284761)
    * Fix audio CD detection on Amarok start. (BR 276032)
    * Set a default filename scheme for USB Mass Storage (BR 285900)
    * Fixed crash during MusicBrainz search. (BR 277475)

  CHANGES:
    * Load Last.fm friend/neighbour avatars on demand.
    * Update tracks in the recently played widget only when needed.
    * Allow editing the SearchWidget during a search animation.
    * Update the collection view while UMS is scanning.
    * Don't block the UI while scanning UMS device.
    * Allow going back and forward in Amazon store. Thanks to GCI student Nikola Miljkovic.

VERSION 2.5.0-Beta 1
  FEATURES:
    * New "equals" match in collection filter - e.g. label:=pop finds songs
      with label "pop" but not songs with label "electro pop". (BR 260004)
    * Enable dropping tracks on empty area in Saved Playlists to create new
      playlist.
    * Added a "create new playlist" action in the empty space of the Saved
      Playlists. (BR202725)
    * Add new type of optional tokens in format string (Collection Organizer)
      (BR 264874)
    * Compilations are properly marked as such when transferring music
      to/from iPods. (BR 207880)
    * Ctrl+F now activates collection browser and focuses the seach collection
      bar. (BR 257381)
    * Music store based on the Amazon catalogue.
    * Podcast subscription synchronisation and podcast status synchronisation
      with gpodder.net service.
    * Possibility to browse through podcasts suggested by gpodder.net and
      through gpodder.net top recommended podcasts.
    * Made possible to make presets for TagGuesser. (BR 264632)
    * Display current timestamp in tray tooltip. (BR 278445)
    * Auto-save the playlist so that it is not lost if Amarok crashes.

  CHANGES:
    * BPM (beats-per-minute) attribute is now kept when transferring tracks
      to/from media devices. (including iPods)
    * Better, shorter internet service descriptions.
    * Both Delete and Move to Trash actions are now offered in the collection
      browser context menu. (BR 286356)
    * Amarok now depends on libmygpo-qt >= 1.0.5.
    * New USB Mass Storage media-device plugin using the Amarok Collection Scanner.
    * Browser widget backgrounds can now be enabled/disabled.
    * Playlist: Don't group albums without name. (BR 243344)
    * Make delete confirmation dialog text less confusing. Patch by Gilles Habran.
      (BR 263693)
    * Removed never-working right-mouse-button action to unset iPod album cover.
    * Removed the confusing ability to edit the navigation breadcrumb.
    * BPM is now read from/saved to media devices (e.g. iPod).
    * Track last played date and time is now correctly read from/saved to iPods.
    * Depend on KDE 4.6 - various bugs were caused by older versions.
    * Total rewrite of Automated Playlist Generator algorithm.  New algorithm
      is far less complicated and crash-prone, but at the cost of taking
      longer to converge when the constraint tree is complicated. (BR 240927,
      BR 240301)
    * Improved the playlist synchronisation feature.
    * Make possible to get count tracks before the XSPF file is fully loaded.
    * Stop fetching guitar- and bass-tabs from fretplay.com because the site is down.
    * Mark unplayble tracks in the playlist. Patch by Sandeep Raghuraman. (BR 263640)
    * Current track applet: show number of artists instead of genres. (BR 261077)

  BUGFIXES:
    * Stability fixes for Dynamic playlist (BR 280056)
    * Fixed crash in the Wikipedia Applet. (BR 279813)
    * Don't crash with Qt debug builds when iPod is connected. (BR 279798)
    * Fixed crash on exit while collection scanner is running. (BR 261421)
    * Fixed collection browser tracks grouping after switching to Merged View. (BR 277015)
    * Prefer track artist to album artist in Albums applet fiter. (BR 266682)
    * Fixed the Metadata, CanGoPrevious, CanGoNext and CanSeek properties of the
      MPRIS2 interface
    * Fixed Wikipedia search field not accepting space character or cursor
      keys. (BR 266591)
    * Fixed SupportedMimeTypes method on the MPRIS2 D-Bus interface, so that it
      no longer appends duplicate entries on every call.
    * Do not use Album Artist as Artist for files without Artist metadata. (BR 281283)
    * Fixed crash on decodeing currupted media during MusicDNS search. (BR 284895)
    * Prevent crash on getting cover from MP4 files. Patch by Charles Reiss.
      (BR 283675)
    * Prevent several potential and one real media device crash. (BR 284838)
    * Fixed iPod album covers not displayed in collection browser. (BR 263268)
    * Do not crash when iPod is removed but some iPod tracks are still in
      playlist. (BR 245852)
    * Fixed several potential AmarokUrl related crashes.
    * Rework iPod identification so that it is more reliable (BR 263288)
    * iPhone 3G (and perhaps later models) should be correctly recognized by
      Amarok now. (BR 281738)
    * Automated Playlist Generator doesn't freeze anymore when it finishes.
      (BR 277865)
    * Use regular MusicBrainz search for tracks with MBID. (BR 280857)
    * Always use English AND/OR in Collection Filter even if translations are
      in effect. (BR 279559)
    * Fixed errors in the saved playlists view when removing a playlist. (BR 273358)
    * Fixed issue where the Context View wrench was not created when the
      Context View had no applets. (BR 280382)
    * Fixed off-by-one error in organize collection dialog.
    * Fixed issue that made TagGuesser dialog to forget setings. (BR 280288)
    * Fixed tags guessing from full file path. (BR 264302)
    * Work around a Qt bug that crashed Amarok in various situations. (BR 207382, BR 269227)
    * Fixed issue with TagDialog that brought to messed up digits order in numerical
      fields (year, track, disk, score). (BR 277279)
    * Made possible to store empty TagDialog's numerical fields. (BR 278921)
    * Fixed issue with TagDialog's "Open Destination" button, now It opens
      correct directory instead of parent. (BR 279147)

VERSION 2.4.3
  BUGFIXES:
    * Fix KWallet auth requests on every track change. (BR 278177)
    * Display correct values for pretty times (playlist length) > 1 day.
    * Update playlist length correctly after removing track. (BR 273407)
    * Fix seek backward from dbus. (Thanks to Matthieu Bedouet) (BR 263287)
    * Prevent dialog querying last.fm settings being displayed on startup if none set.
    * Fix detection of smartphones in USB storage mode. (BR 277685)
    * Fix crashes on expanding a newly cloned dynamic playlist (BR 277750)
    * Don't block the UI while calculating the filename previews. (BR 233196)
    * Make M3U & PLS playlist files editable from Saved Playlists. (BR 245963)

VERSION 2.4.2
    * This version number was skipped.

VERSION 2.4.2-Beta 1
  FEATURES:
    * Made Amarok compile with the Clang LLVM frontend.
    * Enable drag and drop on collections to copy/move within Local Music and
      directly from the playlist. (BR 223400)
    * Added KNotify scripting interface. (BR 260750)
    * Make podcast episodes download filename configurable. Patch by
      Sandeep Raghuraman. (BR 155075)
    * Automatic scrolling in lyrics applet (Thanks to Jan Gerrit Marker)
    * Option to scrobble composer as artist to Last.fm (Thanks to Nicholas Wilson)
    * Option to hide the OSD if another window is taking the full screen

  CHANGES:
    * Again write back ratings only if option is selected.
    * Moved the queue-editor action to the main menu under playlist to save space.
      Queue editor now has a shortcut: Meta+U.
    * Removed the redo action from the playlist toolbar to make it less wide.
    * Made some playlist toolbar actions collapse into a menu button for use on
      small screens.
    * Removed the statusbar. Moved progress info & messages to the Media Sources dock.
    * Removed the preview button and checkbox from the organize collection dialog.
    * General user interface cleanup (addition of browser widget backgrounds,
      etc.)
    * Removed the add button in the context toolbar. Applet explorer is opened on config.
    * Easier to understand Dynamic playlists
    * Made Amarok depend ffmpeg-0.6 or newer.
    * Use KImageCache if possible (kdelibs 4.5.0 and later), which should
      reduce the number of cache-related crashes.

  BUGFIXES:
    * Make the Coverbling applet build again. (Patch by Manu Wagner)
    * Don't let the album applet freeze Amarok for ages on track change. (BR260810, BR277021)
    * Fixed cover fetching from Google Images. (BR 275265)
    * Fixed a crash in the equalizer dialog when selecting "Off".
    * Fix finalization of track copy process to media device collections. (BR238912)
      Patch by Tommaso Falchi Delitala.
    * Fixed crash on MusicBrainz search. (BR 274956)
    * Avoid crash in ContextView when accessing Plasma::Applet::view().
      (BR 258741)
    * Fixed playlist tooltip getting too tall for multiline comments. (BR 256038)
    * Made equalizer keywords (dB,kHz,...) translatable. (BR 263572)
    * Made equalizer preset names translatable. (BR 263596)
    * Fixed runtime error reporting of scripts. (BR 207409)
    * Fixed "Happy" moodbar theme. (BR 264432)
    * Re-added old "Normal" moodbar theme. (BR 264432)
    * Fixed crash for invalid scripts trying to be stopped by the manager.
      (BR 268917)
    * Fixed collection menu items ordering. (BR 207007)
    * Fixed top level podcast location setting. (BR 263736)
    * Fixed double-clicking in collection using left-handed mouse setting.
      (BR 272360)


VERSION 2.4.1
  BUGFIXES:
    * Fixed crash on saving playlist on ineligible device. (BR 266899)
    * Fixed Photos applet crash on track metadata change. (BR 265395)
    * Fixed crash on local collection search. (BR 270949)
    * Fixed crash during iPod track removal. (BR 253088)
    * Relative paths support for XSPF playlists. (BR 264147)
    * Fixed incorrect handling of "Various Artists" node by Collection Browser,
      now selection of this node returns "Various Artists" tracks instead of
      whole collection. (BR: 263255, BR: 269717)
    * Fixed song scrobbling if It was paused. (BR 267477)
    * Screen escape characters in MusicBrainz request string. (BR 269455)
    * Fixed detection of iPod devices.
    * Fixed crash when the lyrics applet was removed and re-added while a
      track was playing and the user pressed "ESC".
    * Fixed cached lyrics were not displayed if no lyrics script was running.
    * Fixed lyrics changes in the TagDialog were not "synchronized" to the
      lyrics applet.
    * Fixed reporting of playback status for MPRIS (both versions).
      (BR 268282)


VERSION 2.4.1-Beta 1
  FEATURES:
    * Remote NFS & SMB/CIFS collections now work! (BR 249760, BR 232976, 
      BR 171213, BR 187692)
    * New "Preview" feature for the Organize Collection dialog. Patch by
      Maximilian Güntner <maximilian.guentner@gmail.com>.
    * String filtering in the albums applet.
    * Ability to change text alignment in the lyrics applet.
    * gpodder.net Service, a Podcast Directory displaying the most used Tags
      from gpodder.net & the top Podcasts of these Tags

  CHANGES:
    * The podcast directory service is now based on incremental parsing of OPML without
      caching in the database.
    * Plugins can now be optionally enabled in the config dialog.
    * Script selector is moved from the menubar to the config dialog.
    * Now all changes to Preset Formats in Organize Collection dialog get saved on close,
      doesn't matter If dialog was accepted or rejected.
    * Added "Update Preset" button to Organize Collection dialog, which updates currently
      choosen scheme.
    * Renewed FilterEditor dialog.
    * Changed tokens syntax in FileNameLayoutDialog (TagGuesser, OrginizeCollection dialogs)
      now tokens wrapped in percent signs (%token% instead of %token).
    * Added ability to guess tags from whole track path. (TagGuesser dialog)
    * Use KDirWatch to watch changes to collection.
    * Do always store track rating as tags in files. Patch by Alan Ezusti
      <alan.ezust@gmail.com>. (BR 259117)
    * Added missing tooltip for animation settings. Patch by Bhargav Mangipudi
      <bhargav.1191@gmail.com>. (BR 248690)

  BUGFIXES:
    * Fixed translation issue in MagnatuneSignupDialog. 
      Patch by Burkhard Lueck (lueck@hube-lueck.de) (BR: 239019)
    * Fixed crash on loading unsupported format playlist. (BR: 265378)
    * Ask delete confirmation for all contents of folder at once instead of each individually.
      Affects "Saved Playlists" and "Podcasts" (BR 246117)
    * Fixed unreadable text in lyrics applet in kde 4.6. (BR 265311)
    * Fixed tag dialog crash when sorting by genre and then changing tags.
    * Fixed track's statistics update in case of StopAfterCurrent playback mode
      (prevent double statistics change). (BR 265654)
    * Delete .mood files when tracks got removed from collection via Collection
      view context menu, and move them to new destination during Organize Collection process.
      (BR 261629)
    * Fixed "Configure Amarok..." disappearing in tray menu. (BR 258226)
    * Fixed crash when quitting Amarok. (BR 253676, BR 257407)
    * Fixed empty folders removal after collection organization. (BR 190881)
    * Fixed crash when trying to load cover for track/album without artist. (BR 263256)
    * Fixed linking on Solaris 11 (and others?). (BR 264112)
    * Fixed temporary podcast download filenames that were to long by using MD5 hash instead.
      Thanks to Frank Steinmetzger for the patch. (BR 264813)
    * Fixed issue with absentee toolbar on clear run (without config files). (BR 259615)
    * Fixed CD copying functionality. (BR 264050)
    * Fixed CUE tracks playback order. (BR 263237)
    * Prevent crash on exit when using Phonon-VLC.
    * Fixed crash in the queue editor when trying to show already
      removed items of the playlist. (BR 263308)
    * Fixed Mute button. (BR 253098)
    * Fixed issue with Organize collection, which made amarok remove newly copied tracks.
      (BR 263301)
    * Fixed wrong "Configure amarok" action position in tray icon popup menu. (BR 263330)
    * Fixed minor inconsistency in the Collection view. Patch by 
      Bhargav Mangipudi <bhargav.1191@gmail.com>. (BR 260973)
    * Fixed potential crash with the Similar Artists applet. Thanks to 
      Tuomas Nurmi <tuomas@norsumanageri.org> for the patch. (BR 263145)
    * Fixed 'Scale Font' option in OSD options for OSD preview widget.
      (BR 254029)
    * Fixed issue with playlist tooltips that was shown independetly from
      "Show tooltip" option. (BR 263121)
    * Fixed issues with multifiles cuesheet, when all tracks get metadata of
      last track
      in cuesheet, and each file defined in sheet gets all tracks of this sheet.
      (BR 262668) (BR 209341)
    * Fixed crash when trying to download a full size cover and the server
      redirects the request. (BR 262902)
    * Fixed issue when breadcrumbs stayed not updated after service insert/remove.
      (BR 262780)
    * Fixed issue with TagDialog that make metadata fields stay editable if multiple
      streams opened. (BR 177400)
    * Fixed missing equals-sign ('=') in filter string of bookmarks. (BR 245759)


VERSION 2.4.0
  CHANGES:
    * New Splash Screen by Tomasz Dudzik <madsheytan@gmail.com>.
    * The "Playdar Collection" feature has been disabled until some technical 
      issues are resolved.
    * Fixed some broken radio stream URLs.

  BUGFIXES:
    * Fix crash on copying tracks between collection. (BR 261364)
    * Fix fetching of script data. BBC, Free Music Charts and others should work again.
      (BR 261839)
    * Actually show the Splash Screen by default, as it was meant to work.
    * Leave all pending files in case of error/conflict during tracks moving. (BR 257739)
    * Fix crash when moving tracks between collections. (BR 253033)
    * Fixed issue with UMS Collection that made amarok to delete original track
      instead of newly copied one. (BR 238915)
    * Fixed issue with Audio CDs that do not provide CDDB information. Patch by
      Andriy Gapon <avg@icyb.net.ua>. (BR 257818)
    * Fixed issue with the Organize Files Dialog that prevented presets from being
      loaded when in advanced mode. Patch by Philipp Schmidt <philschmidt@gmx.net>.
      (BR 255325)


VERSION 2.4-Beta 1
  FEATURES:
    * New UPnP Collection detects and plays media on UPnP devices on the network.
    * New transcoding feature which converts one or more tracks with a chosen encoder
      when copying to the local collection.
    * Added option to use Wikipedia Mobile.
    * Added settings for writing statistics and album covers back to the file.
    * Leave focus in playlist search widget when using up/down to scroll through
      filtered results. Thanks to Thomas Karpiniec for the patch!
    * LyricsApplet: The lyrics in are now updated when they were changed in a
      different place, for example in the Tag Dialog.
    * Permit the use of iPod Touch 3G and possibly newer devices. Thanks to
      Aurélien Croc for the patch!
    * Match space-separated search terms in the playlist filter var individually. Thanks 
      to Thomas Karpiniec for the patch!
    * Added new context applet for displaying guitar and bass tab information. Thanks to
      Rainer Sigle for the patch!
    * Added ability to set/update Album Artist.
    * Added map view and calendar in the upcoming events applet.
    * Added support for all Wikipedia languages. (BR 220617)
    * Added incremental search in the Wikipedia applet (press
      '/' or global search key when in focus).
    * Added "Favorite Venues" to the upcoming events applet.
    * Read MusicBrainz IDs of MP4 files during scanning.
    * Ability to hide and show the menu bar. Patch by 
      Valentyn Pavliuchenko <valentyn.pavliuchenko@gmail.com>.
    * Size of the On-Screen-Display font is now configurable. (BR 195186)
    * Musicbrainz-based mass tagging UI by Sergey Ivanov.
    * New easy to use table-based UI for Ampache server configuration. (BR 200703)
    * OPML export for podcast subscriptions. (BR 126120)
    * New "Playlist Length" constraint for the APG, which allows you to specify
      the number of tracks in the playlist.  What was the "Playlist Length "
      constraint is now called "Playlist Duration".
    * MPRIS2 support for controlling Amarok over D-Bus.
    * New "Playdar Collection" allows searching for and listening
      to music provided by a running local Playdar service.

  CHANGES:
    * Brought back collapsing animations of context applets.
    * Added a "Donors" tab to the About dialog for our generous Roktober 2010
      donors who wish to be mentioned.
    * Tracks might contain lyrics in the HTML format, where there's no user-visible
      content in the HTML. Those lyrics are now regarded as "empty".
    * LyricsApplet: changed the layout of the "Do you really want to refetch lyrics"
      message.
    * Current track applet: added "show in media sources" actions for current
      track's artist, album, composer, genre, and year if available.
    * Current track applet: added action to open the tag dialog.
    * Improved appearance of current track applet when playback is stopped.
    * Better scrolling in the applet explorer.
    * The default moodbar style now uses system colors.
    * Added tray icon context-menu action to open the preferences dialog.
    * Show a progress bar while loading pages in the Wikipedia applet.
    * Added option to right-align "year" in the albums applet.
    * Improved alignment of tracks in the albums applet.
    * Scroll to the current album and make its tracks visible in the albums
      applet. (BR 187011)
    * Added ability to expand/collapse/drag disc items in the albums applet.
      (BR 249488)
    * Improved appearance of similar artist, upcoming events, and Wikipedia
      applets.
    * Improved presentation of suggested lyrics (currently only 3rd party
      scripts use).
    * Now using QToolTip for playlist tooltips.
    * Changed playlist delegate margins and inline editor formating.
    * Added "Added This Hour" filter preset to the collection brower widget.
    * Bumped KDE dependency to version 4.4., and Qt dependency to 4.6.
    * Print message when a file can't be copied to a media player.
      Patch by Sergey Ivanov <123kash@gmail.com>. (BR 203820)
    * Improved the usability of device items in Media Sources by adding tooltips.
    * Deleting items in the collection/file browser will move them to trash;
      pressing SHIFT while clicking the action will bypass trash.

  BUGFIXES:
    * Fixed white text on light blue background in tabs applet. (BR 258234)
    * Fixed cover dialog crash pressing Ok when nothing is selected. (BR 258187)
    * Title labels incorrectly used the text color from the plasma theme.
      This caused trouble with the fixed plasma theme and light color schemes.
    * Fixed a data-loss bug where the user could lose changes he made to the current
      track's lyrics. (BR 207621)
    * Fixed covers of Ampache tracks not available through DBus.
    * Scanning stale and orphaned songs on iPod results in song duplication. (BR 235696)
    * Applets' settings dialogs were partly untranslatable. (BR 255971)
    * Fixed append&play action. Thanks Pieter van der Kloet for the patch. (BR 229706)
    * Don't ignore the "use relative path" checkbox in the playlist export dialog.
      (BR 250689)
    * Fixed applet explorer getting stuck. (BR 253058)
    * Fixed Wikipedia applet header layout issues. (BR 215171)
    * Fixed truncated heading in albums applet. (BR 231001)
    * Playlist sorting breadcrumb items have been untranslatable.
      Patch by Alexander Potashev <aspotashev@gmail.com>. (BR 189750)
    * Dynamic Playlist criteria were not being saved properly. (BR 243562)
    * Collection Browser should show Artist names for Compilation Albums. (BR
      252790)
    * When Amarok starts and "Continue playing when Amarok is started" is selected,
      the Current Track applet showed songs of the artist instead of the current
      track info. Patch by Conrad Hübler. (BR 241641)
    * Fixed crash on Windows when exporting playlist to any file type. Patch by
      James Duncan <james.t.duncan@gmail.com>. (BR 249376)
    * If album keyword is empty, show "unknown album" in context window. (BR 205038)
    * Ampache would not connect to servers placed in a subdirectory.
    * Fixed an initialization bug which affected all context applets.
    * Fixed bug where users could drag applets around indiscriminately.
    * FLAC BPM tags could be read incorrectly. (BR 234166)


==BEGIN Qt 4.6 / KDE 4.4 DEPENDENCY==


VERSION 2.3.2
  CHANGES:
    * Bumped libMTP dependency to version 1.0.0.
    * Improved response of current track and albums applet on data updates.
    * Use system date/time format for default name when saving user playlists.

  BUGFIXES:
    * Fixed incorrect size of the VideoClip applet. (BR 247097)
    * Comments embedded in files that contained newlines or tabs could be
      skipped entirely. (BR 223502)
    * The equalizer dialog did not discard changes when clicking "Cancel".
      Patch by Anton Gritsay <anton@angri.ru>. (BR 242730)
    * The Last.fm service did not work without KWallet. (BR 235861)
    * Show actual KDE version in the "About Amarok" dialog, instead of the
      version used at compile time.
    * Fixed a crash when trying to save a playlist to a file where the format
      of the playlist was unknown. (BR 246168)
    * Also use podcast channel image for downloaded episodes. (BR 229391)
    * Collection directories that were symlinks could end up storing the wrong
      absolute path, causing those files to be removed during incremental
      scans.
    * Fixed playlist tooltips not showing up, even when enabled in the playlist
      layout (BR 249086)
    * Fixed potential crashes related to Applet loading. (BR 246756)
    * Fixed possible crash in Labels Applet when playing new track. (BR 248538)
    * Fixed incorrect layout of applets on startup.
    * Fixed Collection Browser not properly updating after a full rescan,
      necessitating Amarok to be closed and reopened. Fixes various bugs. 
      (BR 172542)
    * Fixed cover found dialog closing when download failed or is cancelled.
    * Fixed failure when fetching cddb info for audio CDs in localized Amarok.
    * Fixed expanding items in collection browser by double-click, in
      double-click mode.
    * Fixed crash when adding new folders repeatedly in podcast/saved playlist
      browsers.
    * Fixed context menu actions acting on wrong indices in the playlist
      browser.
    * Fixed incorrect text about "rpath" argument to collection scanner.
      (BR 236076)
    * Fixed emission of MPRIS StatusChange signal when switching into or out
      of random mode.


VERSION 2.3.2-Beta 1
  FEATURES:
    * Podcasts can now be filtered on provider and grouped in folders. (BR 219519)
    * Amarok 1.4 Database Importer: added support for importing labels.
      Thanks to Matěj Laitl for the patch. (BR 218996)
    * Shortcuts: Added "Replay current track" shortcut. (BR 217081)
    * Edit filter dialog: added "added" and "last played" date filters.
    * File browser: added forward and back buttons for accessing navigate history.
    * Organize Dialog: added a way to save multiple file formats as presets. (BR 122672)
    * Filtering: added default presets to the drop down menu of the collection
      search widget.
    * Filtering: track format can now be used as filter keyword in the
      collection browser, e.g. "format:flac".
    * Filtering: track file size can now be used as filter keyword in the
      collection browser, e.g. "filesize:<12" for tracks under 12Mb;
      "filesize:25" for tracks that are between 25 and 26Mb.
    * Filtering: tracks that were added to the collection since/before a
      certain time can now be filtered using, e.g. "added:<1w".
    * Filtering: added ability to filter last played date in the collection
      browser, e.g. "played:<3d".

  CHANGES:
    * Let scripts access bpm property of tracks (read-only). (BR 245257)
    * Remote Meta+P global shortcut to avoid future problems with new
      keyboard drivers in notebooks. (BR 235204)
    * Fix size of Slim toolbar time labels. Thanks to Tijl Coosemans for the patch.
    * Amarok 1.4 Database Importer: only import tracks that actually belong in the
      collection. Thanks to Matěj Laitl for the patch. (BR 218999)
    * Refresh the albums context applet when the collection is updated.
    * Don't allow the last visible playlist source in User Playlists to be hidden.
    * "Play Media" dialog now remembers the last used directory. (BR 231092)
    * Organize Dialog: tweaked the layout to fit better on smaller resolutions (BR 238000)
    * Filtering: added year suffix for date filters in the collection browser.
    * Last.fm features that require user authentication are now disabled
      by default.
    * Ignore "DJ" prefix when sorting in collection browser. (BR 181955)
      Patch by Richard Longland <rlongland@hotmail.com>.

  BUGFIXES:
    * Tweaked fuzzy numerical comparisons in the APG. (BR 242281)
    * Finally don't truncate the "Label:" label in TagDialog. (BR 235957)
    * Fix crash when right clicking on children of "No labels". NoLabel item is
      now a Data item. (BR 243825)
    * Fix regression in Dynamic Collections. For files that were scanned when
      Dynamic Collections wasn't working, you will need to rescan them to get
      them associated with the proper device.
    * Fix crash on exit with newer KDE versions. Patch by Martin Blumenstingl and Felix
      Geyer. (BR 245513)
    * Fixed playlist bottom toolbar getting to tall when using "Text only"
      button style. (BR 228390)
    * Fixed Amarok layout saving when minized to tray. (BR 244583)
    * Make "No other participants" in the events applet translatable.
      Patch by Jan Janssen. (BR 235311)
    * Fixed track number on DAAP shares. Patch by Silvio Frischknecht. (BR 235030)
    * Fixed filtering by rating in the playlist. (BR 240293)
    * The scripts categories are now translatable. (BR 240563)
    * Fixed Amarok 1.4 Database Importer not importing statistics and lyrics of
      tracks that are not yet in database. Thanks to Matěj Laitl for the patch.
      (see comments on BR 218996)
    * Fixed always playing first track when adding tracks to empty playlist with
      random mode on. Patch by Anton Gritsay <anton@angri.ru> (BR 240452)
    * Directories that were once part of the collection but not anymore may not
      have been properly removed, leading to files outside the collection being
      scanned. (BR 243532)
    * Fixed "genre" and other playlist groupings not working. (BR 243344)
    * Removed track progress effect on TrayIcon as it caused several problems
      (also caused by a bogus implementation of the KSNI class)
      (BR 233506, BR 240463, BR 231539, BR 232578, BR 232312).
    * Fixed track name in main window title incorrectly changing when editing
      tag info for another track. Thanks to Anton Gritsay <anton@angri.ru> for
      the patch (BR 220521)
    * Splitted desktop so mime types can be allocated in a better way
      (BR 242292).
    * Fixed some tracks not being scanned when they had corrupted MusicBrainz
      IDs. Thanks to Matěj Laitl <matej@laitl.cz> for the patch. (BR 236227)
    * Fixed crash when navigating using "Places" in the file browser. (BR 240338)
    * Fixed error dialog popup if the stored directory is no longer accessible
      when using the file browser. (BR 234286)
    * Single clicking a file in the file browser now selects it instead of
      appending to the playlist by default in single-click mode. (BR 233171)
    * Fixed resizing and eliding issues with the file browser breadcrumbs.
      (BR 231366 comment #5)
    * Drop file icons in file browser breadcrumbs. (BR 231366)
    * Fixed keyboard navigation in file browser. (BR 240668)
      Patch thanks to Hannes Koller.
    * Fixed dropping files to playlist from Konqueror. (BR 235722)
    * Fixed keyboard shortcuts of actions from scripts lost after restart.
      Thanks to Martin Blumenstingl <darklight.xdarklight@googlemail.com>.
      (BR 223165)
    * Fixed tracks not changing for "stop after this track" action. (BR 231209)
    * Cleaned up some tooltips/what's this strings in the Organize dialog
      to make it easier to read and, hopefully, understand. (BR 237857)
    * Fixed organize dialog's handling of the year tag. If there is no year
      then the %year token should be an empty string.(BR 237834)
    * The "Ignore 'The'" option in the organize files dialog is now case
      insensitive. (BR 237831)
    * Fixed odd header name when showing "places" in the file browser.
      (BR 238518)
    * Filenames with dots (.) and other special RegEx characters will now be
      parsed correctly when guessing tags from a filename. (BR 225743)
    * Align track details dialog's labels to the right as per KDE4's HIG.
      (BR 234555)
    * The last.fm service will now only open the wallet on startup if the user
      has enabled features that require authentication. (BR 230098)
    * Correctly load the list of labels in tag dialog. (BR 238737)
      Patch by Daniel Faust <hessijames@gmail.com>.
    * Cover manager: fixed crash if closed shortly after opening. (BR 235796)
    * Fixed Last.fm service browser not updating its view if it's open on
      startup. (BR 231044)
    * Fixed clicking on browser categories not honoring mouse settings. (BR 226533)
    * Fixed usability issue with regards to context menu item order when right
      clicking in the playlist widget. (BR 198650)


VERSION 2.3.1
  CHANGES:
    * Improved responsiveness when expanding/collapsing items in the
      collection browser when using single-click mode.
    * The Collection scanner now runs with idle priority when invoked by
      Amarok. Batch scan users can invoke it with the --idlepriority flag.

  BUGFIXES:
    * Fixed regression in Ctrl+RightClick behaviour in playlist. (BR 241238)
    * File browser: fixed sorting files by date. (BR 226941)
    * Fixed issue with file browser bookmarks not working when the file browser
      was showing "places".
    * Fixed crash when right clicking in file browser while it is showing 
      "Places". (BR 237562)
    * Fixed strange selection behaviour in the music sources pane (BR 222760).
    * Fixed factor used when filtering lengths in collection browser.
    * Fixed wrong value used when filtering comments in collection browser.
    * Don't truncate the "Label:" label in the TagDialog. (BR 235957)
    * Display extended characters properly in names of Last.fm streams.
      (BR 222930)
    * Cover fetcher: prevent automatic fetcher from setting album's cover if
      it is done manually during the download. (BR 236839)
    * File browser: show folders first, files afterwards. Patch by
      <dystopticus@gmx.net>. (BR 226599)
    * Queued track's contextual menu entry about dequeueing was written wrong
      and misleading. (BR 235047)
    * Custom color setting in the On Screen Display was only applied after
      restart. Patch by Frank Steinmetzger <Warp_7@gmx.de>.
    * Track Rating was not always displayed correctly in the On Screen
      Display. Patch by Frank Steinmetzger <Warp_7@gmx.de>.
    * Improved layout for applet setting dialogs. Patch by Felix Geyer
      <debfx-kde@fobos.de>.
    * Made icons in applets react correctly in double-click environments.
      Thanks to Felix Geyer <debfx-kde@fobos.de>.
    * Several bug fixes for the bundled LyricWiki script. Patch by Oleg G
      <verdrehung@gmail.com>. (BR 233605)
    * Better fix for pausing SHOUTcast streams, without advancing to the next
      track after resume. (BR 192878)


VERSION 2.3.1-Beta 1
  FEATURES:
    * Persistant Queue Saving: The playlist queue is now saved when Amarok
      is closed and restored upon startup. (BR 215057)
    * Automated Playlist Generator: allows smart creation of playlists that
      match user-specified constraints. Combines the features of "Smart
      Playlists" in Amarok 1.4 with the Bias system of Amarok 2.0.
    * It's now possible to mark all episodes in a channel as old or new at once.
    * New "Upcoming Events" applet, displays future concerts for the artist of
      the currently playing track. The event info is fetched from Last.fm.
    * New "Similar Artists" applet, displays a list of artists which are
      similar to the one currently played. The list is fetched from Last.fm.
    * The scripting system now offers a new function for detecting that a 
      track has finished. Patch by Michael MacDonald <mars@antlersoft.com>.
      (BR 227312)
    * New "CoverBling" applet, which allows to browse your collection in an 
      animated 3D view. Thanks to Manu Wagner <manu.wagner@sfr.fr>.
    * Support for the new System Tray technology from KDE SC 4.4. This adds
      nice animations and a better looking popup menu to the System Tray.
      Thanks to Aurelien Gateau <agateau@kde.org> for the patch.
    * Allow playlist layouts to group tracks by directory. (BR 230594)
    * Cover fetcher: The UI was improved. Now an icon view is used to display
      results, with an informational sidebar that may show interesting bits
      about an image.
    * Cover fetcher: Added ability to enter custom queries via Yahoo!,
      Google, or Discogs (in addition to Lasf.Fm). Note the source for
      automatic cover fetching is still Last.fm only.

  CHANGES:
    * Allow changing the number of recently added albums in the albums applet.
    * Magnatune.com store: Added "Home" link to all artist and album pages leading
      to the Magnatune.com front page.
    * Magnatune.com store: Improved Magnatune.com front page.
    * Magnatune.com store: Completely remove option to purhcase single albums as 
      this is no longer supported by Magnatune.com and the API for doing so will
      be disabled in the future.
    * The new file browser now supports "places".
    * Added "up" and "home" buttons to the new filebrowser.
    * Items in the breadcrumb navigation bar are now hidden if there is not enough
      room to show all of them (similar to how it works in Dolphin) (BR 231497)
    * Improved performance (dramatic in some cases) when filtering the Playlist 
      (231185).
    * Remove information that is already displayed elsewhere in the playlist from
      the playlist tooltips.
    * Make showing the playlist tooltips a per playlist layout option.
    * When bookmarking a view in the local collection, also store (and restore)
      the setings for "Show Cover Art" and "Show Years". (BR 230562)
    * Allow moodbar files witout the leading '.' (both .<trackfilename>.mood 
      and <trackfilename>.mood now work) 
    * Change example SQL command for setting up an external database to remove
      (sometimes incorrect) host name and possibly fix some random regression in
      some MySQL versions. (BR 225052)

  BUGFIXES:
    * Fixed Youtube videoclip broken engine due to their recent change.
    * Fixed Wikipedia no loading the css on KDE 4.4 (due to a regression in Qt 4.6.)
      (BR 222875)
    * Settings dialog could become too wide with translations. (BR 233752)
    * Fixed re-mounting iPhoneOS devices after having been unplugged without being
      unmounted. Thanks to Jeffrey Dodge <hazridi@gmail.com>. (BR 233305)
    * Fixed connection to iPod Touch devices. Patch by Jeffrey Dodge
      <hazridi@gmail.com>. (BR 233257)
    * Fixed the deletion of empty directories after deleting, or organizing.
      (BR 190881)
    * Fixed a hang that would occur when organizing a track and the source
      file was the same as the destination file. (BR 233181)
    * Fixed the double delete confirmation dialog when organizing tracks.
      (BR 233200)
    * Fixed broken rendering of ratings in Current Track applet on startup.
    * Fixed command type names shown in the Bookmark Manager not being translated.
      (BR 226829)
    * Fixed crash on startup for users of MySQL 5.5. Thanks to Bartosz Fabianowski
      for figuring it out. (BR 231166)
    * Readded missing hover info for the new filebrowser.
    * Fixed missing images in the hover info shown for various browser categories.
    * Fixed crash when running some Amarok urls on startup. (such as when passed on
      the command line or cliked in another app) (BR 231626)
    * Fixed crashes when Amarok is started and the Info applet is loaded with 
      certain version of Qt. (BR 227639) (BR 229756) 
    * Fixed organize collection dialog deleting tracks at new location
      instead of old. (BR 217002)
    * Fixed a broken podcast feed that had a minor compliance issue in date
      format. (BR 231062)
    * Fixed "files" bookmarks not storing the actual path shown in the file 
      browser (BR 231437)
    * Fixed incorrectly displayed cover images for albums with the same name,
      e.g. "Greatest Hits". (BR 170146)
    * Fixed problems with new Main Toolbar and SHOUTcast streams: Since these
      streams cannot be paused, we detect this now and stop them instead.
    * Fixed permission errors with each file copied to an iPhone via iFuse.
      Thanks to Colin Guthrie <cguthrie@mandriva.org> for the patch. (BR 231021)
    * Fixed issues with using random navigators while filetering or searching the
      Playlist. (BR 229226) (BR 222129)
    * Fixed crash related to the new playlist tooltips. (BR 229696)
    * Fixed some artist/album/track names not getting shown or getting shown 
      incorrectly in the Current Track applet because of html encoding. 
      (BR 222765)
    * Fixed issue with the Albums applet not correctly updating when playing a 
      track by an artist not present in the local collection. 
    * Fixed Albums applet not getting updated if the artist of the currently 
      playing track was edited. (BR 210296)
    * Fixed bad window title for the details edit dialog in the playlist layout 
      editor. (BR 227912)
    * Fixed wrong track getting dragged from the Playlist when sorting and/or
      filtering is active. (BR 226503)
    * Fixed visual indication for "Stop After This Track" not getting shown 
      immediately when using the global shortcut. (BR 230569)
    * Cover fetcher: Fixed a crash involving reappearing cover found dialogs
      and pending cover fetches. (BR 230215)
    * Display tooltips with applet names in the context toolbar. (BR 230736)
    * File browser: "Add to Playlist" doesn't add playlist files to the playlist.
      (BR 229290)


VERSION 2.3
  FEATURES:
    * Podcast channels and episodes can be dragged to add them to other
      providers. (BR 195704)
    * Track action buttons are now available in the label for the current track.
    * Bookmark button is now available in the Current Track applet.

  CHANGES:
    * When a podcast episode is no longer shown because of the episode limit,
      the downloaded file is also deleted from disk. (BR 227674)
    * The visibility of columns in the new Files Browser is now configurable.
    * Toolbar: "Skip icons", prev/next labels are aligned to the edges
    * Volume Dial: Gradient indicator and pointing cursor hint above the dial ring
    * Playlist layout editor: When copying a layout, set its current name as
      the default one for the copy. Thanks to Jakub Wieczorek <faw217@gmail.com>.
    * Set Media Keys as default global shortcuts for playlist navigation.
      (BR 194259)
    * Deleting files from the File Browser is now asynchronous.
    * Copy/Move/Organize operations now display detailed progress information.
    * Copy/Move/Organize operations can now be canceled. 
    * Port Copy/Move to Collection actions to the new File Browser.
    * Script-Updater: Only check for updates if 7 days have passed since the 
      last check.

  BUGFIXES:
    * Fixed issue with applet icons with 2 lines of text getting cut off in the 
      applet explorer. (BR 227597)
    * Fixed crash when setting a custom cover while Nepomuk is enabled on the system.
      Thanks to Sebastian Trueg <trueg@kde.org> for the patch. (BR 197343)
    * Fix crashes when scanning for orphaned tracks immediately after adding tracks
      to an iPod. (BR 213097)
    * Made cover urls for tracks from Jamendo, Magnatune and scripted services
      available using DBus.
    * When an Audio CD track is chosen manually, make it active in the playlist
      and actually show the On-Screen-Display.
    * Prevent a KDirLister error from appearing when running Amarok for the first time.
    * Fixed cover art not properly updating in TrayIcon. (BR 228966)
    * Fixed lyrics window size too small after edit. (BR 228922)
    * Fixed odd behaviour when doing drag-and-drop from Collection browser.
      (BR 222500)
    * Show artist and title instead of raw track ID when copying/deleting
      tracks on an MTP device.
    * Fixed time labels getting truncated in the slim toolbar. (BR 195935)
    * Fixed broken keyboard navigation in the playlist after activating a track. 
      (BR 225791) 
    * Workaround broken Jamendo url redirects. (BR 221922)
    * MainToolbar labels: watch changes of metadata & queue (BR 227439 & BR 227362)
    * MainToolbar labels: avoid empty strings (BR 228042)
    * MainToolbar timelabel: show progressing time for stream (BR 227598)
    * Playlist layout editor: Disable "rename" button for default playlist layouts. 
      Thanks to Jakub Wieczorek <faw217@gmail.com>.
    * Playlist layout editor: When reating a copy of a default layout, add copy
      to layout list imediately. Thanks to Jakub Wieczorek <faw217@gmail.com>.
    * Compilations do not become normal albums when renaming them. (BR 192029)
    * Fixed a bug where there would be no dynamic playlist biases available 
      with a clean startup. (BR 227797)
    * Fixed a crash when pressing dynamic playlist "save" button on first
      startup. (BR 227073)
    * Fixed a bug when trying to drag files from another application into Amarok.
      (BR 226167)
    * Fixed a bug in podcast parsing that broke all feeds that do not include a
      guid and possible overwrited data from other podcasts. Introduced in 2.3 beta.
      (BR 227515)
    * Correctly show progress description of last remaining job in the statusbar 
      after multiple jobs have been running.
    * Fixed a regression that broke the playlist save button.
    * Respect the podcast episode limit when new episodes are added during update.
      (BR 220768)
    * Fixed crash when right clicking on a header in "saved playlists". (BR 226290)
    * Fixed bug that prevented files from being deleted from the Files browser
      when performing a Move operation.
    * Fixed bug in Organize Collection dialog that used the old "%theartist"
      token instead of "%artist".
    * Install amarokitpc.protocol for playing iTunes links in the web browser if
      Amarok is not running. Thanks to Philippe Roubach. (BR 206615) 


VERSION 2.3-Beta 1
  FEATURES:
    * Added a configuration dialog for Local Podcasts. Update interval and base
      download directory can now be configured. (BR 221398)
    * Make it possible to go to next/previous track with horizontal mouse
      wheel button on TrayIcon. (BR 225783)
    * New main toolbar with completely redesigned look and new features.
      Contributed by Thomas Luebking <thomas.luebking@web.de>.
    * Podcasts and Saved Playlists can now be grouped by provider like iPod, Local,
      USB Mass Storage, etc. This can be toggled using a button in the relevant
      Category.
    * The playlist context menu now has a "Show in Media Sources" action for
      many types of track.
    * The collection scanner now also looks for cover images named
     "folder.*". Apparently some applications use this convention. (BR 224692)
    * It's now possible to automatically use a USB Mass Storage device as a
      collection when it's connected.
    * The progress bar tooltip now shows the position in the track that the
      cursor is hovering, making it simple to jump to a specific position.
    * D-Bus: Added StopAfterCurrent method for /Player.
    * You can now elect to rescan specific folders. Right-click on a folder in
      the collection setup dialog to rescan just that folder. This will only
      work for folders that have previously been added to the collection, i.e.
      you cannot check a folder and immediately rescan it. This will never be
      recursive (as that defeats the point of scanning a specific folder!)
    * Non collection files with a cue sheet will now load their tracks as
      individual tracks in the playlist instead of as one big track with
      bookmark markers.
    * Dynamic Collection is back. (BR 171213)
    * Searching covers from Last.fm using custom query in interactive mode.
 
  CHANGES:
    * All move/copy operations to the local collection are asynchronous.
    * Proper handling of disk full and permision errors for copy/move
      operations to the local collection.
    * A preview of the moving/copying operations is now shown in the Organize
      dialog.
    * Added an expander icon to the collection root items.
    * The equalizer configuration is now a seperate tool window accessible 
      from the tool menu.
    * Files with ogg and flac extensions can now be copied to UMS devices.
    * The search/filter edit in the playlist is now cleared when pressing 
      enter. (BR 217159)
    * Amarok now checks if the version of the "amarokcollectionscanner" tool
      is correct. Some users had issues with having mutiple versions of it
      installed, causing scanning to fail.
    * First run: Let users decided on how to handle music location set
      in standard desktop services.
    * Improved cover fetching accuracy and speed.
    * Usability: Better design of playback configuration dialog.
    * Use millisecond accuracy for track bookmarks. Backwards compatible
      with bookmarks stored in previos versions. (BR 215145)
    * Loving a track for Last.fm via the global keyboard action also show a
      message in the status bar.
    * Improved usability of the playlist layout editor dialog.
    * Duplicate unique file identifiers are now indicated in debug output,
      along with the paths of the files, when found instead of being silently
      ignored. This can help discover multiple copies of the same file or
      files which incorrectly have the same MusicBrainz unique identifier.

  BUGFIXES:
    * Prevent custom sliders from allocating a lot of pixmap resources (xrestop)
    * Fix multiple busy indicators being shown in the Context View. (BR 208102)
    * Corruption of guid strings by passing them as a KUrl caused podcast episodes
      to be readded on each update. This issue has been solved.
      If you have episodes that appear twice, remove the channel and add it again.
      (BR 219516)
    * Cleaned up the Organize dialog to make it more usable. (BR 199574)
    * Made it harder to Move Files unintentionally. (BR 220716)
    * Returned "Organize Files" to the collection's context menu. (BR 215902)
    * Fixed Amarok Solid action for playing audio CDs working. (BR 209204)
    * Fixed crash with moving applets in the Context View. (BR 191918)
    * Fixed crash in KNotify. (BR 224673)
    * Fixed queue management with mouse. (BR 217153)
    * Fixed playback of some streams causing the progress slider to show 
      garbage track length and position values like -322:0-35:0-59.
    * Prevent a crash when loading PLS playlists with invalid filepaths.
    * Fixed scrolling crashes with the cover manager. (BR 224000)
    * Fixed a bug that was deleting files when using "Move to collection"
      from the file browser. (BR 217002)
    * Allow fetching of album covers in the unified view. (BR 220873)
    * Lyrics applet: Fixed scrollbar incorrectly displayed (and sometimes not
      at all) for long lyrics under KDE 4.4. (BR 222260)
    * Fixed bug in Photos applet that made it break with translated versions
      of Amarok. Patch by Bellegarde Cédric <gnumdk@gmail.com>. (BR 222566)
    * Lyrics applet: Fixed saving and restoring font styles. (BR 222277)
    * Lyrics applet: Fixed a bug where sometimes suggested URLs are not
      cleared when switching tracks.
    * Fixed playlist layout editor blocking control of Amarok. (BR 220825)
    * Fixed moodbar in progress slider not correctly updating after moodbar
      style change (BR 220695)
    * Fixed progress slider not moving for many streams (and possible other
      types of tracks) (BR 221747)
    * Sort artists named like "The Foo" correctly in all cases. (BR 176670)
    * Fixed behaviour when clearing the bookmark manager filter.
    * Fixed track not being added to the playlist when playing a track from
      the bookmark manager.

VERSION 2.2.2
  CHANGES:
    * The inline playlist editor now also allows resizing of auto sized items that 
      are invisible because fixed sized items already use up 100% width.
    * Enhanced the playlist sorting breadcrumb items to separately highlight
      the order inversion arrow on hover. (BR 209011)
    * The automatic character set detection for tags has been disabled; it
      caused too many problems with legitimate UTF-8 tags. It can be
      re-enabled from Settings->Collection. (Many BRs)
    * Dynamic mode is now automatically disabled when replacing the playlist.
      (BR 214759)
    * The collection search filter now also searches for file names as a
      fallback. Patch by Andreas Hartmetz <ahartmetz@gmail.com>.

  BUGFIXES:
    * Fixed crash with dangling pointer on trying to play a media device track
      whose collection no longer exists. (BR 210477)
    * Fixed loading MusicBrainz-tagged tracks in dynamic playlists. (BR 219902)
    * Fixed MusicBrainz-tagged tracks not being restored in the playlist
      upon restart.
    * Fixed incorrect display of rich text in applet header text. (BR 220714)
    * Fixed GUI freezing after mounting and during parse of media devices.
      (BR 180520)
    * Fixed occasional crash when custom biases go awry. (BR 219888)
    * Fixed missing icons in the drag overlay menu.
    * More reliable MimeType detection for music formats. Patch by Rafał
      Rzepecki <divided.mind@gmail.com>. (BR 219792)
    * Fixed regression causing many scripted services, including the, shipped by
      default, LibriVox service to not work at all.
    * Fixed corner case that could prevent scans from being completed,
      manifesting as a regression in 2.2.1. Huge thanks to Christian
      Kreibichfor his patience and time in helping to debug this.
    * Fixed removing multiple tracks from a saved playlist only removing the
      first track. (BR 218527)
    * Fixed cancel button not responding when loading thumbnails in the cover 
      manager. (BR 204882)
    * Fixed crash when using the inline playlist editor to resize items containing
      auto sized elements not shown becuase of all space already being used.
      (BR 218167)
    * Fixed relative links in wikipedia work. (BR 218512)
    * Fixed multilevel playlist sorting by time since last played so it sorts
      numerically rather than alphabetically. (BR 214761)
    * Fixed crash with "Edit Track Details" dialog. (BR 217625)
    * Fixed a number of cases where markers such as "current track", "stop after 
      this track" and others would get shown in both group header and the first 
      track in the group. (BR 197842)
    * Fixed regression causing non default moodbar styles to not work.
    * Jamendo.com service: Fixed track lengths not getting shown for most tracks.
      For existing installs, this requires a redownload of the Jamendo database.
      (BR 200531)
    * Jamendo.com service: Fixed searches not working because of SQL errors.
    * Jamendo.com service: Removed broken "Unknown" genre which would freeze
      Amarok if expanded. For existing installs, this requires a redownload of
      the Jamendo database. (BR 213165)
    * Playback of Audio CD track now correctly stops if track is the last in the
      playlist. (BR 216175)
    * Fixed crash if user clicks rating widget on the current track applet
      while no track is playing (which is possible since there is a slight
      delay before the applet switches "mode"). (BR 215471)
    * Made "Last.fm Love" (and potentially other global actions avaiable for all 
      tracks) correctly show up in the Current Track applet.


VERSION 2.2.2-beta1
  FEATURES
    * Added Ctrl+O shortcut to open media files. (BR 219337)
    * Dailymotion video can now be rendered within the applet in HQ if HQ is selected 
      in the video applet settings.
    * Rewrote podcast feed parser to correctly parse XML. Now even RSS 1.0 and
      Atom feeds are supported. Patches by Mathias Panzenböck.
    * Rating of playlist items can now be filtered, using "rating:#" notation.
    * When removing a podcast subscription, ask for confirmation and offer to delete the
      downloaded episodes. Patch by Frank Meerkötter.
    * Font of lyrics applet is configurable in the lyrics applet setting page.
    * BPM editing, sorting, and filtering have been implemented. (BR 214056)
      Patch by Pierre Dumuid <pmdumuid@gmail.com>.
    * Made it possible to change a podcast channel's URL. (BR 195204)
    * Also support feed:// urls for subscribing to podcasts.
    * Limited the number of simultaneous podcast updates and downloads to four.
      This can be configured separately in the "amarokrc" configuration file.
    * Import podcast subscriptions from OPML.
    * Show HTML info for podcast channels that support this. Patches by
      Mathias Panzenböck. (BR 193357)
    * Ampache Service now shows Service info from last.fm
    * Moodbar support is back. Can be shown in progress bar or in the playlist.
      The 4 visual styles from Amarok 1 (normal, angry, frozen and happy) are 
      all supported. This feature requires that moodbars files are already present.
    * Cover images can now be fetched via HTTP. (BR 176899)
    * Custom Labels has returned.  Assign labels from the tag dialog, and
      see them in the tag dialog or in the playlist.
    * Fetch labels from last.fm for some tracks [UPDATE THIS ONCE WE FIGURE OUT WHEN TO DO SO]
    * Pressing F2 when focused in the lyrics applet jumps into editing mode.

  CHANGES:
    * Tracks in Albums applet are now sorted by track number. Patch by Lorenz
      Röhrl <sheepshit@gmx.de>.
    * New menu to add applets to the context view.
    * Added rating filter to collection browser's edit filter dialog.
    * Added bitrate and sample rate filters to collection browser's text input area.
    * Amarok now depends on KDElibs 4.3, and Qt 4.5.
    * When downloading a podcast make sure the file is not on disk already. If it is the
      download is stopped and the existing file is used instead.
    * Last.fm friends and neighbors are now sorted alphabetically.
    * Radically reduced memory consumption while downloading podcasts by writing direct to
      disk. Patches by Frank Meerkoetter. (BR 209937)
    * Podcast auto-update interval is now configurable in the rc-file. Default is 30
      minutes. (BR 212467)
    * Magnatune.com store: Better status message when downloading albums.
    * Moved the "Playlist Layout" button into the main menu, as the playlist
      toolbar was becoming too crowded.
    * New interface for repeat and random playback modes. Interface now correctly
      represents the actual behaviour (ony one mode can be active at any time)
      and is accessible directly from the playlist toolbar.
    * Usability: Added tooltips all over the place, improved existing ones.
    * Usability improvements for the Ampache service settings dialog.
    * Length and size of queued tracks are now shown in the statusbar tooltip. (BR 144471)
    * Improved Cover fetching. Changed Dialog so the user can select from
      possible covers.
    * Improved guessing tags from filename. Added preview to Dialog.
    * Display frames around lyrics/video applets for indicating focus.
    * Improved keyboard functions when editing lyrics from the applet.
    * Improved automatic resizing of lyrics and suggestions in the context applet.
    * The audio device is now closed when playback stops. This saves power in several ways
      and frees it up for other applications. This also fixes the 100+ idle wakeups in
      PowerTOP when using the Xine backend.

  BUGFIXES:
    * Fixed two bookmark actions having the same text description. (BR 214716)
    * Remove broken right click menu from the Info applet. (BR 206642)
    * Fix several bugs handling changing compilations. Patch by Morten Sjøgren
      <m_abs@mabs.dk> -- thanks!
    * Fixed bug with panel header icon size. (BR 208616)
    * Fixed bug with OSD not being shown by dbus call. (BR 208424)
    * Fixed bug with importing scores from Amarok 1.4. Patch by Michal Ziabkowski
      <mziab@o2.pl>. (BR 174444)
    * Fixed wikipedia applet poorly showing wikipedia main page when a track 
      tag is empty.
    * Magnatune.com store: Album cover is now correctly fetched when redownloading.
    * Magnatune.com store: Fixed crash when redownloading album. (BR 217148)
    * Fixed crash when doing "Edit Track Details" on media device. (BR 217143)
    * Fixed layout resizing bug with Qt 4.6. (BR 213990)
    * Fixed corrupted track lengths when copying to iPod. Patch by Christophe 
      Fergeau <teuf@gnome.org>. (BR: 215124)
    * Fixed videoclip applet going blank when switching from one video to 
      another. (BR 210332)
    * Fixed dailymotion video file direct link retrieving not working. (BR 214168)
    * Fixed wikipedia engine not parsing correctly URL containing ":". (BR 209397)
    * Fixed several issues with loading and saving timecode tracks to and from
      playlists.
    * Fixed crash when copying tracks to MP3tunes music locker. (BR 214686)
      Patch by Nicolas Lécureuil <nlecureuil@mandriva.com>.
    * Podcast downloads can now be properly canceled. Patch by Frank Meerkötter.
    * Fixed any open menus or popus getting closed when the OSD is shown.
    * Fixed copies of default layouts getting created even if just using the
      inline editor to change track metadata.
    * Fixed inline playlist editor saving values that had been edited but
      where the value had not actually changed.
    * Pressing enter now correctly applies changes in the playlist inline
      editor. (BR 215924)
    * The volume slider in the Slim Toolbar would sometimes work incorrectly
      after startup. (BR 215185)
    * Fixed popup for showing the progress of multiple tasks not working.
    * Made dragging from podcast list to external program work. (BR 212343)
    * Made dragging from the Last.fm service directly to the playlist work.
      (BR 215494)
    * Fixed crash during copying to collection with custom file naming schemes
      where a component would be empty. (BR 211518)
    * Magnatune.com store: Fixed incorrect download urls for non english 
      languages. (BR 212126)
    * Magnatune.com store: Fixed membership type not remembered when running 
      a non-English Amarok. (BR 195427)
    * Support for "title:" token in the collection search. Patch by Roberto
      Bertolusso <rbertolusso@yahoo.com>. (BR 211249)
    * Fixed lots of memory leaks reported by Valgrind.
    * Made lyrics applet colours presentable with bright and dark colour
      styles. (BR 214930)
    * Made sure random mode works if repeat is on. (BR 214559)
    * Fixed random mode behaviour when "going back". (BR 208892)
    * Made random mode work. (BR 212910)
    * Fixed lyrics applet logic when saving, closing, and editing lyrics.
    * Fixed graphic artifacts in the video applet.


VERSION 2.2.1
  FEATURES:
    * Podcasts will only be automatically updated when there is a network
      connection (using Solid).
    * The SMB (Samba) protocol is now supported in the playlist. Patch by 
      Steven van der Vegt <s.vandervegt@student.utwente.nl>. (BR 178691)
    * Podcasts have better indication of status with emblem icons.
      (BR 209433)
    * The information from the podcast feed can be written to the downloaded
      files. Both manually and automatically.
    * Track bookmarks can be removed directly by using the delete icon shown
      in the popup when the mouse is over it.
    * Add a menu allowing the creation of any known type of bookmark to the 
      Bookmark Manager.
    * CTRL+SHIFT+F toggles full screen mode. Patch by Rick W. Chen
      <stuffcorpse@archlinux.us>.
    * Podcast episodes can now be marked as new/old manually.
    * Podcasts can now be grouped in the playlist and show useful info in the
      tag editor.
    * Playlist files can be droped on the "Saved Playlist" category to
      import them into Amarok. (BR 193476)
    * Playlist files from the default playlist location are now loaded by
      default. (BR 209596)
    * Added view menu to menu bar for ease of use.
    * Saved playlists and folders can now be deleted with the keyboard.
    * Added "Copy on Write" when trying to edit a read only (one of the 
      default) playlist layouts. The changed layout is now simply saved under 
      a new name. 
    * Added context view bookmarks, allowing saving and restoring of applet 
      setups.
    * Enhanced --debug feature: When a function takes very long to run (> 5s),
      we print a special message (DELAY) that can be searched easily.
    * Middle-clicking an item in the Collection Browser appends it to the
      playlist. Patch by Felix Geyer <debfx-kde@fobos.de>. (BR 197423)
    * Added feature for removing duplicates from the playlist. Patch by John
      Atkinson <john@fauxnetic.co.uk>. (BR 200445)
    * Allow changing of playlist layout item sizes using the inline editor.
    * Initial KNotify support.
    * Show total playlist file size in a tooltip when hovering over the total
      play list time. (BR 91640)
    * Implemented "Jump To". Press Ctrl+J to focus the playlist search.
      (BR 92400)
    * Made Love/Skip/Ban/Enqueue/Dequeue available in Shortcuts configuration
      dialog. (BR 136232, BR 187542)
    * Added a function to automatically update the built-in scripts if newer
      versions are available

  CHANGES:
    * Do not automatically fetch the entire Jamendo database every time the Jamendo 
      service is started.
    * Database now does consistency checks on a semi-regular basis, with full
      checks upon full rescans.
    * Removal of most SQL during scan result parsing means enormous speedups
      during collection scanning. (BR 210201)
    * Usability improvements for the Videoclip applet.
    * Restore the proper custom bias when switching between saved biases (BR 209350).
    * Don't crash when receiving bogus data from Last.Fm when asking for
      recommended songs (BR 208173).
    * UMS device plugin now checks MIME types of tracks both by content and
      filename. Thanks to Aran Cox <aroncox@gmail.com> for the patch.
    * Some optimization of SQL queries during scan to speed things up. (BR
      210201)
    * Use an emblem for indicating a podcast episode is on disk. (BR 209433)
    * Scanning speedups by getting rid of unnecessary code paths and
      optimizing some queries. Patch by Egbert König <e.kunig@home.nl>.
      (BR 209822)
    * New main toolbar and renaming of ToolbarNG to Slim Toolbar.
    * Huge performance improvements for the Cover Manager. Thanks to Michael
      Reiher <redm@gmx.de> for the patch. (BR 210454)
    * Improved usability and look of main control buttons.
    * Multiple usability improvements for the Dynamic Playlist UI.
    * Moved the Podcast category to the top level of the Content panel.
    * Renamed "Browsers" panel to better suited "Media Sources".
    * Improvements to the row heights in the playlist, making especially the
      size of the rating stars more consistent.
    * Usability improvements in the Context View's applet tab bar.
    * Collection scanner won't scan a directory more than once if passed in
      multiple times. Should significantly speed up certain incremental
      scanning cases.
    * When doing a recursive incremental scan, the scanner will no longer scan
      subdirectories of changed directories if those subdirectories' mtimes
      have not changed, for extremely large speedups in some cases. For very
      flat collection trees, the difference is basically between a small
      incremental scan and a near full rescan.
    * Ask the user for confirmation before refetching lyrics and overwriting
      cached ones.
    * It is now possible to stop editing lyrics without saving changes in
      the lyrics applet.

  BUGFIXES:
    * Fix issue where data structures were loaded with wrong values. (BR
      212676)
    * Videoclip applet didn't work correctly on some systems. Thanks for the
      patch go to Jacopo De Simoi.
    * Proportions of layout stay correct after window resizing. (BR 200527)
    * The GUI layout is now crash persistant. (BR 211509)
    * Ensure that ReplayGain float values are stored in the database with a
      period, not a comma. (BR 212676)
    * Fixed crashes with Icecast Directory script. (BR 206579)
    * Enabled C++ exceptions handling in Amarok. This fixes various crashes
      with liblastfm. (BR 212115)
    * Reversed the priority of repeat and random modes. Repeat now always 
      takes precedence. (BR 178056)
    * Fixed crash if closing amarok while the JamendoXmlParser is running.
      (BR 208468) (BR 211015)
    * Systray information now updates correctly for streams. (BR 211748)
    * Made playlist layouts translatable. (BR 189751)
    * Fixed issue with collection scanner seeing duplicate tracks if they
      contained the default MusicBrainz UUID. Patch by Egbert König
      <e.kunig@home.nl>. (BR 209822)
    * Fixed issues with certain types of tracks not correctly getting grouped
      together in the playlist when grouping by something other than album.
    * Splash screen no longer hides KWallet on startup. (BR 210179)
    * On Screen Display was not shown when cover image changed. (BR 195188)
    * On Screen Display was not shown on automatic track change. (BR 209376)
    * Automatic playlist scrolling was broken in some cases. (BR 193459)
    * The On Screen Display now uses a sane font size with all display
      resolutions. (BR 195186)
    * Fix rare regression where inaccessible subfolders (due to permissions)
      in the collection could not be picked up by an incremental scan when
      permissions were fixed and their mtime updated, requiring a full rescan.
    * When using a MySQL server with "Watch Folders For Changes" disabled,
      very long periods of idle Amarok could allow the server to close the
      local connection. This is now detected and should be worked around. 
    * Correctly set the lyrics applet's title when displaying HTML formatted lyrics
    * Track selection is now correctly preserved when using Dynamic Playlists.
      Patch by John Atkinson <john@fauxnetic.co.uk>. (BR 208349)
    * Cover Manager no longer stops when one cover cannot be fetched. Patch by
      Tycho Andersen <kdebugs@tycho.ws>. (BR 205032)
    * Magnatune.com store: Fixed problematic use of external unzip command
      for unpacking downloaded album zip files. (BR 138499)
    * Magnatune.com store: Download high quality covers when purchasing or 
      downloading albums. (BR 176177)
    * Correctly modify the Lyrics Applet's title when its state changes.


VERSION 2.2
  CHANGES:
    * The MusicBrainz ID of a track is now scrobbled to Last.fm, if it exists.
      (BR 122281)
    * More collection scanning speedups.

  BUGFIXES:
    * Replay gain works on the Phonon Xine backend.
    * Fadeout on track end works again.
    * Fixed regression where the last album to be scanned would not have its
      cover picked up by the collection scanner.
    * Sorting by track length in the playlist is now possible. (BR 208689)
    * Fixed track bookmarks not immediately getting removed from progress bar 
      when they are deleted from the bookmark manager. 
    * Fixed new track bookmarks not getting shown in the progress bar
      immediately.
    * Fixed track bookmarks not getting correctly repainted when resizing 
      progress bar. (BR 207091)
    * Correct a logic bug during incremental scanning that could cause the
      wrong tracks to be removed from the collection, requiring a full rescan.
      Should fix bug 208403 and likely multiple others. (BR 208403)
    * "Configure Amarok" dialog takes up less space, making it suitable for
      small screens.
    * Fixed photos applet not working after resuming playback. (BR 206829)
    * Fixed regression where the genre field in the Tag Dialog would show the
      composer of the track. (BR 208255)
    * Don't reshuffle the playlist every time the active track changes when
    * using a random sort order.
    * Fixed the Various Artist node sometimes being shown in the Collection
      Browser with nothing underneath it (or an empty "Unknown" album).
    * Fixed some tracks' tags not being saved correctly to the database.
      (BR 202021)


VERSION 2.2-rc1
  FEATURES:
    * Import itpc:// podcast urls (BR 206615).
    * Mark podcast episode as not-new when starting to play it.
    * Reintroduced indicator icons for new podcast episodes.
    * Added "subscribe" command line switch to add a podcast channel.

  CHANGES:
    * Removed Shoutcast Directory service due to technical and other issues.
    * Made audio CDs respect the "Automatically retrieve cover art" setting.
    * TagLib 1.6 built with ASF and MP4 support is now required. This release
      of TagLib fixes many, many bugs and contains new format support.
    * TagLib-Extras 1.0.0 is now required. This release is compatible with the
      new TagLib 1.6 release.
    * Removed non working menu entry "rename" from the Bookmark Manager. This
      functionality is no longer needed as inline renaming is possible.
    * Improvements for volume widget in ToolbarNG.
    * Added "Lock layout" option to the main window's context menu.    

  BUGFIXES:
    * Fix wikipedia engine refined search broken. (BR 208024)
    * Crash in QTextCodec while scanning collection has been fixed.
      Apparently. (BR 191447)
    * A dialog with "Can not write playlist (/)" was displayed when using
      saving from within a script. (BR 206659)
    * Fixed playlist grouping mode not getting correctly applied on startup. 
      (BR 208087)
    * Fixed track queue getting "lost" when switching between different track 
      navigators. (BR 205920)
    * Implemented proper check for running instance options on the command
      line. (BR 207988)
    * Improved visibility of the Context View's menus. (BR 198221)
    * Fixed crash when using the eject action on an audio CD collection while
      a track from the CD is playing. Instead playback is now stopped before 
      the CD is ejected.
    * Do not show the "load" context action in the Bookmark Manager when more
      than 1 bookmark is selected.
    * Fixed "Create timecode track" menu entry not showing up in the Bookmark 
      Managers context menu when exactly 2 bookmarks are selected.
    * Fixed new track timecodes always getting shown at the very beginning of
      the progress slider until the track was reloaded.
    * Fixed some tracks not correctly loading timecodes due to url encoding 
      issues.
    * Fixed bookmark database tables not correctly getting created on first 
      run, leading to frequent SQL errors.
    * Fix the ends of the active track indicator getting stretched badly on 
      wide playlists
    * Only one toolbar type will be enabled at any time (Toolbar or ToolbarNG).
      Previously both could be enabled concurrently by accident.
    * Multiple fixes for the Track Timecode popups. They are no longer truncated
      if there is not enough space to the right and the issue with them getting 
      "stuck" has also been fixed. Thanks to Simon Bühler 
      <simon@aktionspotential.de> for this patch. (BR 196924)
    * Do not crash when removing a track with no album from the playlist while
      the repeat album navigator is active. (BR 207427)


VERSION 2.2-beta2
  FEATURES:
    * Added DBus methods Forward and Backward for relative seeking (BR 206028)
      and PlayPause for toggling pause state (patches by Michael Zanetti
      <michael_zanetti@gmx.net>).

  CHANGES:
    * Grouping mode has been merged into the playlist layouts so each layout
      sets its own. The default grouping mode for layout files that do not 
      have this value explicitly set is "Album". Thanks to Tim Bocek 
      <tim.bocek@gmail.com> for this set of patches.

  BUGFIXES:
    * Default layouts should now be sane across all architectures.
    * Fix genre tag in old MP4 files not being shown correctly (fixed in
      Taglib-Extras-0.1.7, and upcoming TagLib-1.6). (BR 198238)
    * Focus behavior is now consistent between the browsers filter widget and the
      playlist filter widget. (BR 206776)
    * OSX: Fixed crash when activating inline playlist editing. (BR 206576)
    * Fixed dockwidget menu getting shown when right clicking on the progress
      slider causing the slider to follow the mouse. (BR 206350)
    * Use filename as track title for non collection files if no other title can be
      found by reading metadata tags. (BR 206794)
    * Update playlist filter, sort order and grouping when the metadata of a track
      changes. (BR 206754)
    * Do not crash if trying to load a completely empty playlist layout.
      (BR 204236)
    * Correctly show timecodes, if present, when starting playback of a new track. 
      (BR 191185 ??)
    * The playlist sorting scheme is restored on startup.
    * Fixed compilation of iPod collections without gdk-pixbuf.h. (BR 206347)
    * Audio CDs are ejected properly.
    * Media device eject/disconnect actions render properly when scrolling the 
      collection browser. (BR 204566)
    * Fixed wikipedia applet not working when using a custom skin. Thanks to Stefan 
      Majewsky for the suggestion. (BR 205901)
    * Fixed "Show in Service" action.
    * Fixed extra empty rows sometimes getting added to the playlist layout xml
      when using the playlist layout editor. (BR 205182)
    * Fixed typo in D-Bus manifest, that resulted in incorrect function
      invokation in IRKick. (BR 205729)
    * Correctly mark playing track as active in the playlist after removing it
      using the "clear playlist" button and later re-adding it.
    * Fixed crash when removing an "albumless" track, like a podcast from the 
      playlist with the random album playback mode enabled. (BR 201476)
    * Fixed track queuing when the playlist uses a random track progression.
      (BR 194328)
    * Fixed issue where files or folders with the same name but different case
      sensitivity were not scanned and/or retained. (BR 197384)


VERSION 2.2-beta1
  FEATURES:
    * Allow pasting an URL from clipboard to playlist with middle mouse click.
      Patch by Felix Geyer <debfx-kde@fobos.de>.
    * Support for copying aiff files to iPods. (BR 200820)
    * Add openDesktop.org support to the About dialog to make it easier
      to interact with the Amarok team.
    * Add inline editing of track metadata in the playlist. 
    * The Playlist supports different grouping modes.
    * The playlist can be partly or fully randomized (shuffled) by 
      selecting "random" as a sorting level. 
    * Info about the categories in the "Browsers" area is now shown in 
      the info applet on mouse over.
    * Magnatune.com store: Add support for the personal recommendations
      feature available to Magnatune.com members. 
    * Magnatune.com store: Add support for the membership "favorites"
      feature. Albums can now be marked as favorites using a context 
      menu action, and the list of favorite albums is available in the
      info applet. From here clicking links can add albums to the playlist,
      navigate to the artist or album in the browser, remove an album from
      favorites and (for download members) start a download.
    * Add a dbus ShowOSD method to /Player. (BR 213532)
    * Playlist layouts can now show simple inline playback controls and a
      progress bar for the currently active track. This can be enabled on 
      a per layout basis in the playlist layout manager dialog.
    * Show position in track of the mouse (the position in the track that
      playback will jump to if pressing the mouse) when hovering over the
      progress bar.
    * Amarok File Tracking can now use MusicBrainz track identifiers as
      embedded IDs.
    * Allow sorting in the bookmark manager.
    * Allow filtering in the bookmark manager.
    * Add colums to the bookmark manger and make it possible to edit items 
      inline.
    * Add a small bookmark menu to the browser breadcrumb bar allowing for
      navigation to a bookmark, as well as creating a new bookmark based on
      the current "view" or calling up the bookmark manager.
    * Magnatune.com store: Allow re-downloads of any previous Magnatune.com 
      purchases by a given email, not just purchases made from a specific 
      installation of Amarok.
    * Inline editing of lyrics from the context applet. (BR 201342)
    * Ipod initialization support when failed to read an iPod database.
    * Improvements to the "Show Cover" dialog. Resizes to match the image, auto
      centers on screen, correctly handles images too large for the screen and
      supports zooming using the mouse wheel. Patch thanks to Pascal Pollet 
      <pascal@bongosoft.de> (BR 175901)
    * Automatically expand collection browser search results and make the
      results keyboard accessible. Patch thanks to Tuomas Nurmi
      <tuomas@norsumanageri.org>. (BR 172379)
    * Audio CD support. Audio CDs now show up as a separate collection and
      tracks from the CD can be freely mixed with any other tracks in the 
      playlist. Using the "Copy to Collection" menu its possible to copy (rip)
      tracks directly to the local (or any other writable) collection. 
    * Sortable playlist. The playlist can now be hierarchical sorted using a 
      breadcrumb like interface to select sorting levels. Sorting can be
      easily reverted.
    * Improved media device support.
    * Video applet to show videos from YouTube, Dailymotion and Vimeo.
      The video can be appended to the playlist, and rendered within the applet.
    * Photo applet to show images from Flickr, with customizable animations.
    * Customizable user interface using dock widgets.
    * Support for external MySQL database. See
      http://amarok.kde.org/wiki/MySQL_Server.
    * GHNS integration for downloading and installing Context applets.
    * Support for Context applets to be written in QtScript.
    * Custom Dynamic Playlists using Last.fm.
    * Drag and Drop support for album cover image. (BR 91261)
    * Upcoming and previous tracks count for dynamic playlist is now
      configurable. (BR 177540)

  CHANGES:
    * Imported playlists can be directly edited from within the "Saved Playlists"
      category. The files on disk will be changed as well.
    * Hueristics when deciding which album to use in a directory. See comments
      in (BR 196559)
    * The "Service Info" applet is now simply called "Info" to reflect that
      it now shows info from other parts of Amarok as well.
    * Remove the bookmark manager context applet and add a bookmark manager
      dialog instead.
    * Magnatune.com store: Add a link to purchase gift cards to the purchase 
      dialog.
    * Reset playlist filter when using the "replace playlist" action. Patch 
      by John Atkinson <john@fauxnetic.co.uk> (BR 200709)
    * Track lyrics are exposed through the DBUS interface.
    * The database connection and tables now enforce UTF-8 for the character
      set and collation.
    * The OSD registers itself as a notification window type on relevant
      platforms. Patch thanks to Danny Baumann <dannybaumann@web.de>.
      (BR 194517)
    * Improvements to the Wikipedia applet. History, language settings
      and more.
    * Improvements to the Current applet. Text slides on mouse hover.
    * New navigation style in the browser sidebar.
    * Improvements to the Albums applet. Show individual track times and
      highlight currently playing artist within compilation albums
    * Removed PlayAudioCD from the scripting interface. It never worked
      anyway, and audio CDs are just treated as a collection and not a
      special case like they were in 1.4.
    * Changed trackInserted and trackRemoved API signals. (BR 194220)

  BUGFIXES:
    * Improved Amarok 1.4 import. Patch thanks to Michael Reiher <redm@gmx.de>.
    * Improved performance and decreased memory usage when loading music shares
      (DAAP collections). Patch thanks to Duns <dunsens@web.de>. (BR 173048)
    * Changing Amarok's settings no longer removes album covers from playlist.
      (BR 202258)
    * Fixed crash on startup if another Amarok instance was still loading.
      (BR 202713)
    * Fixed some album art in a folder not getting picked up if a subfolder
      contained any files. (BR 167158)
    * Fixed broken selection in the "Saved Playlists" category.
    * Fixed wrong Random Album mode behavior when playlists contains only
      one album. (BR 194066)
    * Fixed double playcount increase for last track in queue (BR 188330)
    * Fixed track drag-and-drop problem when special characters are present
      in file path. (BR 193878)
    * Don't crash when trying to load an empty playlist folder. (BR 202643)
    * Make using the mouse wheel over the progress slider correctly navigate
      in the currently playing track. (BR 195913)
    * Correctly strip all formatting from text pasted or dragged to the 
      comment field in the tag edit dialog. (BR 188270)
    * Fix incorrect "current item" after deleting track(s) from the playlist
      causing up and down buttons to not move selection to the expected row.
      (BR 197203)
    * Jamendo service: Fix destination filenames when using "copy to 
      collection". (BR 171839)
    * Jamendo service: Make torrent downloads work again. (BR 198200)
    * Remove the video stream from the context view when removing the video 
      applet during stream playback. (BR 201281)
    * Fixed locales for Amazon cover fetching. (BR 188446)
    * Fix crash on trying to edit a playlist layout with an invalid element
      value in the xml file. (BR 197128)
    * Fix DBUS xml parsing. Patch thanks to Ryan Bitanga
      <ryan.bitanga@gmail.com>.
    * Fix data caching issues causing incorrect values to be stored in the
      database and in some cases to be written to tags. Fixes multiple bugs.
    * Correctly enable/disable "Prefer Tracks" menu entry. Patch thanks to
      Ralf Jung <ralfjung-e@gmx.de>. (BR 191059)
    * Do not show "%20" at the end of each filter value in the LibriVox 
      service. (BR 190704)
    * Cached lyrics will now be shown when offline. (BR 197589)
    * Fixed pressing play after reaching the end of the playlist not starting
      the playlist from the top (or wherever the navigator thinks it should 
      start. (BR 176445)
    * Fixed local playlists being renamed to blank when user hits cancel
    * Fixed giant Edit Filter dialog with some translations. (BR 197566)
    * Files browser remembers its view mode. (BR 197122)
    * Fixed non-Latin UTF-8 encoding tags not being correctly decoded.


VERSION 2.1.1
  FEATURES:
    * Compilations with more than 60 artists are supported.
    * Option to hide the context view.
    * Applets are now laid out according to two criteria: either fixed height
      or flowing to fill the CV. No more slivers of applets visible at the
      bottom.
    * Load contents of an m3u file if specified when running amarok from the
      command line. File must be local.
    * Added large source emblem in current track applet.

  CHANGES:
    * Removed option to purchase Magnatune.com albums using a Credit Card as
      this is unfortunately no longer supported by Magnatune.com. It is still
      possible to purchase albums using pre paid gift card codes, and all
      membership features still work.
    * Make it possible to delete multiple selected playlists at once from the 
      "My Playlists" category in the playlist browser.
    * Show info box in CV if no applets are visible.

  BUGFIXES:
    * Don't hide the "On/Off" button for Dynamic Playlists if the window is
      not tall enough. (BR 195886)
    * Make it possible to change the width of a playlist layout element if the 
      combined width of items in the row exceeds 100% (BR 195846)
    * Keep width slider and width display from overlapping when setting
      attributes on a playlist layout element.
    * Don't overwrite cached lyrics when lyrics script returns a "Not found" 
      result. (BR 195213)
    * Fixed the layout of the "Edit Track Details" dialog, which came up
      broken under some circumstances. (BR 195081)
    * Reset total playlist time when the playlist is cleared. (BR 153160)
    * Don't crash when starting a collection scan after another scan had been
      aborted. (BR 195242)
    * Fixed non-UTF8 MPEG tag wrongly shown.
    * Fix problem with supported filetypes not being copied over to MTP device
      (BR 186835)
    * Fix problem with playlist names containing '/' not being saved (BR 975995)
    * Allow cancelling of rename input box in playlist layout dialog (BR 976409)
    * Loading playlists from the command line works again. (BR 191347)
    * Fixed formatting of the debug output when using the -d option.
    * Detection of compilation cover during the scan works again. (BR 172953)


VERSION 2.1
  CHANGES:
    * Removed the "Amarok Handbook" menu entry until the handbook actually
      exists (work in progress).
    * Single-click/double-click behavior in the Collection Browser now follows
      the preference set in KDE System Settings.
    * Automatically fetch the database for Jamendo/Opml on first load.
    * Escape clears most search filters throughout Amarok. (BR 192254)
    * Tracks of saved playlists are again shown in the playlistbrowser. They
      can be added and sorted using drag and drop. (BR 187256, BR 184597)

  BUGFIXES:
    * Fix incorrect scrobbling of tracks after only parts of them are played.
      (BR 179503)
    * Fix incorrect escaping of artist title in lyrics applet.
    * Fix oddly capitalized format/extensions from being incorrectly
      not recognized for copy of track to/from iPod. (BR 188249)
    * Allow selecting directories from the "Add Media" dialog. (BR 192225)
    * On Screen Display settings are now immediately applied, without
      requiring an application restart.
    * Fixed bug that variably caused Collection folders to be "forgotten",
      lots of entries to show up in Amarok's config file, and some other
      oddities. (BR 187126, BR 178973)
    * Fixed large memleak when subsequent collection scans were performed.
      (BR 186842)
	* Fixed possible startup crash. (BR 187126)
    * The context menu (right click) in the Current Track applet works again.
      (BR 176169)
    * After clicking on the Current Track applet, the menu bar at the top was
      no longer working. (BR 190923)
    * Fixed playlist sometimes becoming invisible when Amarok is restored from
      the system tray. (BR 184714)
    * Fix saving podcast episodes to the database when the metadata contains percent signs.
      (BR 189104)


VERSION 2.1-beta2
  FEATURES:
    * New Script method to get current track time in milliseconds. (BR 177073)

  CHANGES:
    * Pressing the return key in the playlist search activates the selected
      result. (BR 192126)
    * Pressing the escape key in the playlist search clears it's contents.
      (BR 192123)
    * Optimizations to the insertion and removal of large numbers of tracks 
      from the playlist. Especially clearing a large playlist is now about 
      300 times faster.
    * Always scroll to newly inserted tracks in the Playlist.
    * When removing upcoming tracks from an active dynamic playlist, add a
      similar number of new ones to keep if from "drying up".
    * Some action cleanup in the playlist context menu.
    * When clearing the playlist, also reset the search/filter text.
    * Podcast titles are stripped of unnecessary whitespace. (BR 177403)

  BUGFIXES:
    * Fixed incorrect track counts in the collection.
    * Fixed duplicate scanning of playlists during collection scan
    * Fixed drag and drop to other applications. (BR 177415)
    * Fixed the filter widget in the Files browser. (BR 176139)
    * Fixed crash when using context menu after collection update. (BR 190056)
    * Fixed problem with Amarok showing wrong track length for Last.fm 
      streams. Patch by Michael Quinn <mike@quinnsoft.com>. (BR 188512)
    * Fixed several memory leaks.
    * Set the value of the slider to the actual scale when loading a fuzzy
      Bias playlist, instead of 100% in every case
    * Don't fetch all coverless albums automatically when opening the Cover
      Manager. (BR 176170)
    * Podcast episodes are loaded correctly when restoring a playlist on
      startup. This means the local file will be played if downloaded.
      (BR 189328)
    * Next button in the main toolbar no longer has a clipped shadow.
      (BR 176031)
    * Fixed slider mouse events in RTL layouts. (BR 185465)
    * Detect iPhones as iPods. (BR 184744)
    * Clicking on "Stop after current track" disables the flag if it is
      already enabled.
    * Show a track marker when the "stop after current track" flag is set.
      (BR 185888)
    * Don't flash the OSD when opening the settings dialog. Patch thanks
      to Andreas Heider <andreas@meetr.de>.
    * Podcast file formats are correctly displayed.
    * Don't crash when pressing Delete on empty playlist. (BR 189021)


VERSION 2.1-beta1
  FEATURES:
    * The collection scanner is now able to be run in batch mode, allowing for
      automated scans of both full and incremental types.  In addition, all
      graphical dependencies have been removed, allowing for headless, remote
      runs of collection scans.  A wiki page detailing how to do this will be
      made available shortly.
    * Covers are shown and written for iPod collections.
    * Phonon multimedia system can be configured directly from Amarok.
    * Cover art can now be disabled in the collection browser.
    * Scrobble tracks from streams that have title and artist metadata
    * Add support for showing a stream with multiple alternative servers as a
      single item in the playlist and add GUI for manually selecting prefered
      source.
    * Ampache service: Add support for Ampache 3.4.4 and 3.5.x.
    * Auto timecoding (position bookmarking) now exists for tracks with length
      greater than 10 minutes. (BR 148740)
    * Add a animated "loading..." screen when dynamically fetching info about
      an item to show in the service info applet.
    * Deleting tracks from the local collection is now possible. (BR 170999)
    * Add a filter-by-date-added to the collection browser. Use added:"today" 
      or added:<2m2d
    * Add an advanced but user friendly playlist layout editor allowing users
      to modify and create their own playlist layouts.
    * The Playlist can now render itself using layouts defined in XML. A
      number of default layouts are included and can be switched between.
    * Option to automatically scroll the playlist to the active item on track
      change.
    * New QtScript methods for accessing the playlist:
      Amarok.Playlist.selectedFilenames() & Amarok.Playlist.selectedIndexes().
      Patch by Mathias Panzenböck <grosser.meister.morti@gmx.net>.
    * New QtScript method for the Track prototype: imagePixmap( size ). Returns
      a QPixmap of the given size, or the default if the size argument isn't
      supplied.
    * New QtScript class 'DataDownloader' that returns results as a QByteArray
      instead of a string. Needed for image downloads.
    * Cue Sheets are now supported as in Amarok 1.4, plus each cue entry
      (usually a track) will be displayed as a timecode on the Progress Bar
      with a nice onMouseOver popup.
    * Ipod support now uses/depends on libgpod 0.7.0
    * Bookmarking specific positions within local tracks and downloaded local
      podcast episodes, with a nice visual indicator on the progress bar.
    * When the last.fm service is active, any track, from any collection or
      service, can be loved from the browser , and there will always be a love
      button for the currently playing track, no matter the source.
    * Dbus methods added: VolumeUp, VolumeDown and Mute. (BR 181130)
    * The feed url is displayed in the config dialog of a podcast channel.
      By left clicking in the url it's copied to the clipboard. (BR 180853)
    * The Playlist Browser can now show playlists from multiple sources,
      including media devices.
    * The Last.fm service now allows for the playing of all types of user
      stations (personal, loved tracks, recommendations, and neighborhood).
    * Arbitrary Tags can now be played in the last.fm service. (BR 139802)
    * Replay Gain support for most file formats that Amarok can read tags from.
      Reading Replay Gain tags from MP4 files requires libMP4v2.  Musepack
      (MPC) files are unsupported due to a limitation of TagLib.
    * Bookmark Manager applet allowing for the creation, browsing, ordering and
      deletion of Amarok urls of different kinds. (BR 173512)
    * Amarok urls. Amarok can now load and generate "amarok urls" that allows
      any "view" to be bookmarked and later retrieved. A protocol handler is
      also installed that will launch amarok into the correct state, or make
      amarok show the correct view, if already running, when such a url is
      activated system wide.
    * Customizable playlist layouts. The playlist is now rendered according to
      an xml layout, allowing the playlist to assume a variety of different
      looks and supply customizable information.
    * Album cover art can be accessed via the scripting API. Patch thanks to
      Simon Esneault <simon.esneault@gmail.com>. (BR 179732)
    * New vertical Context View layout.
    * New applet toolbar in the Context View to arrange, select, and add
      applets.

  CHANGES:
    * New splash screen by Wade Olson <wade@corefunction.com>.
    * Magnatune.com store: When downloading albums (either by purchasing or
      free membership downloads) remember the file format and download 
      location for next time.
    * Links in the lyrics applet are now clickable and open with the default
      external web browser (BR 179396)
    * Collection browser has been pimped.
    * Bring back animations in the browsers if Qt 4.5 or later is detected.
    * The collection scanner is now being provided in a separate package.
    * The TagLib plugins formerly provided by Amarok are now being provided in
      a separate package. It should be available in most distributions as
      taglib-extras.
    * Improvements to playlist searching and filtering. No longer reset view
      to the top when clearing a search term. No longer scroll into the results
      when the "show only matches" option is set.
    * Improved implementation of volume muting. Mute state doesn't change
      volume level any more. (BR 172392)
    * Remove score, last played and play count from the current track applet
      for tracks that does not have any of them (mainly streams).
    * Don't pretend to be able to seek if the source isn't seekable.
    * File Browser UI has been tweaked for better usability.
    * The Bookmark Handler in the File Browser no longer causes a crash-on-exit,
      so it has been re-enabled. (BR 173634)
    * Performance optimisation when loading large playlists, and hence faster
      application startup.
    * Many small visual tweaks for greater consistency and better use of screen
      space.
    * Increased width of volume slider for greater precision.
    * Use the speex, trueaudio and wavpack support in TagLib 1.5, rather than
      our own plugins.
    * Double click on a podcast channel appends all episodes to the playlist.
    * Delete and download actions will only be shown when relevant to the
      selected podcast episode.
    * Major refactoring of the podcast model and view to allow custom actions
      per podcasts source.
    * Compilation fixed for OpenSolaris.
    * Show the cover menu when right clicking on artwork in the Tag Dialog.
    * Don't remove queued tracks from the playlist when repopulating dynamic
      playlists. (BR 191285)
    * Major last.fm UI overhaul.
    * Progress indicator on system tray icon is back.
    * Now using KSystemTrayIcon.
    * QtScript: Importer.loadQtBinding returns a true or false depending on
      success.

  BUGFIXES:
    * Improvements to compilation detection during the collection scanning
      phase. Thanks to Michael Quinn <mike@quinnsoft.com> for laying the
      groundwork. (BR 172953)
    * Do not reset lyrics applet to the top when pausing and then unpausing a
      track. (BR 182519)
    * Automatically update lyrics applet if the user edits relevant track
      metadata. (BR 185237)
    * Fix tracks with some identical tags being detected as dupes and not
      getting copied onto MTP device.
    * Fix invisible and unintuitive selection in the playlist after deleting
      one or more tracks. (BR 187871)
    * Prevent playlist from showing a wrong playing song after adding tracks
      above it. (BR 181947)
    * Show the current playing song when resuming playback of a track not in
      the collection. (BR 173912)
    * Fix crash when using ctrl+mousewheel in the File Browser. Patch by Valentin
      Rouet <v.rouet@gmail.com>. (BR 175803)
    * Fix actions choosen from context menu in a filtered playlist getting
      applied to wrong track(s). (BR 186573) (BR 185054)
    * Try to detect the charset of cue sheets. (BR 184769)
    * Make opening an external webbrowser working on Windows, too.
    * The File Browser now remembers its sort order. (BR 186444)
    * When editing info for multiple tracks, do not write to the files if only
      editing info that is stored in the db and not in the actual files (such
      as ratings). (BR 184836)
    * Render the lyrics applet correctly with dark color schemes. (BR 183037)
    * When turning on a dynamic playlist, automatically populate the playlist if
      it is empty. (BR 183968)
    * Don't crash if using an invalid codec name AmarokLyricsScript conversion
      functions. (BR 185540)
    * Actually stop playback if we encounter too many errors.
    * The collection scanner no longer sucks quite as much.
    * A full rescan is no longer necessary after disconnecting/reconnecting an 
      external harddrive.
    * Fix issue with files being deleted when Organize Collection is run
      without selecting a collection root. (BR 184410)
    * Dynamic playlist weight's are now saved correctly. (BR 184304)
    * Fix using "Copy to Collection" to download Magnatune.com preview
      tracks. (BR 183328)
    * Correct behaviour when queuing in a filtered playlist. (BR 180477)
    * Do not break up grouping in the playlist when editing (all but
      album) tags.
    * QtScript correctly writes the tags of tracks metadata it changes. 
      (BR 182667)
    * Fix "Stop Playing After Track". (BR 180486)
    * Fix switching tracks in random tracks mode. (BR 176019)
    * Fix grouping of Stream and File meta objects. This affects many cases,
      Such as when loading a playlist containing tracks from a scripted
      service.
    * Fixed crash on exit when collection scan has been aborted. (BR 176870)
    * Fixed an infinite loop bug when using title case conversion in Guess Tags.
      (BR 180164)
    * Don't show the rating widget for tracks which are not in the collection.
      (BR 180023)
    * The negation operator works in the collection browser filter.


VERSION 2.0.2
  CHANGES:
    * Show a statusbar message when loving a lastfm track.
    * Show error message when Wikipedia information cannot be retrieved.

  BUGFIXES:
    * Fix showing of book information from the LibriVox service.
    * Don't crash if a script has uncaught exceptions.
    * Open ogg files in Amarok when using Dolphin and other file managers.
      Patch thanks to Lubos Lunak <l.lunak@kde.org>. (BR 180155)
    * Fix podcast episodes not ordered right because of incorrect parsing of
      pubdate. (BR 181338)
    * Fix crash in tagdialog when editing tracks without an artist. (BR 183180)
    * Statistics were not calculated properly in all instances. (BR 182025)
    * Compilation fixes on Open Solaris.
    * Trim URL before adding a new podcast.
    * Add Ok button to the podcast configuration dialog to improve usability.
      (BR 181339)
    * Add tooltips to now playing widget icons.
    * Fix not possible to download episodes from newly added podcast channel.
      (BR 180851)


VERSION 2.0.1.1
  BUGFIX:
    * Fix possible buffer overflows when parsing Audible .aa files.


VERSION 2.0.1
  FEATURES:
    * Add advanced, configurable, searching and filtering to the playlist.
    * Add "Stop after track" option to the playlist menu.
    * Queue track functionality has returned. (BR 171939)
    * Growl support on OS X.
    * Add automatic recovery option to MySQL embedded server.
    * Greatly improved Librivox.org service script. It now works for all books,
      and dynamically fetches a summary of each book that is shown in the
      service info applet. The script now also has a propper icon in the
      service browser and its own emblem and default "album" cover for books.
    * Sorting collection by Composer is now possible. (BR 177271)
    * Service scripts can now dynamically fetch context info when items are
      selected (info can still be applied statically to each item as well).
    * Album items from a service script can now have custom covers.
    * Items from a service script can now have a custom emblem.
    * Service scripts can now set custom icons for the service browser.
    * Add simple filtering to the service browser.
    * Podcast channels are automatically refreshed once per hour if autoscan is
      enabled.

  CHANGES:
    * MTP devices can now delete multiple tracks at once.
    * Status bar notification on copying or deleting tracks on Ipod.
    * Don't fold the Collection Browser after editing or updating the
      collection. (BR 166841)
    * Replace the systray icon with a more modern logo.
    * "Cool-Streams" radio service script is now enabled by default.
    * Show more verbose output when copying tracks to the local collection.
    * Custom Sorting in the Collection Browser has returned.
    * Memory use optimizations.
    * Playlist items now have tooltips. (BR 170844)

  BUGFIXES:
    * The QtScript Qt binding generator has been updated to the latest.
      This should complete some features such as Model/View in the QtScript API
      and fix building with Qt 4.5. (BR 177863)
    * The Files browser now remembers its settings, like the active directory.
      (BR 173742)
    * Fix problems with the collection scanner often missing a part of the
      collection, or potentially failing altogether. (BR 176154)
    * Fix Context View crash when quitting the application. (BR 179110)
    * LibriVox: Don't crash when double clicking "Enter Query". (BR 177991)
    * Files could be deleted when moving files to an unwritable destination.
      (BR 178701)
    * Don't override cached lyrics when fetching. (BR 178196)
    * Show a warning when the collection scanner dies. (BR 176154)
    * Set date correctly on MTP devices. (BR 171194)
    * Ipod ratings are read/written/displayed.
    * Ipod playcounts are read and displayed on Current Track Info applet.
    * Lastfm Settings Dialog can now check to ensure username/password is
      correct. (BR 144456)
    * Don't delete files if an error occurs during transfer. (BR 178701)
    * MPRIS GetMetadata() call returns arturl for last.fm streams. (BR 178695)
    * Fix grouping of various artist albums in the playlist. (BR 175604)
    * Update statistics properly on Windows and Mac versions.
    * Fix progress indicator disapearing when skipping in last.fm streams.
    * Write the discnumber field for mp3 tags.
    * Don't start a fadeout when stopping paused media. (BR 178057)
    * More accurate Amarok 1.4 database imports.
    * Ipod tracks' sample rate is now shown correctly in Tag Dialog.
    * Tracks did not always report that their editable status correctly.
      (BR 177058)
    * Gapless playback of MTP tracks one after another now works.
    * Podcast with some unsafe characters in them caused database corruption.
      (BR 172594)
    * Amarok no longer stalls on large Ipod copy operations. (BR 173707)
    * Fix switching between basic and advanced mode in the filename scheme
      chooser.
    * Fix MTP device attached on startup crashing. (BR 177201)
    * Tracks with same tags as a track on Ipod are no longer copied. (BR 177198)
    * When reaching the end of the playlist, actually show stopped state.
      (BR 177782)
    * Fixes in playing tracks in repeat modes.
    * The wikipedia applet did not give a status update when an entry was not
      found. (BR 173940)
    * Add tooltips to icons in context view. (BR 174478)
    * Fix icons and layout in Advanced Filter dialog.


VERSION 2.0
  FEATURES:
    * Added read/write configuration APIs for QtScript.

  CHANGES:
    * Removed the KBookmarks menu in the FileBrowser because it causes
      crashes.
    * The Organize Collection dialog has been improved.
    * Last.Fm service now uses KIO for network access, respects desktop proxy
      settings.
    * Added icons to the filename scheme and organize collection dialogs.
    * Added an OK button for the script manager.

  BUGFIXES:
    * Don't try to squeeze text into wrongly tiny space, make the track label
      in the tag dialog work again. (BR 176399)
    * Collection setup directory chooser would incorrectly set some paths as
      disabled. Patch thanks to Ben Boeckel <MathStuf@gmail.com>. (BR 176569)
    * Fix shadows around the cover in the current track applet (and potentially
      other places as well) getting progresssively darker.
    * Don't compare Solid and libmtp's serial number to connect. (BR 176403)
    * Workaround a bug in the CurrentEngine class that makes the nocover image
      look grainy in the currenttrack applet.
    * Dragging and Dropping folders from the filebrowser into the playlist will
      now result in the tracks being ordered correctly. (BR 176673) (BR 176156)
    * Fixed deletion for downloaded podcast episodes (BR 176084)
    * Show artists in Cover Manager sorted alphabetically. (BR 176178)
    * Fix reading of windows playlists, recognise \ as directory separator.
      (BR 93717)
    * Fix crash when searching in collections. (BR 175094)
    * Prevent disabled MP3tunes service from being initialized on first run.
    * Elide text properly in applet chooser widget. (BR 175064)
    * Fixed potential crash when playing streams. (BR 175886)
    * Don't show wrong metadata for Last.fm radio. (BR 175435)
    * Don't try to squeeze text into wrongly tiny space, make the track label
      in the tag dialog work again. (BR 176399)
    * Expand applets width when a complete column has been removed.
    * Don't try to fetch another cover if there are no more albums to fetch
      for. (BR 176364)
    * Don't crash when trying to edit the details of a track without an artist
      or album. (BR 173322)
    * Magnatune.com store: Correctly show progress info when downloading.
    * Magnatune.com store: Fix purchase/download of wrong album being initiated
      when selecting "Purchase" or "Download" from the playlist context menu.
      (BR 176171)
    * Fix a bug that stopping a running script crashes amarok. (BR 175050)
    * The context view could sometimes show the "stopped state" even when a
      track was playing.
    * Amarok 1.4 database importer would crash under some circumstances.
      (BR 171784)
    * Covers could not be fetched from Amazon Japan. (BR 176073)
    * Fix a bug that the script manager deletes wrong entry after script
      installation. (BR 173919)
    * Make lyrics auto-display when applet is added while a song is playing.
    * "Watch folders for changes" actually works now.
    * Fix a bug that caused dynamic playlists not to repopulate. (BR 173776)
    * Fixed potential issues with malformed XML breaking the collection scan.
      (BR 170408)
    * Focus of text fields no longer lost when changing tracks using the Next/
      Previous buttons in tag dialog. (BR 175524)
    * Sort Podcasts in the right order.


VERSION 2.0-rc1
  FEATURES:
    * Users' Recommended radio is now shown in the Last.Fm Service.
    * Playlist browser items can be deleted and renamed using the keyboard.
      (BR 175116)
    * Basic and Advanced view when editing a filename scheme are synchronized.
    * Added delete button to Advanced view for defining a filename scheme.
    * Importer for iTunes libraries now allows you to import your statistics
      from iTunes.
    * The settings dialog now remembers the page that was last used.
    * Track information can be edited from the file browser. (BR 172812)

  CHANGES:
    * Video and Last.fm applet have been disabled. They are not ready for release.
    * Ipods and MTP devices auto-connect again for usability.
    * Ipod Collections can now delete multiple tracks at once.
    * User playlists added from files are now updated on collection rescans, so
      any changes in the file is reflected in the SQL playlist.
    * Layout refactoring in the Organize Collection dialog.
    * Enabled Last.fm scrobbling by default when Last.fm login is supplied.
    * Amarok now allows opening of video files again. (BR 174267)
    * "Show active track" has been moved from the playlist context menu to the
      playlist toolbar.

  BUGFIXES:
    * Last playing track on exit now selected on startup. (BR 168789)
    * Update Collection works now correctly, only scanning the necessary dirs.
      (BR 169602)
    * In Organize Collection, the "Collection root" token is now fixed at the
      beginning of the filename scheme. (BR 175376)
    * Resize handle now appears in OS X. (BR 170199)
    * Do not deselect album when right clicking on header. (BR 175527)
      (BR 174584)
    * Correctly sort tracks when dragging and dropping directly to the
      playlist. (BR 175023)
    * Clearing the playlist turns Dynamic Mode off. (BR 174514)
    * Make sure user has edited a text field manually before overwriting that
      tag. (BR 174878)
    * Podcast episodes and channels can be dragged directly from the
      playlistbrowser onto the playlist. (BR 175162)
    * Multiple fixes and improvements for the Wikipedia applet.
    * Playback no longer stops when Last.Fm service config is closed. (BR 174943)
    * Fix issue with tracks from SQL playlists that were added from collection
      scanning not having proper metadata until after a restart.
    * Fix duplicate playlists being added on collection rescanning. (BR 173180)
    * OSD timer resets when song changes. (BR 175030)
    * Fix crash when dragging albums to the bottom of the playlist. (BR 174786)
    * Fixed update of preview string in Organize Collection when switching
      collections.
    * Fix playlist behaviour when adding a track that is already playing
      (BR 174634)
    * Jamendo Service: Remove some sorting modes that caused the database to
      choke as the result sets became too large. Will be revisisted post
      2.0.0. (BR 174851)
    * Fixed possible crash with reading wav files. Patch by Peter van Fessem
      <peter@f-is.eu>. (BR 174819)
    * Amarok 1.4 database importer would skip tracks in some collections.
      (BR 174329) (BR 174444)
    * OSD renders correctly on track changes.
    * Podcasts are correctly stored to the database. (BR 172688)
    * Lyrics aren't refetched when irrelevant track metadata is changed.
      (BR 174678)
    * Don't show transfer popups when copying tracks to a collection and
      overwriting files. (BR 174533)
    * When organising files, "Ignore The" logic was inverted.
    * Do not reload scripts that are already active. (BR 174601)
    * Pressing Stop while fade-out is running will no longer restart the
      fading. (BR 173528)
    * Fixed problem with Amarok sometimes not advancing to the next track.
    * Wikipedia and Lyrics applets now update with streams. (BR 172715)
    * Ampache Service: Do not crash if login is incorrect on startup.
    * Playback control buttons now respects the current color theme.
      (BR 169268)
    * Fix scripted services not resetting content when filter is cleared.
    * Dynamic playlist no longer locks up requiring a restart of the
      application. (BR 173776)
    * Correctly load m3u playlists. (BR 171595)
    * Made the Load action start playback correctly like the Append action.
    * Fixed metadata updating for Shoutcast streams.


VERSION 2.0-beta3
  FEATURES:
    * More intelligent sorting of items in the collection browser, using
      locale aware sorting and natural sorting for numbers. Patch by Nicholas
      Wilson <nicholas@nickcwilson.co.uk>. (BR 154408)
    * The playlist automatically scrolls when dragging tracks. (BR 171622)
    * Import statistics from Amarok 1.4.
    * Double clicking items in the Albums applet appends to playlist.
    * Service scripts can now specify custom info for artist, album and friends
      that will be shown in the playlist and other places, independetly of
      their actual parent item in the service. This value is ignored if item
      is not a level 0 item. Specifying these values is completely optional.
    * Playlists can be added using the Add Media dialogs.
    * Collection browser can once again sort by Year - Album.
    * Albums applet shows disc number separators.
    * Context menu and drag & drop support for the albums applet.
    * Added tracks count and total playlist time to the status bar.
      (BR 171652)
    * You can now Copy To a collection, Append, and Load tracks from
      the file browser's context menu.

  CHANGES:
    * Improved usability for the collection configuration dialog.
    * XSPF playlists will now attempt to apply any stored metadata to items
      not owned by a service when loading. This will make many streams stored
      on shutdown appear with correct metadata after a restart of Amarok.
    * Scripted services are now able to set the infoHtml used in the
      service info applet for individual tracks.
    * The default lyrics script now uses the LyricWiki site, which is more
      reliable and also faster than the old lyrics provider.
    * Add script API function: Amarok.Collection.escape which escapes strings
      for SQL statements.
    * Some new and updated icons.
    * Allow multiple items to be selected in the user playlist category.
    * Statusbar rewrite: Messages are no longer shown as top-level windows.
    * Added proper mouse over visuals to some places where it was missing.
    * All services (or any other part of Amarok) can now add context
      actions to any item in any collection. This is only used for the "play
      similar artists from last.fm" currently, but it allows this kind of
      action to be added without hardcoding it in the core. The immidiate
      effect of this is that the last.fm action is now available for any
      artist in any collection.
    * New "playground" directory added for plugins and applets that are not
      yet ready for prime time.
    * Nonconsecutive items can now be selected and dragged around in the
      playlist.
    * Major overhaul of playlist subsystem, including a completely new view
      (even though it looks a lot like to old one).  Programmers should
      review the SVN commit notes to learn about other changes.
    * Selecting "Move to Collection" in the file browser's context menu
      will now recursively include all directories within the selected items.
    * Selecting "Move to Collection" in the file browser's context menu
      will now delete the original source files as expected.

  BUGFIXES:
    * Correct scrobbling for all tracks, even last.fm streams and loved tracks
      in Last.Fm streams. (BR 164156)
    * Files moved or organized into themselves are no longer deleted.
      (BR 173341)
    * Fix playlist scrollbar graphical errors with some styles. Patch by Huynh
      Huu Long <long.upcase@googlemail.com>. (BR 173547)
    * DBus MPRIS call GetMetadata returns the location field. (BR 173324)
    * Amarok would not show all files it could play in the files browser
      (BR 173333)
    * Amarok now remembers its panel sizes over restarts. Patch by Gary
      Steinert <fatlardo@gmail.com>. (BR 172976)
    * Automatic track score computation works now.
    * Immediately remove the playlist drop visualiser from the playlist after
      dropping an item. (BR 171382)
    * Albums applet doesn't jumble up most recent albums listing.
    * Fix problems with Amarok stopping playback after each track in some
      cases. (BR 172897)
    * Don't forget about downloaded images after doing a collection rescan.
    * Fixed giant font in the Internet tab on some machines. (BR 172954)
    * MPRIS Dbus interface Pause function conforms is a Play/Pause action.
      (BR 173007)
    * Script downloads using KNewStuff2 now correctly installs and uninstalls
      scripts.
    * Fix memleak in iPod handler. Thanks to Christophe Fergeau.
    * Wikipedia applet: Fix infinite retry loop if no artist information is
      found. (BR 171074)
    * First track of an album in the playlist can now be dragged seperately
      from the entire album. (BR 171331)
    * Fix crash when searching in the shoutcast service. (BR 170681)
    * Fix crash when adding multiple shoutcast stations. (BR 170247)
    * Escape HTML characters from track metadata when showing the system tray
      tooltip. Patch by Andrey Esin <gmlastik@gmail.com>. (BR 172623)
    * Only add one new folder when selecting "Add Folder" from the context
      menu in the user playlist category. (BR 169666)
    * Statusbar rewrite: Bring back the detailed progres operations view.
      It is now possible again to get a list of all running operations and
      to cancel each one individually. (BR 168380)
    * Statusbar rewrite: The "cancel all" button now works.
    * Statusbar rewrite: Don't hang on exit. (BR 171665)
    * When searching in the collection, give keyboard focus to the results
      after pressing Enter. (BR 172379)
    * Do not set two different lyrics scripts as default.
    * File sizes for non-collection local tracks are now determined properly.
    * Track rating and score are now enabled for read-only files too.
    * Play option from playlist context menu works now. (BR 172141)
    * Cloud applet moved to playground as it still needs a lot of work.
      (BR 170613)
    * Playlist overhaul fixes a couple of bugs. (BR 167861) (BR 171048)
    * Search queries with ' and \ now work fine. (BR 173330)


VERSION 2.0-beta2
  FEATURES:
    * Add themable borders to album covers where ever they are shown (with
      very few exceptions).
    * Automatically check for collection changes on startup if monitoring
      is enabled.
    * Files can be moved into collections from the Filebrowser. (BR 170077)
    * Clicking on the volume icon in the toolbar toggles mute. (BR 171017)
    * Arrows to switch between containments directly.
    * Scripted services can now show source info in the statusbar like most
      other services.
    * Scripts now able to access web via KDE-wide proxy.
    * Middle click on playlist will append URLs from the clipboard.
    * Numerous under-the-hood improvements to improve the stability of Amarok.
      Rejoice!
    * Incremental collection scanning support. (BR 169602)
    * Playlists found during a collection scan are automatically added to
      Amarok's Playlist Browser.
    * Lyricwiki support.
    * Chinese lyrics support from mp3.sogou.com
    * Sidebars can be toggled with the keyboard: Ctrl+1..4
    * Now remembers visible/invisible state of browsers. (BR 168344)
    * Add ability to play tracks directly off of MTP device.
    * Add option to enable/disable automatic cover fetching.

  CHANGES:
    * Add a new nice Service Info home page to the LibriVox script. Logo used with
      Permision.
    * Use custom stylesheets to ensure that html pages shown in the Wikipedia and
      Service Info applets always have a nice white background.
    * Jamendo service: Filter out genre names less than 3 characters long. This
      gets rid of some uninformative genres like "3" and "07". All content is
      likely still available under other genres.
    * Switch from Sqlite to MySQL Embedded (libmysqld), resulting in faster
      scanning and collection filtering times.
    * When saving a new user playlist, the playlist browser immediately shows
      the newly saved playlist and starts an edit operation on it.
    * Many small visual and layout tweaks.
    * Make the values for score, play count and time since last play appear in
      tooltip when hovering over the icons in the current track applet.
    * Make values for score, play count and time since last play in the current
      track applet readable.
    * The Librivox.org scripted service is back after a rather long, API-change
      induced hiatus.
    * Do not show the OSD if a stream repeatedly sends the same metadata.
    * "Rescan Collection" was moved to the collection settings dialog.
    * Do not always show status of cover fetching in the status bar. (BR 166946)
    * The playlist drop visualiser respects system colours when drawn.
    * Change the ordering of CurrentTrack applet information.
    * The option for exporting playlists with relative urls has been moved
      from the Amarok settings to the save file dialog.
    * Show recently added albums on the albums applet when no track is playing
    * The Love action in the Last.fm service is now available for all tracks,
      not just Last.fm radio.
    * Made album applets scrollable.
    * Default the OSD to the middle top of the screen.
    * New icons and layout for Context View navigation and applet manipulation
    * Same default setting for proportional and fuzzy biases when filtering
      by year. Patch by Andreas Mützel <andreas.muetzel@gmx.net>.
    * Config is now written right after closing the settings dialog, making
      it crash persistant.
    * Improve Biased Playlist solver by using genetic algorithm.
    * System tray tooltip is now translucent (if compositing is available).
    * QtScript: Importer.include imports the file in the same context that it
      is currently in.
    * PodcastCategory now uses PopupDropper actions.
    * Libgrypt is preferred over OpenSSL at build time, for licensing reasons.

  BUGFIXES:
    * Fixed crash on startup when using --nofork option with a URL argument.
    * Don't automatically refetch images after they have been removed.
      (BR 169619)
    * Fixed crash when playing certain podcasts. (BR 171890)
    * Don't show the playcount and rating statistic twice in the system tray
      tooltip.
    * Files from a daap server can be played again. (BR 169565)
    * Files copied from iPod devices had an incorrect file extension set.
    * Don't crash when undoing an action which added tracks to an empty
      playlist.
    * Keyboard shortcut configuration is now remembered. (BR 170260)
    * The playlist drop visualiser will snap to the end of the playlist if
      required. (BR 171016)
    * Enhanced keyboard navigation in the playlist. (BR 170489)
    * Fix edit bookmark feature (BR 170008)
    * Don't show scroll bars on the pixmap viewer when viewing a full sized
      cover.
    * Activate the SideBar tabs when dragging something over them. (BR 169712)
    * Save composer and disc number correctly (BR 167184)
    * Handle multidisc albums properly (BR 167238)
    * Remove empty folders after organizing the collection. (BR 141555)
    * Display rating (when present) in OSD. (BR: 167263)
    * Make the currently playing track active in the playlist if it has been
      removed and is later re added. (BR 167552)
    * Detect Amarok 1.x style compilations when scanning the collection.
    * Show the album year in the Collection Browser if requested.
    * Make appending of podcasts to the playlist work.
    * Fix text color of current track applet. (BR 168466)
    * Lyrics applet is functional.
    * Setting half ratings via global shortcuts was broken.
    * Exporting of M3U and PLS playlists has been fixed.
    * Make the PlayPause button actually switch icons again. (BR 169805)
    * Add "Ignore field" token to the Guess tags dialog. (BR 161060)
    * Only add supported file formats to the playlist. Patch by Andreas Mützel
      <andreas.muetzel@gmx.net>.
    * Clear the status bar when stopping playback.
    * Albums applet no longer uses lots of CPU cycles. (BR 169586)
    * Don't show the context menu in the Current Track applet if playback has
      been stopped.
    * Applets do not disappear if Context View is shrunk too much. (BR 169504)
    * Fix last.fm events applet.
    * The Current track applet now has tooltips for the icons on the right
      hand side. (BR 168260)
    * "Resume playback on start" now also restores the track position
      correctly. (BR 168792)
    * Fix layouting issues with tagging dialog. (BR 166837)
    * Fix crash when closing last.fm settings while playing. (BR 168828)
    * Make it possible to actually disable the audio fadeout. (BR 169022)
    * Podcast Episode downloading doesn't crash anymore. (BR 168203)
    * Dragging files to the playlist no longer appends, but drops in the
      correct spot.
    * Correctly order out-of-collection files dragged into the playlist.
      (BR 169064)
    * You can add directories from the Play and Add Media menus. (BR 166549)
    * Allow statistics to be written out when we move to the next track, not
      just when playback stops.


VERSION 2.0-beta1
  FEATURES:
    * Inline editing of tracks in the Collection is now possible.
    * Album moves can be undone
    * Grouped albums can be moved in the playlist by draggin the album
      header
    * Track moves in the playlist can now be undone
    * Gapless playback.
    * New "fuzzy" bias type, which matches values loosely.
    * Saving/loading dynamic playlists.
    * Collection Setup automatically expands to show selected directories.
      (BR 123637)
    * Tag editing and file deletion for MTP devices
    * Add toolbox to context view
    * Allow selecting multiple playlist items.
    * Implement "Move to collection" functionality in file browser.
    * Saving/loading of biased playlists.
    * Improved script console
    * Set items in directory selector to partially checked when relevant.
      patch by Sebastian Trueg <trueg@kde.org>
    * Album is now added to the playlist when clicked in Albums applet.
    * Trigger play/pause when middle-clicking systray icon. (BR 167162)
    * New start flag --multipleinstances allows to run multiple instances of
      Amarok.
    * Full cover support for Nepomuk collection
    * Search local collection for albums to show in the album applet when
      playing non local content
    * Context view state is saved on exit and restored on start up.
    * New functions available to the scripting interface, under Amarok.Info.

  CHANGES:
    * New filename scheme widget in the Organize Collection dialog.
    * New laylout of the main toolbar using the new graphics.
    * Greatly reduced memory usage when using dynamic playlists.
    * Reworked layout and more intuitive interface in the Guess Tags from Filenames dialog.
    * New artwork by Nuno Pinheiro <nuno@oxygen-icons.org> and Wade Olson
      <wade@corefunction.com>
    * Better zooming animation in the context view
    * Better usage of the available space in the context view.
    * Show url in the playlist if track has no name. patch by Edward Hades
      <edward.hades@gmail.com> (BR 167171)

  BUGFIXES:
    * Fix crash when dragging media from an external source (or the file
      browser) to the playlist (BR 169035)
    * Fix crash when opening the setting dialog (BR 169215)
    * Many fixes to the behavior of the playlist when dragging things around.
    * Don't pop up multiple cover search dialogs when cancelling search in the
      Cover Manager (BR 167462)
    * Amarok would not respect the user's changes in the cover search dialog.
    * Amarok would submit tracks to lastfm reguardless of whether the user chose to enable scrobbling.
    * OSD translucency works now. (BR 166567)
    * Use name based sorting of tracks without a track number (fixes
      sorting in shoutcast and cool streams services)
    * Don't try to scan the whole $HOME on first startup.
    * Don't pop up the OSD after changing Amarok settings. (BR: 168197)
    * Fix crash when exiting while collection scan was running. (BR 167872)
    * Automatically re-authenticate connection if the Ampache server has
      logged us out. (BR 166958)
    * Status bar now allows shrinking main window beyond it's width and does
      not enlarge main window by itself. Patch by Daniel Molkentin
      <danimo@kde.org> (BR 166832)
    * Submit tracks to Last.fm also when playing Last.fm Radio. (BR 164156)
    * Check if the file is writable before allowing the tags to be edited in
      SqlMeta. ( BR 122797 )
    * Properly insert items dragged from the collection view. (BR: 166609)
    * Don't remove all the tracks in the group when removing the first.
      (BR: 167251)
    * Only increment playcount if we've played more than half of the song.
      (BR 121587)
    * Added protection against endless looping when a playlist contains only
      unplayable tracks.
    * Missing default playlist does not produce error message now.
      (BR 167385)
    * Fixed playlist bias drop-down box showing multiple empty and duplicate
      entries. (BR 167153)
    * Fixed the "Toggle Main Window" shortcut. (BR 167218)
    * Script manager now could stop scripts which use qt bindings.
    * Fix crash when calling GetCaps from the DBus Player interface
    * Update album applet on track change. (BR 167256)


VERSION 2.0-alpha2
  FEATURES:
    * New interface for extracting tags from filenames, now fully working.
    * Context view applet to view albums. (BR 164005)
    * Automatic detection of non-UTF-8 charsets for metadata.
    * Dynamic/Biased playlists.
    * QtBindings support for the scripts. Also add a GUI console demo script.

  CHANGES:
    * Collection scanner now picks up bmp images too. (BR 167122)
    * Update the DBus APIs.
    * Update the QtScript APIs.
    * Current track applet added to the Context View on startup.
    * No more applets flashing between track changes.
    * Current track applet now shows a message when no track is being played.

  BUGFIXES:
    * Correctly save custom external browser setting. (BR 166979)
    * Use default KDE crash handler again.
    * Fix crash when switching tracks in the playlist. (BR 166964)
    * Fix crash when trying to download a playlist from unreachable server.
    * Script Manager now automatically restarts scripts on next startup.
    * Correctly handle albums with the same name. (BR 164173)
    * Various bugfixes for the systray tooltip.
    * In the Wikipedia applet scrolling works properly now.
    * Context menu separators are no longer shown as empty items.
    * Make the filebrowser filter instantaneously display results for files.
    * Add a path separator if required when constructing relative urls from M3U
      playlists. (BR 166346)
    * Rescan collection if the version is higher than we currently use
      (downgrades). (BR 142712)
    * Play the first track in the playlist if there is no active track.
      (BR 166336)
    * Do not use 100% cpu in the cover manager when changing view modes.
      (BR 164112)
    * Fix build on Debian. Patch by David Palacio <dpalacio@uninorte.edu.co>.
      (BR 166321)
    * Fix bug with selection getting stuck in collection browser when selecting
      multiple items when dragging over them. (BR 164960)
    * Fix crash when removing collapsed album from the playlist. (BR 163653)
    * Mp3tunes would load for users who had never used it before and prompt
      them with an annoying login box. (BR 166332)
    * Random album playback mode implemented. (BR 164623)
    * Fix rendering glitches when double clicking tracks in dynamic mode.
      (BR 166705)
    * Make the rating widget on the current track hideable.


VERSION 2.0-alpha1
  FEATURES:
    * Amarok defaults to using the standard music storage location of the
      desktop environment.
    * LastFM: Now using the new and improved 1.2 protocol.
    * New Service Framework: Common framework for integrated services. A new
      framework for adding the content of online services directly into Amarok
      in a consistent and well integrated way. All services are plugins and can
      be enabled or disabled form the new service config screen. Services that
      are not loaded will not degrade performance or increase memory usage.
      The service frameworks also offers for free, or makes it very simple to
      add features such as cached albumcover downloads, searching and filtering
      to the individual services. Services can also be track providers, meaning
      that if amarok recieves a url that one of the services knows how to
      handle, they will be presented with all the metadata that the servie can
      provide.
    * Magnatune.com store: Support for purchases using Magnatune gift cards
    * Magnatune.com store: Support for the upcoming Magnatune.com stream and
      download memberships, allowing uninterrupred streaming at higher quality
      and free unlimited downloads respectively.
    * Magnatune.com store: Add stream selection to the Magnatune service config,
      allowing the selection of mp3, ogg or lo-fi mp3 streams, and make ogg the
      default
    * Jamendo.com service: Add new Jamendo service that allows for direct
      streaming and (using the default bit torrent client) downloads.
    * Mp3Tunes.com service: A service for streaming music from a personal
      Mp3Tunes.com locker has been added.
    * Ampache service: A new ampache plugin has been built on top of the service
      framework. Together with a recent version of Ampache, this allows the
      seamless integration of content from one or more Ampache servers directly
      into Amarok
    * OPML Directory service: A simple podcast directory service has been added
    * Shoutcast service: The shoutcast list from previous versions of Amarok has
      been reimplemented as a service.
    * Scriptable Service Manager: Add support for writing simple services using
      scripts. This allows quick prototyping of services as well as the
      integration and distribution of community created services. The scripted
      service can be started and stopped from the service manager. Also add 2
      simple demo scripts.
    * Playlist Framework: The Playlist Browser can now contain
      Playlists/Podcasts/Streams from any mediadevice/service/collection in
      addition to local files. Playlists are accessible by any Amarok subsystem
      and scripts.

  CHANGES:
    * The context view was reimplemented with Plasma technology from KDE.
    * The audio engine system was removed. Amarok now uses Phonon from KDE.
    * Debugging output is now enabled with a runtime option (--debug). It's no
      longer necessary to rebuild Amarok.
    * Removed the amarok loader application.
    * The custom color theme options have been removed.
    * The player window (small XMMS like thingie) was removed.
    * DCOP interface replaced with D-Bus.
    * Dependencies lifted to KDE 4.1 and Qt 4.4. Refer to the README.
    * Improved the startup time.
    * The magnatune store is now implemented as a service, making it much more
      seamlessly integrated with the rest of Amarok, and offering a number of
      benefits such as propper filtering and sorting, automatic downloads and
      caching of albums cover.
    * Podcast fetching uses the new QXmlStreamReader with incremental parsing.


==BEGIN Qt 4.4 / KDE 4.1 DEPENDENCY==

VERSION 1.4.8
  BUGFIXES:
    * Make sure the localUrl of a PodcastEpisode is valid after a failed
      download. (BR 147351)
    * Fix off-by-one error causing Smart Playlists to not load tracks with a
      rating >= 4.5. (BR 148916)
    * Don't enable "Configure Podcasts" at the top-level Podcasts folder if
      there is nothing beneath it. (BR 146504)
    * Generic Media Device could copy some non-ASCII filenames to turn to
      gibberish.  Thanks to David Smith <davidsmith@acm.org> for the fix.
    * Fixed possible GUI freeze when Amarok was showing the dialog for
      installing mp3 support. Patch by Sascha Sommer <ssommer@suse.de>.
      (BR 147126)
    * Amarok could needlessely reinitialize connections to MySQL databases
      after a configuration change.  Combined with a bug in MySQL libraries,
      this could lead to a crash.
    * Pressing Preveious Track in a Dynamic Playlist could cause undefined
      behavior in certain edge conditions.  Now it always plays the current
      track. (BR 148317)
    * Immediately after loading a dynamic playlist, you couldn't drag a
      track to the top of the playlist. (BR 149263)
    * Fix transferring files with UTF8 names to MTP devices. Thanks to Kevin
      Becker <kevman3000@gmail.com> for the fix. (BR 139722)
    * Display warning that iPod sysinfo could not be written in the case of
      incorrect file permissions. Patch by Christian Ober-Blöbaum
      <cob@tzi.de>. (BR 148607)
    * Fix Czech character conversion to ASCII for Generic Media Device. Patch
      by Matěj Laitl <strohel@gmail.com>. (BR 149125)


VERSION 1.4.7
  CHANGES:
    * Updated the Cool Streams.
    * Improved application icon. Thanks go to Pasi Lallinaho.
    * Upgraded SQLite to 3.4.1
    * SQL improvements providing optimisations on intensive queries. Patch by
      Gosta <gostaj@gmail.com>. (BR 142999)

  BUGFIXES:
    * Wikipedia artist lookup would freeze Amarok if the artist was not found
      and the locale was not English. (BR 142764)
    * Cannot limit smart playlists to more than 1000 tracks. (BR 148084)
    * Fixed the formatting in the "Extended Info" pane for podcasts.
    * Don't show "Not Rated" for items rated with half a star. Patch by Tuomas
      Nurmi <tnurmi@edu.kauhajoki.fi>. (BR 144675)
    * Copy, don't move items from Cool Streams to folders. (BR 147404)
    * Sometimes folders in the playlistbrowser could be lost. (BR 147404)
    * NJB devices could have tags corrupted that contained Unicode characters.
      Patch by Kun Xi <quinnxi@gmail.com>. (BR 147223)
    * Show OSD when changing song rating via shortcut. Patch by Tuomas Nurmi

VERSION 1.4.6
  CHANGES:
    * Improved icon theme, kindly provided by Landy DeField
      <lando@revelinux.com>. Big thanks!
    * Playlist now sends notifications to scripts if items are added, removed,
      reordered, or if the playlist is cleared.  Useful for script authors.
      Thanks to Miguel Angel Alvarez <maacruz@gmail.com> for the patch.
    * iPod device plugin now handles RockBox devices.  Thanks to Michael
      Buesch <mb@bu3sch.de> for the patch.
    * Organising files will only delete empty parent folders if the folder
      is within the collection hierarchy. (BR 136757)
    * The default cover image preview size has been increased to 130px.
    * The "hide menubar" option has been removed. It's too dangerous and led
      to countless support requests.
    * Generic media device can now handle any KIO-compatible URL, including
      obex and smb. Manage your bluetooth phone's music collection through
      Amarok!
    * Upgraded SQLite to 3.3.17.
    * Append an album to the playlist by right-clicking on it from within
      the Cover Manager.  Patch by Doug Reich <dreich@hmc.edu>.
    * Faster playlist handling. Patch by Ovy <ovy@alum.mit.edu>. (BR 142255)
    * The moodbar process has been given a higher priority. (BR 136867)
    * Allow for lyrics scripts to specifiy site, site_url, and add_url from
      within the script. This will allow for "meta lyrics" scripts. Patch by
      Sergio Pistone <sergio_pistone@yahoo.com.ar>. (BR 141885)
    * First rating star now lets you toggle between no rating, half a star,
      and one full star.

  BUGFIXES:
    * Uninstalling scripts would in some cases leave files behind. Patch by
      Sergio Pistone <sergio_pistone@yahoo.com.ar>. (BR 143716)
    * Last.fm "Custom Station" stream works again. (BR 146020)
    * Fix regression where the "Show Script Manager" button displayed on the
      Lyrics tab of the Context Browser wouldn't actually show the Script
      Manager.
    * Don't show ratings from the previous track's rating change in the OSD on
      playing the next track.
    * The config dialog is now less tall and fits on widescreen displays.
    * Making a dynamic playlist with the number of previously played tracks to
      show set to zero and attempting to play the first track would cause a
      crash. (BR 145157)
    * If "Stop after current track" was used, the last track would not be
      counted or rated in the user's statistics. (BR 140980)
    * Generic media device wouldn't allow you to drop a folder on the
      viewport, meaning you couldn't move subfolders to the top level of the
      mount point.
    * Made the settings dialog less tall. (BR 141250)
    * Star ratings now update instantly in the Context Browser, OSD, and
      Collection Browser.
    * lyrc script did not work behind proxy due to a stray quote mark. Gentoo

VERSION 1.4.5
  FEATURES:
    * Added support for custom song labels. Labels can be managed
      through the GUI or using new DCOP functions. (BR 89314)
    * New DCOP functions to make it easier for scripts to use Amarok's
      Dynamic Collection feature.
    * Download songs from Shared Music (DAAP) directly into the collection.
    * Fadeout for Helix engine when pressing Stop.
    * Guided editing of the collection/playlist/devices filters. Patch by
      Giovanni Venturi <giovanni@kde-it.org>. (BR 139292)
    * Added GUI options for fadeout and fadeout on exit. Both are now enabled
      by default.
    * Support for Speex (.spx), WavPack (.wv) and TrueAudio (.tta) files in
      the collection thanks to taglib plugins by Lukáš Lalinský
      <lalinsky@gmail.com>.
    * Search inside of lyrics, by using "/" on Context Browser. Patch by
      Carles Pina i Estany <carles@pina.cat>. (BR 139210)
    * "Automatically show context browser" feature makes a return, as per
      popular request. It is however disabled by default.
    * Improved keyboard navigation: Space key is now a shortcut for Play/Pause,
      and cursor left/right seeks forward/backward.
    * Cover images are shown in collection browser. Patch by Trever Fischer
      <wm161@wm161.net>. (BR 91044)
    * Send cover art to MTP media devices if they support it.
    * Elapsed time can be shown in OSD. Patch by Christian Engels
      <s9chenge@stud.uni-sb.de>. (BR 120051)
    * New redownload manager for the Magnatune.com store. Allows re-download
      of any previous purchase free of charge (in any format).
    * New items in the playlist are colorized, as a visual cue.
    * Show rating as stars in flat collection view. Patch by Daniel Faust
      <hessijames@gmail.com>. (BR 133797)
    * Synchronize play count, last played time and date of modification to
      iPods. Patch by Michael <michael003@gmail.com>. (BR 136759)
    * Propose list of composers in collection when editing the composer tag
      from the playlist. (BR 137775)
    * Greatly improved sound quality for the xine equalizer. Patch by Tobias
      Knieper <tobias.knieper@gmail.com>. (BR 127307)
    * Fancy graphical volume slider for the OSD. Patch by Alexander Bechikov
      <goo@t72.ru>.
    * Shoutcast stream directory. Contributed by Adam Pigg <adam@piggz.co.uk>.
    * Support for %composer and %genre when guessing tags from filenames.
    * Cached lyrics are now AFT-enabled, and will follow your files around as
      you move and rename them.

  CHANGES:
    * Added configure option to build without DAAP support.
    * Album covers are now downloaded and added to album directory when
      purchasing from the Magnatune.com store. (BR 136680)
    * Update context browser when a change in the collection has been detected.
      (BR 140588)
    * Ignore leading 'The ' when sorting playlist by artist. (BR 139829)
    * Smart Playlists now have 'does not start with' and 'does not end with'
      options, as well as a dropdown for mount points. (BR 139552)
    * Support for cue files not matching audio files' name. Patch by Dawid
      Wróbel <dawid@klej.net>. (BR 128046)
    * Script Manager now remembers if categories were open or closed.
    * Restart collection scanner as long as not more than 5 % of the files
      make it crash. (BR 106474)
    * Ensure the first selected item in the Collection Browser stays visible
      when the search field is cleared using the clear button.
    * Duplicate filenames are now allowed on MTP media devices if the files are
      in different folders.
    * Save media device transfer queue when adding items or after transfers.
      (BR 138885)
    * Upgraded internal SQLite to 3.3.12.
    * MTP media devices are not automatically connected on start-up. This
      should solve slow loading times for those with large collections on an
      MTP media device. Contributed by Mikko Seppälä. (BR 138409)
    * Internationalize unknown artist/album/genre strings. Contributed by Mikko
      Seppälä. (BR 138409)
    * Don't assume that a device returning 0 tracks is invalid. It could just
      have no tracks on. Contributed by Mikko Seppälä. (BR 138409)
    * Magnatune store look now matches rest of Amarok much better.
    * Album art is displayed on the Magnatune purchase dialog.
    * Generic media device now has an option to force VFAT-safe filenames even
      on non-VFAT filesystems.
    * Double-clicked items in sidebar and urls passed on the command line
      are treated equally: append them to playlist if not yet there and start
      playing the first if nothing is playing.
    * "Scan Changes" button was replaced with "Update Collection" menu entry.
    * Consistent double-click behavior in sidebar. (BR 138125)
    * Propose name of currently loaded playlist when saving current one.
    * Remove support for older libmtp versions. We now require 0.0.15 or
      newer.
    * Deleting a playlist item on an MTP media device now results in it being
      removed from the playlist.
    * Magnatune store is lazy loaded to improve startup times.
    * Dynamic mode logic has been rethought to provide a faster and better
      user experience.
    * When checking for duplicate files on a Rio Karma media device, use
      track number in addition to artist, album & title. (BR 137152)
    * The XMMS visualization interface has been removed. LibVisual supersedes
      this feature.
    * It is now possible to select the time unit for length-based smart
      playlists. (BR 136841)
    * Show shadowed cover images in the system tray tooltip. (BR 136589)
    * Amarok won't crossfade if it was paused, and user started another
      track. Patch by Tuomas Nurmi <tnurmi@edu.kauhajoki.fi>.
      (BR 136428)
    * Amarok now saves playlists with relative paths by default.

  BUGFIXES:
    * Disable seeking in streams. (BR 140364)
    * With the default theme, the playlist browser info pane would not show
      the horizontal scrollbar if necessary. (BR 134221)
    * Some .rm files would make Amarok crash. (BR 137695)
    * Remember 'User Cover Art for Folder Icons' when organizing files.
      (BR 138582)
    * "Listening since..." has been changed to the more clear "First
      Played..."  Patch by Andrew Ash <ash211@gmail.com>. (BR 131727)
    * Fixed regression: the DEL key no longer worked in the
      playlist after opening the File Browser context menu. (BR 140197)
    * Smart playlists now work correctly with "is not" filters containing
      numbers. Patch by Felix Rotthowe <felix.rotthowe@cs.uni-dortmund.de>.
    * Context browser would not display updated covers correctly. (BR 130518)
    * The select custom cover dialog no longer starts in the wrong directory
      for compilations. (BR 131776)
    * Amarok's xine engine would cut off approximately the last second of an
      audio file. (BR 135190)
    * Cue sheet would remain enabled when switching to a stream. Patch
      by Ted Percival <ted@midg3t.net>. (BR 127683)
    * Length of tracks wouldn't be shown correctly for some cue files.
      Patch by Dawid Wróbel <dawid@klej.net> (BR 139707)
    * Assume that all dots but the last in script executable files belong to
      the script name. (BR 139460)
    * Don't crash when quitting while initially loading the playlist.
      (BR 136353)
    * The same track could be queued multiple times for transferring to a
      media device. (BR 129136)
    * Migrate statistics for files moved from outside to the collection.
      (BR 127776)
    * Select All/Copy action would not copy from context browser. (BR 138635)
    * Xine-engine: When a track was fading out (after pressing Stop), and you
      started another track, Amarok could become unresponsive.
    * Improved seeking with xine-engine. No longer jumps to 0 when you seek
      too quickly. Patch by Alexander Bechikov <goo@t72.ru>. (BR 99808)
    * Improved cover images handling for Various Artists. Patch by Tobias
      Knieper <tobias.knieper@gmail.com>. (BR 136833)
    * Don't enable a mount point for devices that can't support them (mtp,
      njb).
    * With SQLite, the search in the collection browser was case-sensitive
      with UTF-8. Patch by Stanislav Nikolov <stanley_87@mail.ru>. (BR 138482)
    * (Don't) Show Under Various Artists would not work when multiple albums
      are selected. Patch by Tobias Knieper <tobias.knieper@gmail.com>.
      (BR 112422)
    * Changed temp download location for Magnatune purchases. (BR 137912)
    * Fixed potential double payment issues in the Magnatune store.
    * Only synchronize already set values to media devices. (BR 138150)
    * Correctly update total playlist play time when removing last.fm
      streams. Patch by Modestas Vainius <geromanas@mailas.com>. (BR 134333)
    * File organization jobs could not be canceled. Patch by Wenli Liu
      <wenlil@xandros.com>. (BR 136527)
    * Sending filenames to MTP media devices as UTF-8 caused problems, use
      Latin-1 instead.
    * It's now possible to delete a file from an MTP media device and
      re-upload it without having to reconnect the device.
    * Wikipedia links to edit sections are no longer shown.
    * Metadata is read from Rio Karma media devices as UTF-8.
    * Last.fm streams could be paused with DCOP or global shortcuts.
      (BR 133013)
    * Dynamic mode can still be used after a collection rescan. (BR 133269)
    * Dynamic mode will repopulate from all available sources. (BR 137212)
    * Dynamic mode no longer repeats songs often. (BR 107693)
    * When transferring files to a Generic media device, having certain
      characters (such as '#') in a tag field could cause a directory based on
      that field to not be created.
    * Editing lyrics from within the context browser no longer removes all
      linebreaks.
    * Read metadata from MTP media devices as UTF-8.
    * Some shoutcast streams would show an empty title. (BR 127741)
    * Pause would act as Play/Pause. (BR 116101)
    * The same track would sometimes be shown twice in suggested songs.
      (BR 129395)
    * Detect VFAT partitioned devices on FreeBSD. Patch by Daniel
      O'Connor <doconnor@gsoft.com.au>.
    * Favorite Tracks wouldn't be shown on Context Browser, and
      Statistics Panel would be empty for SQLite users. (BR 136791)
    * Volume slider in the player window would not react correctly to
      the mouse wheel. (BR 136714)
    * When using a proxy set by script, context browser wouldn't work
      properly, and the application would crash when closing. (BR 112437)
    * Proxy settings wouldn't be respected when downloading podcast
      episodes. (BR 134028)
    * Xine engine could hang when skipping through tracks quickly with
      crossfade on.
    * Fix crash when an MTP media device returned a playlist with an
      invalid track ID. (BR 136552)
    * The Install MP3 support script would be run regardless of what the
      user answered to the shown dialog. (BR 136294)
    * OSD wouldn't always show up-to-date ratings. Patch by Tuomas Nurmi
      <tnurmi@edu.kauhajoki.fi>. (BR 125612)


VERSION 1.4.4
  FEATURES:
    * Transfer .wav-files to iPods. (BR 131130)
    * Xine and Helix engines now support three different crossfading modes:
      always, on manual track changes only, or on automatic track changes
      only.
    * Manually specify local file for podcast episodes via right-click menu.
    * Action menu entry for adding podcasts to Amarok. Based on .desktop files
      by Harald Sitter and Fabio Bacigalupo <kde-apps.org@open-haus.de>.
    * Open podcast items with external application from right-click menu.
    * Synchronize listened flag for podcast between Amarok and iPods.
    * Added integrated Magnatune.com music store. Includes artist and album
      info and full previews of all tracks.
    * Fade-out for xine-engine when pressing Stop. Patch by Tuomas Nurmi
      <tnurmi@edu.kauhajoki.fi>. (BR 127316)
    * Support downloading of files from an MTP device.
    * Purged podcast episodes can be readded by increasing the purge number.
    * Added rudimentary support for the Rio Karma. (BR 132713)
    * Support creation and editing of playlists on MTP media devices.
    * Undo/Redo functionality is now available over sessions. (BR 131072)
    * Allow the creation of empty playlists in the playlist browser. Available
      either from the Add button in the toolbar or the context menu of a
      playlist folder. (BR 133543)

  CHANGES:
    * Ignore leading "The " when sorting artists on media devices. (BR 136233)
    * Improved handling of VFAT/ASCII files and paths when organizing the
      collection and using the Generic media device.
    * Enable playing audio CDs on CD insert. Patch by Will Stephenson
      <wstephenson@kde.org>. (BR 136106)
    * Bring Amarok main window to front when starting amarok again without
      arguments. Patch by Lubos Lunak <l.lunak@kde.org>. (BR 135396)
    * Don't switch to playlist browser after saving a playlist from files tab.
      (BR 130189)
    * Add .ape and .mpc to possible file types supported by a generic media
      device. (BR 133491)
    * Move button for saving current playlist from playlist browser toolbar to
      playlist toolbar. (BR 129300)
    * Run 'kdeeject -q devicenode' when no post-disconnect command has been
      configured for media devices.
    * Reduced memory usage for MTP media devices. (BR 134663)
    * Faster searching on playlist and startup, due to some optimizing in
      string usage. Patch by Ovidiu Gheorghioiu <ovidiug@gmail.com>.
    * Correctly translate media:, home:, ... style urls on KDE 3.5 and newer.
    * When tracks are added to the collection and Playlist entries already
      exist (as determined by the file tracking code), the corresponding
      Playlist entries are updated to the new location and enabled if they
      were previously disabled.
    * When file tracking is updating Playlist entries, multiple entries of the
      same song will now all be updated, instead of just one.
    * When tracks are removed from the collection (deleted on disk or moved
      outside of a collection folder) any corresponding entry in the Playlist
      will be disabled.
    * Dragging podcasts to the playlist will insert them in a chronological
      order, so you can listen to the oldest first automatically!
    * Improve application startup times dramaticaly by lazy loading podcast
      episodes.
    * Transferring tracks to an MTP device now shows a progress bar and
      doesn't hang the rest of the UI. (only available for libmtp >= 0.0.15)
    * Show a proper tag dialog when viewing information for DAAP music shares.

  BUGFIXES:
    * Ipod Mode on Collection Browser would have duplicated headers.
    * Multiple problems related to Amarok using wrong playlists on Dynamic Mode
      fixed.
    * Deleting files from generic media devices would not update the progress
      bar, resulting in the progress staying at 0%. (BR 130009)
    * If nothing at all existed on a generic device, the first item
      transferred would incorrectly show that an error had occurred during
      transfer. (BR 133528)
    * Synchronising a smart playlist to a device when it didn't exist before
      would crash Amarok. (BR 135956)
    * Proxies would not take into account certain settings in KDE's Proxy
      control center modules for PAC files and more. (BR 123021)
    * Generic media devices would not accept files with an extension that only
      differs in case from a supported extension. (BR 135261)
    * Xine-engine: Pausing during crossfade would not work properly. Patches by
      Markus Kaufhold <M.Kaufhold@gmx.de>. (BR 122514 & 135285)
    * Stop a running cross-fading operation before starting another one. Patch
      by Markus Kaufhold <M.Kaufhold@gmx.de>. (BR 128629)
    * Queuing again would dequeue. (BR 121206)
    * In some cases, the Removal and Enqueue buttons in the queue manager would
      have no icons. (BR 115895)
    * Don't change length of position slider when navigating within a track.
      (BR 122569)
    * Direct copying of non-local items would result in wrong properties on
      iPods. (BR 135681)
    * Honor setting to show Amarok's menu in main toolbar.
    * "Burn this album" would burn all albums of the same name. (BR 121963)
    * Ignore double-clicks on tree item openers. (BR 125121)
    * Visibility of sidebar tabs would depend on the current locale. (BR 135316)
    * Ctrl-C for copying urls from the tag editor would not work when selected
      with the mouse. (BR 123327)
    * Check for some integral data types for improved DAAP portability.
      (BR 132939)
    * Take disc number into account when checking if a song is already on an
      iPod. (BR 135643)
    * Editing metadata in the playlist itself now matches possible alternatives
      case-insensitively. (BR 135683)
    * Fix loading directory in external browser in the tag editor when the path
      contains parentheses. (BR 132961)
    * Stop scripts using a proxy when it's disabled in KDE. Patch by Felix Geyer
      <sniperbeamer_disc1@fobos.de>.
    * While playing Last.fm Streams, sometimes metadata wouldn't be updated
      on track changes. Patch by Tom Kaitchuck <tkaitchuck@comcast.net>.
    * Speed patch to load playlist columns from statistic tables on population
      of the playlist, makes adding to the playlist and starting up faster.
      Thanks Ovy <ovy@alum.mit.edu>! (BR 135324)
    * Save MTP playlists when they are renamed so we don't lose changes.
    * Prevent new podcastepisodes from showing up in the playlistbrowser twice
      by opening it's parent before adding. (BR 134108)
    * New iPods would not get initialized.
    * Files that were detected as being added back to the collection would not
      always be re-enabled in the Playlist. (BR 130359)
    * Fix some spelling and layout issues. Part of a patch by Malcolm Parsons
      <malcolm.parsons@gmail.com>.
    * Correctly handle horizontal wheel events in position slider. (BR 119254)
    * Don't rescan collection while transcoding. (BR 133423)
    * Don't try to copy to collection from urls without kio slaves.
    * Don't quit immediately if amarokrc was removed. (BR 134439)
    * The DAAP client would crash Amarok under certain conditions when
      kdelibs was compiled with asserts on. (BR 132851)
    * Configuring the toolbar would disable the stop button. Patch by
      Markus Kaufhold <M.Kaufhold@gmx.de>. (BR 132477)
    * Changed tags of songs on iPods would not propagate to its database.
      (BR 133842)
    * Fixed playlist encoding problems. (BR 133613)
    * Cover images for compilation albums can now be displayed full size in
      the context browser.
    * Dragging compilation albums from the collection browser or the playlist
      would show multiple cover images in the tooltip. (BR 133916)
    * Don't crash when calling repopulate dynamic mode from dcop. (BR 133716)
    * Last.fm streams work with proxies. (BR 131137)
    * Don't try to read m4a tags from apparently invalid files. (BR 133288)
    * Some podcasts would insert line breaks in author/title information and
      cause graphical errors. (BR 133591)
    * File tracking could fail on files that were copies of each other but
      with different ID3v1 or APE tags.


VERSION 1.4.3:
  FEATURES:
    * New DCOP: player trackCurrentTimeMs, returns the current track position
      in milliseconds.
    * Amarok File Tracking (formerly ATF) goes public! See
      http://amarok.kde.org/wiki/Amarok_File_Tracking for more information.
    * DAAP client now supports Zeroconf. With mDNSResponder properly setup
      Amarok automatically shows local DAAP servers.
    * DAAP client saves manually added computers between sessions.

  CHANGES:
    * Performance with big playlists has been improved by a magnitude. This
      also makes application shutdown faster.
    * Remove the option to enable/disable history in dynamic mode. (BR 133076)
    * Reduce the minimum available tracks to show to 0. (BR 131223)
    * Change in file tracking behavior: IDs are no longer embedded into tags
      but are calculated from a portion of the file data instead, letting
      users with read-only music stores take advantage of it.
    * Don't report "/dev/hd" style devices as new media devices. (BR 127831)
    * Smart Playlists only load media from currently mounted devices.

  BUGFIXES:
    * Dequeuing tracks whilst in dynamic mode might not work. (BR 133449)
    * When marking podcast episodes as listened, update the channel icon if
      necessary. (BR 133497)
    * Don't always mark podcast channel icon as "listened" on rescan if.
      (BR 133495)
    * User added streams were not editable once saved. (BR 133483)
    * Cover images were not displayed in some cases. (BR 133174)
    * Fixed bug which prevented Amarok from creating the collection database
      in rare circumstances using SQLite. (BR 133072)
    * Collection scanner would only restart a maximum of 2 times instead of
      20. (fixed in SVN revision 578922)
    * MTP media device support would not compile against libmtp versions >=
      0.0.12. (fixed in SVN revision 576121)
    * AudioCD playback would stutter and sometimes freeze Amarok. (BR 133015)
    * Dynamic Collection broke flat collection view when the Filename column
      was added (BR 132874)
    * DAAP client shows connection errors to the user and no longer says
      "Loading" perpetually. After a failed connection, the user can now
      try again.
    * Don't empty media device transfer queue when canceling a transfer.
    * Ctrl-C for copying urls from the tag editor would not work. (BR 123327)
    * Delete covers from the filesystem when requested.
    * Show context menu on right-click in empty area of media device
      browser. (BR 127154)
    * Sort numeric columns in flat collection view numerically. (BR 130667)


VERSION 1.4.2:
  FEATURES:
    * Handle itpc:// and pcast:// url protocols for adding podcast feeds.
      (BR 128918)
    * New DCOP call "collection: totalComposers" returns the number of
      different composers in your collection.
    * Synchronize playlists to media devices.
    * Support for MTP/PlaysForSure media devices. (BR 128532)
    * iPod plugin usable with iTunes phones. (BR 131487)
    * Browse collection by composer. (BR 122452)
    * New DCOP call "playlist: filenames" returns the filenames of the songs
      currently in the playlist. Patch by Arash Abedinzadeh
      <arash@netcologne.de>
    * Lyrics can be edited directly on Context Browser's Lyrics tab.
    * Collection browse mode similar to that used by some portable players.
      Patch by Joe Rabinoff <bobqwatson@yahoo.com>. (BR 130586)
    * BPM field. Patch by Alf B Lervåg <alfborge@gmail.com> and Aaron
      VonderHaar <gruen0aermel@gmail.com>. (BR 123142)
    * Improved crossfading for xine-engine: Honours the 'Crossfade Length'
      setting precisely, and uses a better mixing style profile. Patch by
      Enrico Ros <koral@email.it>.
    * Media and collection browser tabs now support dropping.
    * Allow for deleting all the tracks on a playlist from iPods. (BR 127855)
    * Ability to create custom last.fm station from the GUI.
    * Ability to mark podcasts as listened.
    * Show error messages when connecting to last.fm streams fails.
    * A new media device implements a DAAP client. So Amarok can connect
      to iTunes, Firefly Media Server etc. (BR 100513)
    * Dynamic Collection: improved support for songs on removable external
      harddisks, SMB and NFS shares

  CHANGES:
    * Skip tracks that failed to transfer to media devices instead of stopping
      transfer process. (BR 130008)
    * libtunepimp 0.5.0 actually compiles successfully now.
    * Lift size limit on pathnames and comments in collection databases not
      managed by MySQL. (BR 130585)
    * Generic media device plugin is improved. Users can configure supported
      filetypes and get more control over the location of songs and podcasts
      on disk (Patch by eute).
    * Move composer tag to its own database table.
    * Re-enable adding videos to iPods with recent libgpod-cvs. (BR 130117)
    * Include Skip, Love and Ban in playlist right-click menu for last.fm
      streams.
    * Advanced Tag Features (ATF) deferred to 1.4.3: Public release delayed
      pending some bug fixes in both Amarok and a dependency. It will be
      automatically disabled the first time you run 1.4.2 if you had it enabled
      from 1.4.2-beta1. (It will still be available in subversion snapshots.)
    * Optionally finish transferring all queued tracks to media device after
      pressing disconnect button. (BR 129716)
    * It's now possible to edit scores and ratings for multiple tracks in
      TagDialog.
    * TagDialog won't make Amarok unresponsive while committing tags changes
      to files anymore.
    * Exact playtime as tooltip in statusbar. Patch by Markus Kaufhold
      <M.Kaufhold@gmx.de>. (BR 130463)
    * Suspend collection rescanning while organizing files. (BR 129885)
    * Always use metadata from original file for transcoded files transfered
      to media devices. (BR 131171)
    * Enhancements to ATF/statistics to allow for better tracking of stats as
      files are moved.
    * Tag Editing Dialog is now ATF-enabled.
    * In-line tag editing is now ATF-enabled.
    * Previously, using ATF with MP3 files would wipe out existing UFID frames
      from other applications. Now Amarok plays nicely and only touches its
      own UFID frame.
    * ATF no longer requires a restart to enable or disable it.
    * ATF read-only functions are always enabled if a UID is found in the
      file. Option in the configuration dialog now only controls whether new
      UIDs are written to new files.
    * ATF will now automatically run the rescan and clear the Playlist only on
      the first time it is enabled.  After that it will simply display an info
      reminding users that they may need a rescan if their library has changed
      since the last time it was enabled.

  BUGFIXES:
    * DCOP calls to add and remove ATF tags are no longer allowed to run while
      the collection is being scanned.
    * Last.fm streams no longer freeze Amarok's GUI with xine-engine.
    * Sometimes metadata wasn't updated with Last.fm streams.
    * Update context browser on score and rating changes. (BR 132496)
    * Double colons in the collection filter would lead to invalid queries.
      (BR 132551)
    * Handle changed semantics of MySQL 5.0.23+ (BR 132114)
    * Do not try to detach() KURLs, as this would not work for non-ascii urls.
      (BR 132355)
    * Adding songs while at end of playlist could crash in dynamic mode.
      Patch by Joe Rabinoff <rabinoff@post.harvard.edu>. (BR 128340)
    * Don't update accessdate when setting songs rating or score. (BR 132274)
    * Increasing or decreasing volume while muted would not correctly unmute.
      (BR 132228)
    * Better resize behavior in iPod collection view mode. Patch by Joe Rabinoff
      <bobqwatson@yahoo.com> (BR 132016)
    * Make sure a track's compilation status is returned properly when running
      with Postgresql.
    * Check directory structure on iPods of unknown type in order to detect
      iTunes phones. (BR 131910)
    * Make 'Clear' individually translatable for playlists. (BR 131521)
    * Retain column visibility for flat collection view. (BR 126685)
    * Honour proxy exceptions for MusicBrainz lookups. Patch by N. Cat
      <trisk-bug@quasarnet.org>. (BR 131377)
    * Correctly pass links containing parentheses to external browsers. Patch
      by Thomas Lindroth <tholi945@student.liu.se>. (BR 131307)
    * iPods would not show podcast descriptions. (BR 129824)
    * Carry over rounding increments to next larger unit for fuzzy time
      display. (BR 131383)
    * If disabled, don't show splash screen - even on Kubuntu. (BR 125210)
    * Correctly request last.fm similar artist information for artists
      containing non-ASCII characters. Patch by Thomas Lindroth
      <tholi945@student.liu.se>. (BR 131254)
    * Support non-chronologically ordered podcast feeds. (BR 119911)
    * Support for libvisual 0.4.0 was fixed. Patch by Dennis Smit.
    * Adding songs already on a media device to playlists would not work.
    * Fix adding smart playlists to media devices. (BR 130540)
    * Reverse check for mount point and device node when connecting to iPods
      for better handling of device nodes pointed to by symlinks. (BR 129965)
    * Make handling of filenames on iPods case-insensitive and thus fix
      fix problems with too many orphaned and stale items. (BR 126431)
    * Correct action of queueing current item in dynamic mode. (BR 130313)
    * Double clicking in the filebrowser will append to playlist. (BR 117465)
    * Fixed problems with last.fm streams containing spaces, e.g. "Hip Hop".
    * When generic media devices were specified manually, transferred files
      would not always get converted to VFAT-friendly names if they were on a
      VFAT filesystem.
    * When using ATF, tags in MP3 files would be written as ID3v2 only and
      existing ID3v1 tags would be stripped, which could lead to media devices
      and tagging libraries that were not ID3v2.4-aware to report that no tag
      existed.  Now both tags are written with identical data.
    * Correct handling of filenames with special characters. (BR 132243)


VERSION 1.4.1:
  FEATURES:
    * Support for last.fm streams. (BR 111983)
    * New playlist toolbar menu entry for adding streams to the playlist.
      (BR 129349)

  CHANGES:
    * Upgraded internal SQLite to 3.3.6.
    * Inotify support disabled for now, due to stability issues.
    * Tag editor is no longer modal.
    * Provide warning dialog when deleting items from the playlistbrowser.
      (BR 129313)
    * GUI layout reverted to the classic Amarok layout.
    * The Extended Info panel in the playlistbrowser is now resizeable.

  BUGFIXES:
    * Pressing return in the search bar of the Collection Browser immediately
      after typing a query no longer appends the wrong items to the playlist.
    * Fix crash when pressing Back or Forward buttons multiple times quickly
      in Artist tab. Patch by Thomas Lindroth <tholi945@student.liu.se>.
    * Fix problems where blanks would be added to data if SQLite was busy.
      Patch by Thomas Lindroth <tholi945@student.liu.se>. (BR 127608)
    * Automatically refresh stream lyrics on new metadata.
    * Set half star ratings on multiple selected tracks when clicking on an
      item. (BR 129449)
    * Only enable Show Extended Info in the Playlist Browser when information
      is available. (BR 126590)
    * Disable global shortcut for ratings when ratings are disabled.
      (BR 129414)
    * Autodetect button in Media Devices configuration dialog would not
      properly signal changes, so that new devices were not always saved.


VERSION 1.4.1-beta1:
  FEATURES:
    * Much improved and completed custom icon theme by Vadim Petrunin
      <vnizzz@gmail.com>.
    * LibVisual 0.4 supported and required.
    * Support for custom scoring algorithms, via scripts.
    * Creative Nomad Jukebox support (untested!). Submitted by Andres Oton
      <andres.oton@gmail.com>. (BR 103185)
    * Inotify support. On kernels 2.6.13 and above with Inotify support
      compiled in, the collection will automatically be rescanned and
      updated as soon as a watched folder has changed.

  CHANGES:
    * First-run wizard can no longer be restarted from the application menu.
      However, it can still be invoked with "amarok --wizard".
    * Astraweb lyrics script was removed for being crappy and unmaintained. If
      you want to maintain it, grab it from SVN and release on kde-apps.org.
    * "Append Count" option of dynamic playlists has been removed. It is
      now always one. (BR 120044)
    * Context browser can now play/queue specific discs of an album or
      compilation.
    * Automatically imported playlists go into a separate category.
    * Block quitting amaroK until all on-going media device operations have
      finished with a consistent state.
    * Interface choice in wizard removed.
    * MoodBar has been removed. The maintainer has not been updating it, and
      it was causing crashes for many people.
    * Usability improvements for the Script Manager, including a tree view.
    * Use KMimeType for resolving file type for metadata acquisition before
      falling back to extension based guessing.
    * Removed the "detailed mode" in the playlist-browser.
    * Also copy non-local URLs to collection when dropped onto collection
      browser.
    * Speed up connecting media devices with a lot of tracks to be submitted
      to last.fm.
    * For media without metadata, try to read metadata after transfer to
      the iPod (e.g. when copying an audio CD via KIOslaves).
    * Hint at starting a transcode script for transcoding while transferring
      to media devices. (BR 127155)
    * If a disc number is present, append it to the album's name when
      organizing files. (BR 126867)
    * Configure, which of fresh podcasts, newest & favorite albums are shown
      in context browser home view. Patch by Patrick Muench <s7mon@web.de>.
      (BR 127043)
    * Dynamic mode no longer skips to the next song if you press play (via
      dcop, for instance) while already playing a track. Instead it restarts
      the current one.
    * The Actions menu has been renamed the Engage menu. It's way cooler,
      right? I mean, Star Trek is really cool, right?
    * Multiple podcasts can be configured at once by selecting multiple channels
      or by configuring the children of a folder.

  BUGFIXES:
    * Allow dropping of tracks after non-existant items in the playlist.
    * Make changes to the default dynamic playlists persistent.
    * Send UTF-8 encoded requests to Wikipedia. Thanks to Thomas Lindroth
      <tholi945@student.liu.se> for the patch. (BR 127654)
    * Correctly restore podcast channel title when fetching fails.
    * Show error message when xine mp3 decoder isn't installed, don't just
      play next track.
    * Properly render and optimise playlist loading icons.
    * Properly import and export XSPF playlist formats.
    * Optimise addition of playlists to the playlistbrowser.
    * In context browser, show localized date for podcasts. (BR 127853)
    * Regression in dynamic mode caused it to skip the first track in the
      playlist whenever it was started. (BR 127451)
    * Stop Playing after Track: remember current track (BR 127312)
    * Radio streams were broken for protocols other than HTTP. (BR 127848)
    * Collection Browser would not set/unset/burn albums with ', The' in
      their name.
    * Prevent breakage when xine couldn't initialize the audio device. Patch
      from Ilya Konstantinov <kde-bugzilla@future.shiny.co.il>. (BR 115960)
    * Allow for recognition of the webdav protocol. Patch by Ilya
      Konstantinov <kde-bugzilla@future.shiny.co.il>. (BR 126847)
    * Setting a rating on an unplayed track would affect score generated.
      Patch by Patrick Muench <s7mon@web.de>. (BR 127475)
    * Stop tags with different capitalisation being treated as the same
      when building the collection.
    * Make database connections actually get closed when no longer used.
      (BR 123113)
    * xine engine would truncate the last seconds of a track, if no other
      track followed in the playlist.
    * Fixed AudioCD playback with xine-engine. Patch by Markus Kaufhold
      <M.Kaufhold@gmx.de>. (BR 127388)
    * If dynamic mode was turned on and then off, the previous random and
      repeat modes would be forgotten. (BR 123743)
    * Removing the current track through DCOP while editing a field of the
      track in the playlist would cause a crash. (BR 119152)
    * Make characters encoded with % (such as a forward slash, %2f) display
      correctly. (BR 105266)


VERSION 1.4.0:
  FEATURES:
    * New DCOP call "player: version()". Returns the amaroK version.
    * iFP has persistent settings when transferring tracks to the device.
    * GStreamer-0.10 engine now supports Audio CDs.
    * Context menus for entries in the statistics tool. (BR 124945)

  CHANGES:
    * Composer, Disc Number and File Size columns in flat collection view.
    * 'k' or 'm' suffixes for matching filesize in kibi or respectively mebi
      bytes.
    * Groupings when transferring files to media devices are now persistent.
      (BR 127158)
    * Transfer contents of smart playlists to media device without adding
      them to a playlist. (BR 126997)
    * Set %albumartist to Various Artists, but keep %artist as the track's
      artist when organizing compilations. (BR 126936)
    * Discard empty tokens surrounded by {} in custom organize file format.
      (BR 124337)
    * GStreamer-0.10 engine was disabled for this release (not yet stable).
    * Only pick genres for Smart playlists that exist in your collection.
    * VFAT plugin completely rewritten since 1.4beta3. Name is now changed to
      "Generic Audio Player" to make it less needlessly technical.
    * Don't limit the number of episodes shown with a new podcast, since the
      user can limit the number shown afterwards by configuring the channel.
    * Automatically populate the playlist with items if it is empty when a
      dynamic playlist is loaded. (BR 126594)
    * Unplayed/unrated tracks are no longer shown in the statistics dialog.
    * Removed the option "Import Playlists". It's now always enabled.
    * Show total track time in context browser (BR 126548)
    * Derive filename for downloaded podcast episodes from their url in the
      rss feed. (BR 125966)
    * Only show albums/artists/genres with more than 3 tracks when listing
      favourite albums/artists/genres. (BR 126435)
    * libtunepimp 0.5 compiles successfully.
    * Podcasts are automatically configured to be checked for updates.
    * Show only 2 decimal places for scores in the statistics module.
    * Replace 'Move to Collection' in file browser context menu by 'Organize
      Files' for collection directories. (BR 125702)
    * Removed the option "Show Status Bar". It's now always enabled.
    * Tracks from a media device scan be submitted to last.fm immediately,
      without waiting for tracks to be played in amaroK. Patch by Iain
      Benson <iain@arctos.me.uk>. (BR 125690)
    * Any failed attempts to submit to last.fm are now automatically retried
      in the background, without waiting for new tracks to be played.
    * Smart playlists can be constructed using mixed ALL and ANY matches
      (BR 124483)
    * Configure media devices in global settings, disable media browser when
      no media device is configured.
    * Dynamic Playlist bar made more conspicuous.
    * The Konqueror setting to show a 'delete' entry in the menu is now
      respected, if the setting exists and KDE is version 3.4 or higher.
    * Cover art from m4a files. Updated m4a taglib patch by Jochen Issing
      <jochen@isign-softart.de> and patch by Shane King
      <kde@dontletsstart.com>. (BR 125414)

  BUGFIXES:
    * The playlist would incorrectly sort after using the queue manager in
      dynamic mode.
    * Sort disc numbers numerically (BR 127114)
    * Smart Playlists using 'last played time' now filter correctly.
      (BR 127145)
    * If "Transcode Whenever Possible" was selected for transferring to media
      devices, if the file was in the device's preferred format, transcoding
      would not take place.  Thanks to Ants Aasma for the patch. (BR 127109)
    * Fix possible loss of database after changing settings. (BR 126880)
    * Only include audio files when expanding directories. (BR 126765)
    * Correctly handle 'Cancel' in confirmation dialog for deleting items
      from media devices. (BR 126989)
    * Smart-Playlist random mode was not 'sticking'. (BR 126877)
    * Statusbar log files would only ever write to the first log after all
      four logs had been filled.
    * iFP: Don't pretend to add newly transferred files to wrong folders.
    * Set a podcast as listened only when it really has been listened to.
    * All tracks from a cuesheet will now submit correctly to last.fm.
      (BR 114969)
    * xine-engine will now correctly detect a change when only one of the
      artist or album metadata changes. Patch by Kim Rasmussen
      <kml@elreki.net>. (BR 126648)
    * Less than and between criteria in a smart playlist for playcount, rating
      or score of 0 now work. (BR 97046)
    * Empty genres are no longer displayed in the collection browser.
      (BR 126495)
    * Fix regression causing drag and drop of playlist track items in the
      playlistbrowser to be functionless. (BR 126387)
    * Fix regression causing podcast purge property to be ignored. (BR 126194)
    * Automatically convert MySql/PostgreSql passwords from 1.3 to 1.4 state.
    * Popup Messages would flicker when being shown.
    * Some 1.3 podcasts wouldn't get transferred to 1.4 settings.
    * New podcasts didn't get a default save location. (BR 126196)
    * Fixed encoding problems with lyrics scripts.
    * Mark/unmark as compilation is now stored in the file tag so it is
      remembered when the colection is rescanned. (BR 120428)
    * Submissions from media devices are timestamped so as to be less likely
      to conflict with submissions from another last.fm client. (BR 125367)
    * The MySQL connection will no longer time out when idle. (BR 120198)
    * Load manually configured media devices even after failed DCOP queries.
      Patch by Iain Benson <iain@arctos.me.uk>. (BR 125692)
    * Copy/move to collection recurses into directories. (BR 125334)
    * Amazon no longer tries to refetch invalid entries. (BR 125168)
    * Skip hidden directories while scanning the collection. (BR 115478)
    * Instead of cancelling collection organiziation operations when starting
      new one append to running one.
    * Correctly show &amp; in playlist 'Burn' right-click submenu. Patch by
      Laszlo Pandy <laszlok2@gmail.com>. (BR 125117)
    * Disable option to delete remote items in playlist right-click menu.
      (BR 124745)
    * Reload playlist browser podcasts when switching database engines.
    * Podcast tables recreated on startup if they don't exist.


VERSION 1.4-beta3:
  FEATURES:
    * amaroK now supports multiple media devices of varying types (currently
      iPods, UMS/VFAT, and iFP devices).
    * Autodetection of iPods and UMS/VFAT devices (if KDE has HAL/DBUS support
      compiled in).
    * New DCOP call "devices: showDeviceList()" to show the Device Manager's
      current device knowledge.
    * amaroK now has a custom icon theme, and an option to switch back to the
      system icons, if preferred (in the General settings section).
    * Collection browser view is separated alphabetically. Patch by
      Christian Hoenig <list@hoenig.cc>.
    * Ease navigation with track slider below playlist window by showing mood.
      (BR 121715)
    * Show context information for podcasts.
    * Filebrowser: toolbar button to change to the directory of the currently
      playing song. (BR 115479)
    * Added "Play Audio CD" entry to the amaroK menu. (BR 103409)
    * GStreamer-0.10 engine now supports visualizations.
    * xine-engine: Show metadata for ogg vorbis streams. (BR 122505)
    * Drag and drop podcast urls directly onto podcast folders for addition.
    * Add media directly into directories for iRiver ifp devices.
    * Button to directly edit lyrics from the context browser. (BR 123515)
    * Support for SMIL playlists. (BR 121983)
    * Support for WAX playlists. (BR 120980)
    * Handle the Year tag when playing AudioCDs. Patch by Markus Kaufhold
      <M.Kaufhold@gmx.de>. (BR 123428)
    * Ignore 'The ' in artist names when sorting in the cover manager, as per
      the collection browser. (BR 122858)
    * Add autocompletion to the composer field in the tag dialog. (BR 123026)

  CHANGES:
    * In context browser, show information about recently updated podcasts,
      recently added and favourite albums when nothing is playing.
    * Ratings can now have half stars: click again on the last star in the
      rating to toggle it between a half and a full star.
    * Improved handling of embedded cover art, utilizing the database. Patch
      by Shane King <kde@dontletsstart.com>. (BR 124563)
    * Statistics tool has had numerous improvements.
    * Optimise: Only rerender the CollectionBrowser when relevant.
    * Disable detection of iPod model and thus solve g_object_get related
      problems. (BR 121990)
    * Don't block GUI when trying to transfer large numbers of items already
      on media device. (BR 123570)
    * Update playlist items when their location is changed during organizing
      files. (BR 123752)
    * Recursively add tracks when directories are dropped to the media browser
      and the collection browser. (BR 123982)
    * Visualizations now receive stereo data from amaroK. (BR 118765)
    * Upgraded internal SQLite library to version 3.3.4.
    * Podcast information is stored in the database.
    * Improved password handling in the PostgreSQL config dialog. Patch by
      Peter C. Ndikuwera <pndiku@gmail.com>. (BR 118304)

  BUGFIXES:
    * Expand-By smart playlists were returning the wrong number of values.
    * Fix display of media device transfer queues larger than 4 GB. (BR 125247)
    * Fix duplicate detection when transferring to media device for tracks having
      empty album tags. (BR 125203)
    * Fix spuriously garbled collection scans. Patch by Shane King
      <kde@dontletsstart.com>. (BR 125114)
    * Fix error with 'Back' link when browsing related artists. (BR 123227)
    * Files with names containing '#' or '?' from smart playlists would not
      get transferred to media device. (BR 122488)
    * Stop Playing After Track option wouldn't be shown for the right tracks,
      when there were queued tracks. Patch by Marcelo Penna Guerra
      <eu@marcelopenna.org>. (BR 124297)
    * Don't submit podcast episodes to last.fm. (BR 118987)
    * Accept system:/media/ urls into the playlist. (BR 120249)
    * Fix leak of file descriptors with embedded cover art. Patch by Shane
      King <kde@dontletsstart.com>. (BR 123472)
    * Stop collection folders being automatically removed. Instead, allow
      user to remove non-existent folders by deselecting parent. (BR 123745)
    * Stop delete key in playlist deleting last deselected item. (BR 123265)
    * xine-engine: Show bitrate and samplerate for CD-Audio and WAV. Patch by
      Markus Kaufhold <M.Kaufhold@gmx.de>. (BR 123625)
    * Some podcasts would cause amaroK to hang.
    * Check if directories still exist when showing Collection directories.
      (BR 123834)
    * Playlist popup menu had a visual glitch with Lipstik and (probably)
      earlier versions of Plastik.
    * Fixed a huge memory leak when using xine-engine with crossfading.
      (BR 119230)
    * Sometimes iRiver devices would crash upon disconnecting. (BR 123416)
    * Adjust the Astraweb lyrics script for a layout change on the site. Patch
      by Andrew Turner <andrewturner512+kdebugs googlemail com>. (BR 123636)
    * Directory selection would incorrectly highlight a directory in a
      corner case. (BR 123635)
    * Don't pretend to be able to uninstall default ContextBrowser themes.
      (BR 123585)
    * Fix preamp and frequency band scaling in the xine equalizer. Patch by
      Tobias Knieper <tobias.knieper@gmail.com>. (BR 116633)
    * OSD text would not be stripped of empty lines.
    * Playlist couldn't be shuffled if queued items existed. (BR 120221)
    * Fixed renaming of Smart Playlists. (BR 122509)
    * Fixed some bugs with PostgreSQL and Smart Playlists. Patch by Peter C.
      Ndikuwera <pndiku@gmail.com>. (BR 123317)
    * Escape invalid characters when transferring files to IFP devices.
      (BR 123199)
    * Escape newline characters when showing detailed information for podcast
      items in the playlistbrowser. (BR 123109)


VERSION 1.4-beta2:
  FEATURES:
    * Equalizer for the GStreamer-0.10 engine.
    * Crossfade in the helix engine!
    * The build date is shown in the "About amaroK" dialog.
    * Show album covers when dragging playlist items. Patch from Jonas
      Hurrelmann <j@outpo.st>.

  CHANGES:
    * Summarize transfer failures to media devices instead of a message for each.
      (BR 122491)
    * Don't list the <no engine> entry in the engine selection widget, when
      it's not the active engine. Makes no sense to select this dummy engine.
    * The aRts and GStreamer-0.8 engines have been removed for being obsolete.
    * Automatically skip to the next track in the playlist when a track is
      unplayable. (BR 116555)
    * Don't check for collection changes on startup if Watch Folders is
      disabled. (BR 116173)

  BUGFIXES:
    * Handle .m4a files as audio when transferring to iPod video. (BR 122492)
    * Smart playlists would not transfer to media devices. (BR 122838)
    * Assume that .mp4 files are audio only when transferring to iPod. (BR 122591)
    * Dereference symbolic links when transferring to iPod. (BR 123206)
    * Correct domain for japanese wikipedia locale. (BR 122319)
    * When deleting a downloaded podcast, the icon wouldn't be updated.
      (BR 122440)
    * Manage Files would create duplicates on collection. (BR 122519)
    * On Statistics Dialog, Compilations would be shown with a random artist,
      and dragging to playlist would add only the tracks by that artist.
      (BR 122363)
    * When editing current dynamic playlist, the adjusting of upcoming tracks
      could be faulty. (BR 122401)
    * Changing database on First-Run Wizard wouldn't work.
    * When loading M3U playlists containing "." or "..", amaroK failed to
      detect that the files are in the collection. Patch by Ted Percival
      <ted@midg3t.net>. (BR 121046)
    * Konqueror sidebar would show garbage for people not using UTF-8 locales.
      (BR 122395)
    * "Open in External Browser" in the lyrics tab works now.
    * Lyrc lyrics script handles tick characters correctly.
    * Crash on startup when upgrading from 1.3, using MySQL. (BR 122042)
    * No more crash on exit or deleting podcast.
    * Handle metadata for .aac files as mpeg instead of mp4. (BR 121852)


VERSION 1.4-beta1:
  FEATURES:
    * AudioCD (CDDA) support for xine-engine, including CDDB lookup. Patch by
      Alberto Griggio <alberto.griggio@gmail.com>. (BR 121647)
    * The Helix engine now supports direct alsa playback using Realplayer 10.
    * New DCOP call "player: setVolumeRelative(int ticks)".
    * Options for Random Mode to favor tracks with a higher rating, score, or
      ones less recently played.
    * Support for playing entire albums. This works just like normal, except
      when choosing the next track, it'll go to the next track from the album
      it finds in the playlist, or the first track of another album otherwise.
    * Support for plain VFAT devices in the Media Device browser.
    * You can now mousewheel over a track's queue label to change its position
      in the queue.
    * Added a time-filter to the CollectionBrowser. Now you can make it show
      only those tracks, which have been added to your collection within the
      last day, week, month or year.
    * Fit to Width for the playlist columns is now optional (accessible in the
      context menu for the column headers).
    * On-the-fly transcoding when transferring to media devices, provided
      that an appropriate transcoding script is running.
    * Handle compilations as such on iPods.
    * New DCOP calls "mediabrowser: ..." for interfacing with media devices.
    * Multiple simultaneously connected media devices.
    * Lyrics support is now scriptable. This allows to add support for any
      lyrics site, and makes it possible to provide upgrades. (BR 94437)
    * New DCOP call "contextbrowser: showLyrics(string)".
    * New 'File Size' column in the playlist.
    * Amarok now supports ASX playlist files. (BR 114051)
    * New DCOP call "collection: isDirInCollection(const QString& path )".
    * New DCOP call "playlist: removeByIndex(int)". (BR 119143)
    * For mp3, aac/mp4, and ogg vorbis, it's possible to use Disc Number and
      Composer tags. (BR 110675) (BR 90503)
    * For xine-lib 1.1.1 and greater, xine engine has gapless playback. amaroK
      is now "The Wall" compatible. (BR 77766)
    * Option for selecting external web browser in amaroK. No longer requires
      KDE-Base. (BR 106015)
    * Press Enter in the Collection Browser filter to send all the visible
      tracks to the playlist.
    * Hold Ctrl while pressing Enter in the playlist's filter to apply to all
      visible items instead of just the first, and Shift to only queue and not
      play them.
    * Tags can be edited inline in the playlist by clicking on a single selected
      item.
    * Switchable Wikipedia locale. (BR 104383)
    * Initial port of GStreamer engine to GStreamer 0.10.
    * Drag albums and compilations from context browser to media device and
      playlist browser.
    * Browse your collection and other related artists with context browser.
    * Copy artwork to iPods capable of displaying it.
    * Show extended podcast info on iPod.
    * Optionally update playcount for items played on iPod and submit them
      to last.fm and synchronize ratings between amaroK and iPod.
    * Tracks can now be rated from 1-5 stars manually, in addition to the score
      which amaroK calculates automatically based on your listening habits. You
      can use the 'Rating' column and Win+1..5 to change the rating.
    * Ability to copy items from iPod and from filebrowser to collection.
    * New 'Last Played' column in the playlist, showing when the track was last
      played. (Like in the Context Browser.)
    * Browsers can be now accessed with keyboard shortcuts, Ctrl+1..5.
      Also Ctrl+0 to close the current one, and Ctrl+Tab to switch the focus
      between the playlist and the active browser.
    * Downloaded podcast episodes can be deleted from the context menu.
    * New DCOP call "player: osdEnabled".
    * Add contents of smart amaroK playlists as playlist to media device.
    * Mediabrowser support for the iRiver iFP series!
    * New dcop call playlistbrowser loadPlaylist. (BR 110082)
    * New Edit Track Information dialog. Lyrics can be edited there, comments
      can have more than one line, some statistics and tag guessing from
      filename. (BR 93982)
    * Show/hide browsers via context menu. (BR 110823)
    * Display disk space on media device.
    * Copy standard and amaroK playlists to media device.
    * Create playlist from items transferred to iPod.
    * Edit dumb iPod playlists with media browser.
    * Ability to read audible.com .aa file metadata and to transfer audiobooks
      to iPod via file browser.
    * Optionally add new podcasts to media device transfer queue on download
      and remove podcasts already listened to on media device connect.
    * Add podcast shows to the Podcast folder on iPods.
    * Persistent media device transfer queue.
    * Incremental update of media device view.
    * Automatic scanning for stale and orphaned iPod items.
    * Moodbar!
    * configure: report not included extra features (BR 115057)
    * Ability to uninstall context-browser themes. (BR 111449)
    * More columns available in the Flat View of the Collection Browser.
    * New Collection Scanner, running in an external process. No longer can
      amaroK crash while scanning the Collection :)
    * Statistics tool!
    * Dragging external playlists into the playlist browser will add them.
    * NMM engine now has a configure dialog.
    * Collection scanner now supports WMA, MP4/AAC, and RealMedia (RA,RV,RM).
    * You can now Organize Music from the Collection Browser, to move and
      rename files to a logical place in your collection folders based on their
      tags.
    * Option to crossfade only on manual track changes. Useful for listening
      to consecutive tracks on a single album.

  CHANGES:
    * Dynamic Mode is now stateless, meaning there's no Dynamic Mode any more,
      only loading and unloading of Dynamic Playlists. There's also now a nice
      info bar above the playlist when a Dynamic Playlist is loaded.
    * The major huge context menu used for hiding/showing columns in the
      playlist has been replaced with a shorter one and a nice dialog.
    * Elapsed time / length in the systray tooltip now updates in real time as
      the song progresses.
    * Tooltips in the playlist for truncated text are now shown directly above
      the text, giving the effect of it being expanded to its full length.
    * The option for restarting scripts automatically at startup is removed, as
      it is now the default behaviour.
    * Reduced memory usage for large playlists to under 30% of pre-1.4 versions.
      (Measured as the difference in memory usage between an empty playlist and
      loading the 'All Collection' smart playlist.)
    * Import iTunes album art from directories.
    * Media Devices (Apple iPod, iRiver iFP, ...) are now handled with plugins.
    * New default image for albums with no cover art.
    * When tabbing between cells while editing tags in the playlist, autosave
      the contents of the previous tag you edited, so you don't have to
      constantly go in and out of editing mode to edit lots of tags.
    * When saving playlists, if there's already one with the same name, instead
      of complaining about it, smartly append (2), (3), etc. to the end.
    * 'Stop Playing After Track' now has a shortcut (Ctrl+Alt+V), and a global
      shortcut for the currently playing track (Ctrl+Win+V).
    * Various keyboard usability and focus tweaks so using amaroK with the
      keyboard is nicer.
    * Upgraded internal SQLite database library to version 3.2.7.
    * Recoding mp3 tags has been removed due to many unjustified
      complications.
    * Viewing track information of remote media will show the url.
    * "Update"-button is now hidden in the collection browser if "Watch
      folders for changes" is enabled in the options.
    * Playlist Browser now remembers which entries were open across startups.
    * The tooltip and the menu from the queue icon in the statusbar now shows
      the total length of the queued tracks.
    * The Home tab has been merged into the Current tab, now called Music.
    * New look for the current track marker in the playlist. Pimp my roK!
    * When turning either random or dynamic mode on, turn the other off,
      instead of completely disabling random mode when dynamic is on.
    * libgpod from gtkpod replaces kio based iPod support for improved
      compatibility with various iPod models.
    * Podcast settings are hierarchical now, meaning you can set settings
      for the category's, newly added podcasts take the settings from there parent category.

  BUGFIXES:
    * Dragging text to a filter line edit would still show the "Filter
      Here..." text in the background. (BR 108876)
    * Don't show an empty playlist length holder in the statusbar.
    * Allow for % and _ in tags, and filter them correctly.
    * Do not copy files of types an iPod is not capable of playing to the
      iPod. (BR 117486)
    * Also take track number into account when comparing tags for checking
      if a track is already present on iPod. (BR 117380)
    * iPod nanos would not switch off during playing songs added with amaroK
      because of their file size not being set.
    * "Show Fullsize" now works for ID3 embedded cover images. (BR 114517)
    * Fix possible bug when saving unencoded podcasts to strange file systems.
    * OSD Preview did not update colours when toggling 'Use custom colours'
      option. (BR 115965)
    * Cached lyrics are not erased when rescanning. (BR 110489)
    * No more "can't create amazon table" warnings. (BR 113930)
    * Creating a new playlist via drag-and-drop no longer shows duplicates
      of each song until amaroK is restarted.


VERSION 1.3.9:
  FEATURES:
    * Support for libtunepimp 0.4. (BR 94988)

  BUGFIXES:
    * Fix leak of file descriptors with embedded cover art. Patch by Shane
      King <kde@dontletsstart.com>. (BR 123472)
    * Playlist popup menu had a visual glitch with Lipstik and (probably)
      earlier versions of Plastik.
    * Fix preamp and frequency band scaling in the xine equalizer. Patch by
      Tobias Knieper <tobias.knieper@gmail.com>. (BR 116633)
    * Fixed a huge memory leak when using xine-engine with crossfading.
      (BR 119230)
    * Fix memory leak in the helix engine when the player and playlist are
      not visible.
    * Stream with URLs containing "&" wouldn't be correctly saved.
      (BR 121846)
    * Playlist Browser would save invalid PLS Playlists. (BR 122875)
    * Refresh All Podcasts wouldn't consider subfolders. (BR 122783)
    * When using a folder as playlist, deleting the playlist would delete
      the folder and all files inside it. (BR 122480)
    * OSD was showing "No track playing" for tracks without metadata.
    * Smart Playlists with playcount or score related conditions wouldn't
      match all songs properly. (BR 97046)
    * With enormous queues, stop menu would take a lot of time to show up.
      (BR 120677)


VERSION 1.3.8:
  BUGFIXES:
    * NMM engine would crash when seeking after the playlist finished,
      state Empty wasn't emitted.
    * Fixed URL of the Nectarine radio stream.
    * Fix crash after changing the alsa device in the helix configuration
      dialog.
    * When amaroK exits, send SIGTERM to running scripts. (BR 119159)
    * Old error messages could be shown instead of current track lyrics.
    * The equalizer in the helix engine now works properly at low sample
      frequencies.
    * Fixed some threading issues in loading XML playlists.
    * Lyrics that are available on lyrc would be shown as "not found".
    * The helix engine now includes protection so that misbehaving streams
      do not cause the visualizations to leak memory.


VERSION 1.3.7:
  CHANGES:
    * In the tree view, sort tracks alphabetically first, unless one of the
      categories is by album, then sort by track number first. (BR 112830)
    * No longer delete Amazon covers every 90 days, instead relying on
      RefreshImages to re-download covers every 80 days to comply with
      the TOS of the Amazon web service.

  BUGFIXES:
    * Fix weirdness when overwriting a playlist by dragging a file to the
      browser.
    * When using Year - Album on Collection Browser, if two albums had the
      same year, the order would be pseudo-random. Patch by Xepo
      <xepo@trifault.net>. (BR 115584)
    * Fix build issue on PCLinuxOS with "cpu_set undeclared".
    * Fix crash in helix engine caused by improper reference counting
      of the audiostreamresponse object.
    * Helix engine no longer declares it is "empty" on a track change
      (caused problems with context browser).
    * Tag dialog doesn't delete year tags any more when editing multiple
      tracks.
    * amaroK would crash or hang when fetching similar artists information
      from last.fm (BR 116399)
    * Fix memory leak in the helix engine. (BR 116223)
    * When changing the database type, the apply button wouldn't be enabled,
      and it would be necessary to restart amaroK for it to work properly.
    * Fix for regression in Qt 3.3.5, causing amaroK to crash when clearing
      the playlist. (BR 116004)
    * Zombie directories are removed automatically from the collection
      scanner. (BR 115779)
    * Dates wouldn't be properly loaded when editing Smart Playlists.
    * Number of songs to add when using dynamic mode wouldn't be respected,
      if the smartplaylist didn't have a ORDER BY statement. (BR 115860)
    * Fix visibility related build problem on some distros.


VERSION 1.3.6:
  BUGFIXES:
    * Fix autoscan with PostgreSQL. (BR 111209)
    * Fix problem with sequences in PostgreSQL support. (BR 115075)
    * Fix potential crash at startup while accessing amazon.com. (BR 115838)
    * Potential crash when loading media from the Collection. (BR 115234)
    * Podcast apply to all button was faulty.
    * last.fm queue wouldn't be saved to disk. Patch by John Patterson
      <kde-bugs@ninecats.org>. (BR 115212)
    * Podcast download directory would only be effective next time the
      application started.
    * Don't crash when attempting to save an empty playlist from the Playlist
      menu.
    * Loading dynamic playlists with sources did not work properly.
    * Fix build issue on some Linux kernel 2.4 distros. (BR 115068)


VERSION 1.3.5:
  BUGFIXES:
    * Fixed a build issue.
    * Fixed potential crash at startup. (BR 114983)


VERSION 1.3.4:
  FEATURES:
    * Helix-engine supports ALSA (using RealPlayer 11). (BR 113909)
    * Atom feed compatibility for podcasts.
    * Statusbar messages are logged to a file, statusbar.log. (BR 99899)
    * Podcast configuration now provides the ability to set the values for
      all podcasts. (BR 114371)
    * Downloading multiple podcasts will throw them into a queue, and
      each will be downloaded sequentially. (BR 114370)
    * Playlistbrowser items can be dragged into folders.

  CHANGES:
    * Categories in the playlist browser are now always in the order of:
      Playlists, Smart Playlists, Dynamic Playlists, Radio Streams, then
      Podcasts, regardless of sorting options. (Items in the categories
      are still sorted normally.)
    * Reworked systray icon handling -- mostly under the hood, but it'll
      now update properly - eg. when you change the cover. (BR 111014)
    * Tooltip for the queue icon in the statusbar will now show the album
      cover of the upcoming track.
    * Totals in the collection browser will now reflect the visible items
      if you set a filter.
    * Podcast settings "download on request" and "stream on request" have
      been merged.
    * About button in script manager now uses a KAboutDialog and supports
      rich text format in the README file. (BR 110961)
    * After filtering the collection browser, if only a single item is left
      visible, it will automatically be expanded.
    * Added items for the Equalizer, Visualizations, and Queue Manager to
      the context menus of the volume slider, analyzer, and statusbar queue
      icon, respectively.

  BUGFIXES:
    * If you queue an album from the context browser and then undo, the
      queue icon in the statusbar is now updated properly (and hence
      doesn't crash if you click on it).
    * helix-engine no longer emits new metaData if only the bitrate of a
      stream changes. (BR 114348)
    * Fix amaroK attempting to destroy your computer, reach through the
      monitor and violently strangle you if you attempt to exit while the
      collection is being scanned. (BR 114597) (BR 114859)
    * Postgresql code cleanup and fixed regression for manual collection
      scanning. Autoscan still does not work. (BR 111209)
    * File browser now sets to home if it was on a remote directory to prevent
      annoying error messages. (BR 114498)
    * Podcast settings would not add a trailing slash to podcast save
      locations. (BR 114712)
    * Workaround for stability issues with HyperThreading on Linux.
      Added a configure check to deal with buggy GLIBC's. (BR 99199)
    * xine-engine: Equalizer became inactive on trackchange when crossfading
      was enabled. (BR 114492)
    * Pausing a track would abort lyrics and wiki fetch jobs. (BR 114576)
    * Dynamic mode did not respect repeat track mode. (BR 114585)
    * The Script Manager no longer captures the script's stdout.
    * Enqueuing files with amarok -e would not work for relative paths if the
      working directories of the new and the running instance of amarok differ.
    * Visualizations would only work when amarok was run as amarokapp.
      (BR 99627)
    * The number of podcasts items would be limited even when the user didn't
      set it. (BR 114353)
    * Switching system language wouldn't affect the root folder names on
      Playlist Browser.
    * On Context Browser, when showing a cached lyric, "add", "search", and
      "open in external browser" buttons wouldn't work. "Open in External
      Browser" is now disabled for cached lyrics. (BR 110812)
    * Refreshing all podcasts when folder existed caused a crash.
    * Multiple job statusbar widget was broken. (BR 114278)
    * HTML in tags was getting interpreted in the context browser.
    * Changing the podcast purge count could sometimes cause amaroK to hang.
    * NMM-engine: Fixed crash after playing a song to the end, the trackEnd
      signal was not emitted from the GUI thread.
    * With Random Mode enabled and Repeat Playlist disabled, when it got to
      the last track, it would play it a second time and then keep on playing
      other tracks, instead of just stopping.
    * Smart-Playlists were broken with PostgreSQL. Patch by Michael Landin
      Hostbaek <mich@freebsd.org>. (BR 114269)
    * Collection scanner ignored files with non-ascii characters. (BR 114195)
    * Don't show "Change Collection Setup"-box for non-local files.
    * Fixed issue with loading playlists containing remote URL's.
    * Dynamic mode history tracks would be forgotten if there was no current
      track on startup. (BR 110160)
    * Fixed problems with "Retrieve Similar Artists" feature in combination
      with SQLite, which could lead to 100% CPU usage. (BR 104447)
    * Tabbing between items and cells in the playlist while editing them now
      works much nicer (goes in order and doesn't tab to invisible columns),
      and you can also now use Alt+Up, Down, Left, Right to navigate between
      cells as well.
    * Podcast settings failed to remember the save location. (BR 114128)
    * Tray icon would stop filling up and showing play/pause icon if show
      player window was toggled. (BR 93711)
    * If player window is toggled during playback, playlist window's caption
      now correctly shows the current track's name.
    * Crossfade length would be enabled in Playback options when "No
      crossfading" was selected.
    * If an engine does not support crossfading, "No crossfading" is now
      selected in Playback options.


VERSION 1.3.3:
  FEATURES:
    * New DCOP call "contextbrowser: showHome".
    * New DCOP call "contextbrowser: showCurrentTrack".
    * New DCOP call "contextbrowser: showLyrics".
    * New DCOP call "contextbrowser: showWiki".
    * Saving a playlist will cleverly pick a default name if possible.
    * Dragging an album cover into the playlist from the context browser
      will append the album.
    * Middle mouse button on the current track will toggle play/pause.
    * Ctrl-Right click on a selection of tracks will queue all of them, not
      just the track below the cursor. (BR 112841)
    * CoverManager allows for downloads from Amazon Canada. (BR 113238)
    * New DCOP call "playlistbrowser: addPlaylist".
    * New DCOP call "playlistbrowser: scanPodcasts". Will check all podcasts
      for new episodes.
    * New DCOP call "playlistbrowser: addPodcast".
    * New DCOP call "player: type". Returns the current track's file type.
    * New DCOP call "collection: migrateFile". Updates the collection db for
      changes made to filenames, keeping stats intact.
    * Smartplaylist has Length property. (BR 113039)
    * Added a mouse-over effect for the volume slider.

  CHANGES:
    * Adding a playlistbrowser folder will automatically focus the lineedit
      for renaming the item.
    * Removing podcasts will delete all downloaded media.
    * Playlists in the playlistbrowser can no longer be removed, only deleted.
    * Removing tracks when in dynamic mode will only replace up to the minimum
      upcoming tracks requirement.
    * Playlist columns are automatically resized when adding or removing
      columns.
    * Added a warning dialog when HyperThreading is enabled. (BR 99199)
    * Blacklisted GStreamer's autoaudiosink, which is really a crapsink.
    * Added a context menu to the volume slider.
    * When viewing covers in fullsize, the window has a maximum size, and
      scrollbars are shown if necessary. The user can also scroll the cover
      by dragging it. Patch by Eyal Lotem <eyal.lotem@gmail.com>. (BR 103990)

  BUGFIXES:
    * Patch fixing an almost-infinite directory-scanning problem while
      building the Collection. Patch by Dirk Mueller <mueller@kde.org>.
    * Cover Manager: Album view setting became out of sync. Patch by Michael
      Pujos <pujos.michael@laposte.net>. (BR 113370)
    * Starting the first track in the playlist when in dynamic mode would skip
      it. (BR 110160)
    * Position slider in player-window disappeared after 2 hours. (BR 97128)
    * PlaylistBrowser duplicated items when overwriting playlists. (BR 108693)
    * Podcast settings would forget about the purge items checkbox.
    * The Stop button in the toolbar was always enabled at startup.
    * GStreamer-Engine: Could not seek to position 00:00:00. (BR 106483)
    * Don't crossfade the last track in the playlist. (BR 96478)
    * If files were in the transfer queue before connecting the iPod they
      would be uploaded without checking if they already exist on the device.
    * Using dynamic mode's playlist shuffle would result in repeated tracks
      tracks during a populate operation.
    * Fixed Xine config options were disappearing on ESC key. (BR 113225)
    * Fixed problems with visibility enabled compilers. Patch by Unai Garro
      <ugarro@telefonica.net>. (BR 113056)
    * Fix regression causing dynamic mode playlist shuffle to break for
      smart playlists which relied on ordering and limits. (BR 113121)
    * Automatic podcast downloads did not do anything. (BR 113129)
    * Playlist browser items were not properly saved on quit (with Qt 3.3.5).
      Patch by Matthieu Bedouet <mbedouet@no-log.org>. (BR 113020)
    * amaroK could crash on startup, if on last exit sorting was enabled in
      the playlist. (BR 113042)
    * Adding entries to a playlist and saving it could duplicate some tracks,
      if the playlist hadn't been expanded before. (BR 111579)


VERSION 1.3.2:
  FEATURES:
    * Tabs will open automatically when dragging files between tabs.
      Patch by Christian Baumgart <christianbaumgart@web.de>.
    * Two new dcop calls which allow scripts to read many of amaroK's
      configuration options. script readConfig(key) for strings, integers and
      bools. script readListConfig(key) for lists. Note that these functions
      aren't guaranteed to always return the latest settings (though many do).
    * Added a right click menu for blank areas of the playlist, with options
      to save, clear or shuffle the playlist and to "enable the dynamic
      mode & repopulate".
    * Playcount is shown in the tag dialog.
    * New volume slider, both better looking and better working than
      the old one.
    * Podcasts can be saved to any location. (BR 111059)
    * Added "Save as Playlist" option to the collection and file browser
      context menus as well.
    * Allow removing of items in the Media Device browser transfer
      queue.

  CHANGES:
    * Scroll wheel to switch tabs in context browser.
    * Repopulate button is enabled or disabled together with dynamic mode.
    * No warning dialog when starting if the directory File Browser is on
      doesn't exist anymore. It just reverts to home. (BR 99208)
    * Sorting on Collection Browser now shows "Unknown" items first, and
      "Various Artists" last. Years are sorted descending now.
    * When selecting 'Play' from the context menu on multiple items,
      it'll now play the first and queue the rest.

  BUGFIXES:
    * The Equalizer and QueueManager widgets were broken on window managers
      other than KWin.
    * "Year - Album" category in the Collection Browser didn't allow for
      dragging tracks or fetching cover images.
    * Xine engine no longer adds images to the playlist.
    * The delete key for removing playlist items works even if the file
      browser is open. (BR 100145)
    * Filenames with XML entity codes were not playable in dynamic mode
      and caused it to stop. (BR 108783)
    * If the album or artist contained "&", cover fetching wouldn't work
      properly.
    * When restarting, Playlist Browser items used for playlist shuffle
      wouldn't be properly marked, though they would be taken into account.
    * Don't crash after changing Podcast options, or after manually deleting
      its first item.
    * When renaming a playlist, the "." would be removed from the filename.
      Paych by Elliot Pahl <elliot.pahl@gmail.com>. (BR 112204)
    * When using next and previous on Tagdialog, after passing by a stream,
      the fields would be always disabled. (BR 112060)
    * Restarting track when in dynamic mode didn't work.
    * Fix issues with the GStreamer engine and alsasink, and reenable it.
      Patch by Vincent Tondellier <tonton-lists@team1664.org>. (BR 112103)
    * Dynamic playlist shuffle had some incorrect smart playlist handling.
    * Robustified the code for handling the '# of tracks in the playlist'
      part of the statusbar, it should not ever get out of sync with
      reality now. Nice side effect is you can see the track count
      increase while a playlist is loading.
    * "Last played - not in the last" smart playlists would only work for
      sqlite. (BR 112248)
    * Podcast and Dynamic subfolders are correctly restored on application
      start. (BR 112162)
    * Dropping tracks onto playlist browser folders will work correctly.
    * Invalid podcasts are no longer discarded on quit. (BR 112116)
    * Fixed playing of files that have special characters like '#' in
      helix engine.
    * Fixed issue where selecting multiple items after filtering the
      playlist would cause all the other items 'between' them (but
      invisible due to the filter) to also get selected.


VERSION 1.3.1:
  FEATURES:
    * Added 'Set as Playlist (Crop)' and 'Save as Playlist' options in the
      playlist context menu. (BR 99932)
    * Support for iPod shuffle devices. Patch by Guenter Schwann
      <harry.w@gmx.at>.
    * Media Device browser now has a connect button for connecting
      your iPod after amaroK has already been started. Also includes
      configurable mounting/unmounting options.
    * Holding down the stop button (as opposed to just clicking it) pops
      up a menu letting you stop either now, after the current track, or
      after the end of the queue.
    * Collection browser filter now fully supports the same Google-esque
      syntax as the playlist filter, plus one extra: lyrics:"stuff to search
      for" to search in cached lyrics.
    * Pressing Shift+Enter after filtering the playlist will now queue
      the first track. (BR 111054)
    * Display short statistics in the collection browser depending on the
      categorisation method.
    * New DCOP call "collection: totalTracks". Returns the total number of
      tracks in the collection.
    * New DCOP call "collection: totalGenres". Returns the total number of
      genres in the collection.
    * New DCOP call "collection: totalCompilations". Returns the total number
      of compilations in the collection.
    * New DCOP call "collection: totalArtists". Returns the total number of
      artists in the collection.
    * New DCOP call "collection: totalAlbums". Returns the total number of
      tracks in the collection.
    * New DCOP call "collection: similarArtists(int artists)". Returns the
      similar artists of the current track, results are limited by 'artists'.
    * New DCOP call "playlist: repopulate". Repopulates the playlist with
      tracks from dynamic mode.
    * New DCOP call "player: showBrowser". Allows for showing of playlist
      window browser, see the handbook for useage.
    * New DCOP call "player: setLyricsByPath". Allows adding custom lyrics
      for tracks.
    * Add an icon in the statusbar displaying the number of queued tracks;
      click on it to pop up a menu letting you jump to their locations in
      the playlist.

  CHANGES:
    * New "Blue Danna" splash screen. Created by Nenad Grujicic, modified by
      Nathan Adolph.
    * 'Stop after track' is now saved (and so remembered across amaroK
      restarts).
    * Ported playlist + filter-lineedit behaviour to collection browser as
      well: you can move between the view and the filter with the up/down
      buttons, and just typing into the view will set the filter. (BR 108656)
    * Wiki Tab links use the color set for links, instead of "Selected
      Background". Style Authors can use "AMAROK_LINKCOLOR" if they want that
      color. (BR 111228)
    * The Equalizer widget has been pimped.
    * Pressing 'up' in the playlist filter will now take you to the end of
      the playlist, in addition to down going to the beginning, as before.
    * When jumping to the current track, it now gets centered instead of only
      barely showing.
    * GStreamer-engine was rewritten. The crossfading feature was removed for
      now (it didn't work right with recent GStreamer versions). Improvements:
      1) Reduced CPU usage 2) Reduced latency 3) Increased stability
    * No need to restart amaroK to use your iPod!
    * Improved Konqueror Sidebar.
    * The bundled "Shouter" AmarokScript (for radio stream serving) has been
      updated and improved.

  BUGFIXES:
    * amaroK wouldn't remember current track when restarting. (BR 110282)
    * Some memory leaks found and fixed.
    * Fix buzz and subsequent clicking when equalizer enabled in Helix and
      GStreamer engines compiled with GCC 4.0.1.
    * Burn option wouldn't show up for "Year - Album" items on Collection
      Browser.
    * Tray's tooltip would show things like 69:40 of 1:12:01.
    * Wiki Tab wouldn't work for names that contained "/". (BR 111634)
    * With KDE 3.4, the proper context menu wouldn't be shown for File
      Browser. Patch by Christian Baumgart <christianbaumgart@web.de>.
      (BR 103305)
    * Playcounter and Access Date wouldn't be updated properly for PostgreSQL.
      Patch by Tonton <tonton-lists@team1664.org>. (BR 111519)
    * Clicking twice on the uninstall button for the same script, would make
      amaroK crash.
    * Fixed an obscure crash when you emptied the playlist, had the focus on
      it, and pressed up.
    * No longer show dynamic info popup on application startup.  Patch by
      Christian Baumgart <christianbaumgart@web.de>.
    * Sometimes the system tray tooltip did not update on song change.
    * Polishing for the collection browser and expanded item states. Patch
      by Christian Baumgart <christianbaumgart@web.de>.
    * With xine-engine amaroK always treated remote media like radio streams.
    * Selecting Classical equalizer preset prompted for name.
    * Fixed konqueror sidebar compilation with kde <= 3.3 and gcc patched for
      visibility.
    * Konqueror sidebar can switch again between tabs.
    * Fixed playing of oggs in helix engine.
    * Fixed crash in helix engine when switching engines if helix/realplayer
      not installed.
    * Undo/Redo for the playlist was broken in some cases.
    * On Collection Browser, when grouping by Genre/Artist/Year-Album it
      wouldn't show the tracks. (BR 110890)
    * SmartPlaylist Editor would reset "Match Any" to "Match All" when
      editing. Patch by Kevin Henderson <pyspud@hotmail.com> (BR 110918).
    * Podcasts and playlist tracks would be sorted lexicographically
      (BR 97297).
    * Saved dynamic playlists were not removable.
    * xine-engine: amaroK would get stuck on exit if the Equalizer was enabled
      and the engine playing. (BR 110791)
    * Dequeued items sometimes weren't being repainted properly.


VERSION 1.3:
  FEATURES:
    * The tyranny of deleting covers every 90 days is over. Instead, amaroK now
      automatically downloads the covers every 80 days to comply with
      Amazon.com requirements.

  CHANGES:
    * Removed 'Apply' button from dynamic config, all config options are now
      hot! (Automatically applied on alteration)
    * Minimum score changed from 1 to 0. (BR 107944)
    * Playlist item lengths now shown with hours when necessary.

  BUGFIXES:
    * M3U playlists would be broken after editing. (BR 109774)
    * When there's no artist tag, don't show tons of unrelated songs and
      albums in Context Browser. (BR 110319)
    * Advertisements were showing up in Lyrics Tab for some songs.
    * When editing tags in Playlist Window, only try to write the new tag if
      it's different from the old one. (BR 110299)
    * Changes to the score in the Edit Track Information dialog should only be
      applied after clicking on the "Save and Close" button.
    * When only the score is changed, amaroK shouldn't complain if the file is
      read-only. (BR 109054)
    * Mark/Unmark as compilation wouldn't work with SQLite. (BR 109275)
    * Album Covers whose name or artist contained "'" wouldn't show up when
      fetched from Amazon. (BR 109700)
    * Edit Track Information dialog wouldn't update collection database if
      filename contained non latin1 characters. Patch by Andrey Yasniy
      <yasniy@gmail.com> (BR 110030)
    * SmartPlaylist category created in the PlaylistBrowser once the
      collection has been built for the first time.
    * Refresh the context browser as appropriate when editing tags. (BR 108884)
    * Cover image shown if track has no title.
    * Statusbar cancel button will terminate a podcast download.
    * Don't show multiple popup messages when retrieving podcast information.
    * Don't crash when adding podcasts. (BR 109982)
    * Tracks with urls containg apostrophes would not cache lyrics.
    * PostgreSQL compile problem (BR 110033)


VERSION 1.3-beta3:
  FEATURES:
    * New "not in the last" option for the date fields in Smart Playlists.
      (BR 107725)
    * New OSD tokens: %directory and %type (shows whether it's a stream, or
      otherwise the extension).
    * New DCOP call "player: lyrics" (BR 100306) and Lyrics Caching. (BR 97961)
    * New DCOP call "player: transferDeviceFiles". Transfers queued files to
      the Media Device.
    * New DCOP call "player: queueForTransfer". Queues files for transfer to
      the Media Device.
    * Download your favourite podcasts and let amaroK manage them for you!
    * 17 Equalizer presets. (BR 96302)
    * xine-engine supports crossfading. Note: Your audio device must support
      mixing. SBLive, dmix or ALSA 1.0.9 will do the trick.
    * Shuffle the queue list in the queue manager. (BR 108861)
    * The audio plugin (autodetect, ALSA, esd etc.) for xine-engine is now
      configurable.
    * Playlist-Browser now remembers the state and layout of its tree view.
    * Show a stop icon next to the track to stop playing after.
    * Miniature player window for the minimalists out there! (BR 85876)
    * "Stop Playing After Track" now also works for queued tracks.
    * "Open in External Browser" button for Lyrics Tab, patch from Nick
      Tryon (Dhraakellian). <dhraak@gmail.com>
    * Funky shadow effect for the album cover @ Context-Browser and OSD.
      (BR 108334)
    * Create playlists by dragging tracks onto the Playlist Category in the
      PlaylistBrowser. (BR 75029)
    * Show OSD when pausing and unpausing. (BR 104508)
    * Make 'The' prefix of artists be transparent in the collection
      browser and sort accordingly. (BR 85959)

  CHANGES:
    * TagLib version 1.4 is required.
    * Renamed "Track Name" column to "Filename", "Extension" to "Type".
    * "Use hardware volume mixer" option has been removed.
    * "Play AudioCD" gets disabled for engines that don't support KIO.
    * The OSD (by default) and systray tooltip now show the same infos in
      the same order as the columns in the playlist.
    * xine-engine's configuration dialog has been reworked and simplified.
    * xine-engine has been given the highest engine plugin rank.
    * Systray tooltip now shows "elapsed time / total time" for the length.

  BUGFIXES:
    * When playing, the text in the current track's columns wouldn't get
      ellipsii added if the column was too short.
    * Dragging 'All Collection' smart playlist made amaroK hang.
    * Compilations reported incorrect number of tracks in the Context
      Browser. (BR 109651)
    * Track play icon remains even when stopped playing. (BR 107284)
    * Sometimes valid tracks were not submitted to AudioScrobbler. (BR 100278)
    * Current playlist is now being remembered when amaroK crashes. (BR 98689)
    * Playlist-Browser saves its state after each change, so that no data
      is lost when amaroK crashes. (BR 108814)
    * Crash when trying to save Smart Playlists after creating a Collection
      for the first time.
    * Context menu of compilations was empty in context browser.
    * Don't append albums and compilations when clicking on text in the
      context browser. (BR 98797)
    * xine-engine: pre-amp for the equalizer works now. (BR 104882)
    * Crash when changing the number of minimum upcoming tracks right after
      starting amaroK. (BR 108251)


VERSION 1.3-beta2:
  FEATURES:
    * New DCOP call "collection: scanCollectionChanges" Scans for changes made
      to the collection.
    * Support for "media:" URLs. Patch by Sergio Cambra <sergio@ensanjose.net>
      (BR 102668)
    * Support for visualizations in the Helix engine.
    * Queue manager to help organise your queued tracks. (BR 90594)
    * Ability to create Smart Playlists based on file path. (BR 92467)
    * Per track scripting via custom playlist context menu items.
    * Added advanced, Google-esque syntax to the playlist filter. Lets you do
      things like artist:sirenia, "pink floyd", artist:"pink floyd", or even
      score:>50. When just typing words, it works as before. (BR 99312)

  CHANGES:
    * Upgraded included SQLite library to version 3.2.2.
    * Bumped GStreamer and GStreamer-plugins dependency to version 0.8.6.
    * aKode-engine has been disabled (too buggy/incomplete).
    * Repopulate upcoming tracks on demand when using dynamic mode.
    * Remodel the playlist browser to incorporate dynamic mode more fully.

  BUGFIXES:
    * Don't show textual URLs in Wikipedia Tab. (BR 108031)
    * Don't refresh the collection view on update scans, if nothing changed.
    * xine-engine: Don't pop up hundreds of error messages when something
      goes wrong. Patch from John Lash <jlash@speakeasy.net> (BR 101646)
    * Automatic theme download with KNewStuff works now. (BR 107313)
    * Clicking on "Lookup track at musicbrainz" use %2520 for spaces in URL.
      (BR 107946)
    * Crash when loading dynamic playlists without a collection.
    * Crash when saving smart playlist without a collection.
    * Do not call TagLib::MPEG::File for non-mpeg files - some FLAC files
      would cause the CPU to start running in circles. (BR 107029)
    * Many Helix engine improvements.
    * Crash when dragging playlist items into Playlist Browser. (BR 107709)
    * Improved context display when playing radio streams with xine-engine.
    * Number of album tracks was incorrect when showing statistics by album.
      (BR 107762)
    * Massive performance speedup for the default analyzer (BlockAnalyzer).
    * Dynamic mode will grab tracks from closed playlists.
    * Covermanager tooltips were persistent even when window closed. Tooltips
      have now been replaced with statusbar text. (BR 106976)
    * Turning off dynamic mode when items were filtered only 're-enabled' the
      visible items.
    * Disable random mode on startup if dynamic mode is on. (BR 107311)
    * The user is warned if saving tags failed. (BR 91568)
    * Sub-Folders in Playlist Browser are correctly saved and restored.
    * Crash after clicking on remove playlists in dynamic mode.
    * Crash on Context Menu in dynamic mode.


VERSION 1.3-beta1:
  FEATURES:
    * Add Media dialog allows for multiple file selection. (BR 105903)
    * The browser-sidebar has been redesigned for improved usability.
    * Cue file sheet support. Patch from Martin Ehmke <ehmke@gmx.de>.
      (BR 92271).
    * New OSD text token, %playcount, will write the playcount.
    * SmartPlaylists are editable. (BR 91036)
    * PlaylistBrowser gets a makeover!
    * New playlist column "Playcount" for track play counts.
    * New playlist column "Extension" allows easy sorting of playlist for
       compatible file types for portable media players.
    * Ability to save streams to the PlaylistBrowser (BR 91075, BR 104139)
    * New DCOP call "playlist: popupMessage" Displays a popup message box
       in the playlist window..
    * New "year - album" - group by mode for collection browser. (BR 94845)
    * New DCOP call "player: setScoreByPath(url, int)". Sets score of a track
       specified by it's path.
    * New DCOP call "player: setScore(int)". Sets score of the current track.
    * New DCOP call "player: path()". Returns the path of the current track.
    * New DCOP call "playlist: saveM3u(path, relativePaths)".
    * New ScriptManager notification: "volumeChange: int".
    * Tooltips for album covers in the CoverManager. (BR 103996)
    * Automatic download of themes and scripts via KNewStuff.
    * Different analyzers available for the playlist window.
    * New DCOP call "player: enableRepeatTrack" sets repeat track on or
      off.
    * HelixPlayer-engine.
    * 'Load' and 'Append' entries for smart playlist context menus. (BR 99213)
    * Support for reading embedded images from ID3 tags. (BR 88492)
    * Wikipedia tab in ContextBrowser allows for artist biography retrieval
      and more, supporting 9 different languages! (BR 98050) (BR 104383)
    * Show "title by artist" on playlists titlebar and taskbar. (BR 97670)
    * Option to show stats in the Home tab by album. Patch from Cédric
      Brégardis <cedric.bregardis@free.fr>.
    * New DCOP call "script: listRunningScripts()". Returns a list of all
      currently running scripts. (BR 102649)
    * New DCOP call "script: stopScript(name)". Stops a script. (BR 102649)
    * New DCOP call "script: runScript(name)". Runs a script. (BR 102649)
    * New form of playlist manipulation - Dynamic Mode.
    * New DCOP call "player: enableRepeatPlaylist" sets repeat playlist on or
      off. (BR 102754)
    * Add Score widget into the tag editor. (BR 100084)
    * Support for PostgreSQL as database backend. (BR 99863)

  CHANGES:
    * "amarokscript" filename extension is now mandatory for script packages.
    * Append Suggestions has been superceded by Dynamic Mode.
    * Add a label (with shortcut) to the Playlist filter.

  BUGFIXES:
    * Message box when saving of playlist failed (BR 105520)
    * Avoid weird results when fetching lyrics with slow connections.
      (BR 103561) (BR 101327)
    * Compensate for reversed slider widget in reverse layout locales, such as
      Hebrew and Arabic. Patch from Assaf Gillat <gillata@gmail.com>.
      (BR 102978)
    * Playlist playMedia now works with streams.
    * Context Browser is updated when current track's tags are changed.
      (BR 102839)
    * Clearing the playlist while playing a track does not lead to a confusing
      interface anymore. (BR 103510)


==BEGIN KDE 3.3 DEPENDENCY==

VERSION 1.2.4:
  FEATURES:
    * Queue selected tracks shortcut, Ctrl+D. (BR 83675)

  BUGFIXES:
    * The first engine entry in the config dialog was always blank.
    * If you filtered by more than one word in Collection Browser, adding
      expandable items (eg: artists or albums) wouldn't work. (BR 100150)
    * Updating the collection without any changes being made to it kept
      the Update button disabled forever.
    * Application freezes when switching shoutcast streams. (BR 103890)
    * MusicBrainz lookup was not escaping quote characters. (BR 103740)
    * Fixed crash when clicking the "clear" button in CoverManager's filter
      widget.
    * Update lyrics page on new radio stream metadata. (BR 99725)
    * xine-engine was reporting bogus tracklengths for ogg vorbis. (BR 102547)


VERSION 1.2.3:
  FEATURES:
    * Graphequalizer script can now enable and disable the equalizer.
    * New DCOP call "player: equalizerEnabled" returns whether or not
      the equalizer is enabled.
    * OSD notification for mute.
    * Mute global shortcut, Win+M.
    * Add %comment token for comment display in OSD. (BR 100944)
    * View/Edit track entry into context menus of ContextBrowser and
      CollectionBrowser.
    * You can mark/unmark albums as compilations via CollectionBrowser's
      right-click contextmenu.
    * New DCOP call "collection: query(const QString& sql)".
      Allows to make arbitrary queries on the Collection database.
    * New DCOP call "playlist: removeCurrentTrack()". (BR 92973)

  CHANGES:
    * Show "Artist - Title" for compilation discs in CollectionBrowser
      and ContextBrowser.
    * Upgraded internal SQLite database to 3.2.0.
    * DCOP call saveCurrentPlaylist() now returns the path to current.xml.

  BUGFIXES:
    * Appropriate context menu entry for changing queue status for multiple
      playlist items.
    * Fix regression preventing dequeuing multiple selected tracks.
    * 'Show Toolbar' remembers its settings between sessions. (BR 98662)
    * When doing Musicbrainz lookup from the Context browser, search for the
      real track, not the whole album.
    * Memleak when a radio stream stalled. (BR 102047)
    * The Collection Scan finally checks for the right file modification time.
    * Adding a compilation disc from ContextBrowser was broken.
    * GStreamer-engine: Reduced the gap when switching to next track without
      crossfading.
    * GStreamer-engine: amaroK was swallowing the beginning of a track when
      Fade-in was set to zero. (BR 94472)
    * Use a better highlight color in the "Configure Collection" dialog.
      (BR 102059)
    * "Remove Duplicates / Missing" fixed. Removes dead entries correctly.
    * Fix units for samplerate. (BR 101528)
    * amaroK using 100% CPU on some systems. (BR 101524)
      (a KHTML bug which got exposed by code in amaroK 1.2.2)


VERSION 1.2.2:
  FEATURES:
    * Context Browser CSS styles can now be installed and selected from the
      appearance settings.
    * Append Suggestions now has an icon in the statusbar.
    * When selecting multiple files, the "View/Edit Meta Information" dialog
      will show the tags that are common to all of them. (BR 100423)
    * A line graph equalizer added as a script "graphequalizer."

  CHANGES:
    * Add 25-track and 50-track smart-playlists.
    * Update current-track icons to include greater padding.
    * The contextbrowser now uses data:-URLs instead of temp image files, so
      they cannot be left on disk when amaroK terminates unexpectedly, and the
      Konqueror/Universal sidebar can show them when amaroK is not running.

  BUGFIXES:
    * escape '&' char in contextmenu entry (BR 101276)
    * Track is set as a number in the database, so shouldn't be added rounded
      by quotes. (BR 101208)
    * Rewrote the broken .pls playlist parser.
    * Handle delay gap between songs properly with aRts engine. (BR 90404)
    * Switched order of "Make playlist" and "Queue after current track" menus
      to avoid playlist destruction. (BR 96164 part 1)
    * Visualizations with LibVisual didn't work in some cases. (BR 99627)
    * amaroK could fail to build if the whole kdeextragear-1 module was
      compiled, due to conflicts with K3B on the MusicBrainz check. (BR 100906)
    * Images shown on OSD where incorrect for action notifications.
    * The handbook translations were not built when amaroK was installed from
      the tarball. I've written a new release script in Ruby, which can
      handle the new structure of kde-i18n. (BR 100498)
    * GStreamer-engine can now play vorbis radio streams properly, with
      full metadata support. (BR 89821)
    * GStreamer-engine now uses the "decodebin" autoplugger, which fixes
      the lag issues that some users had during crossfading. (BR 99570)


VERSION 1.2.1:
  FIX: Made the Tag-Editor only operate on visible items. (BR 100268)
  ADD: Database settings added to the first-run wizard.
  FIX: playlist2html generates UTF-8 output now. (BR 100140)
  FIX: Bitrate/length showed random values for untagged mp3 files. (BR 100200)
  FIX: Crash when recoding stream MetaData without CODEC selected. (BR 100077)
  CHG: Show an additional "Compilations with Artist" box in ContextBrowser.
  ADD: Remember collapse-state of boxes in ContextBrowser. (BR 98664)
  ADD: Display an error when unable to connect to MySQL.
  ADD: Konqueror Sidebar now has full drag and drop support.
  CHG: Replaced "Blue Wolf" icon with Nenad Grujicic's amaroK 1.1
       icon, due to legal issues.
  ADD: Parameter "%score" shows the current song's score in OSD.
  CHG: When you delete a song within amaroK, it gets removed from
       the Collection automatically.
  FIX: Directory column in the playlist was eating the first letter.
  ADD: New DCOP call "playlist: setStopAfterCurrent(bool)". (BR 99944)
  FIX: Coverfetcher: Do not crash when no cover was found. (BR 99942)
  ADD: Support for amazon.co.jp cover fetching
  CHG: Toolbar items reordered for optimal usability, as suggested by
       Aaron "Tom Green" Seigo.
  FIX: Show covers for albums containing chars '#' or '?'. (BR 96971 99780)
  ADD: Help file for the playlist2html script.
  ADD: New DCOP call "playlist: int getActiveIndex()".
  ADD: New DCOP call "playlist: playByIndex(int)".
  CHG: Upgraded internal SQLite database to 3.1.3.
  FIX: Update the database after editing tags in playlist. (BR 99593)
  ADD: New DCOP function "player: trackPlayCounter". (BR 99575)
  ADD: .ram playlist support with code from Kaffeine. (BR 96101)
  FIX: amaroK can now determine the correct track-length even for formats
       unknown to TagLib. Makes it possible to seek e.g. in m4a tracks.
  ADD: Can now pick from multiple Musicbrainz results. Patch from
       Jonathan Halcrow <gte899j@prism.gatech.edu>. (BR 89701)
  ADD: May now set a custom cover on multiple albums in the Cover-Manager.
  ADD: Support relative path of tracks in writing playlists. (BR 91053)
  FIX: Don't inline-edit tags for the whole playlist's selection.
  FIX: Fix "Recode Tags" crash issues. (BR 95041)
  ADD: "Set Custom Cover" can fetch remote images. (BR 90499)

VERSION 1.2:
  ADD: "Repeat Track" status is reflected by an icon in the playlist.
  ADD: New icons from tightcode for statusbar and repeatTrack.
  ADD: New Smart-Playlist "Ever Played".
  CHG: Bumped GStreamer version requirement to 0.8.4.
  CHG: Made it possible to use artsdsink with GStreamer again.
  CHG: Don't read m3u files recursively when dropping a folder on the
       playlist. No more doubled entries.
  FIX: Shoutcast radio with GStreamer is improved, no more dropouts when
       starting a stream.
  ADD: The "Similar Artists" feature (using Audioscrobbler) can now be
       switched off. (BR 95280)
  FIX: Error in Shoutcast http-request, which made it impossible to play
       many radio streams with GStreamer and aRts. (BR 97211, 98569)
  CHG: Better default directory for selecting a custom cover.
  FIX: ContextBrowser reloads after setting a custom cover. (BR 96548)
  FIX: Cover-Manager's full-screen view works with Bughira (brushed metal).
  ADD: Script-Manager can auto-run scripts on application startup.
  ADD: aKode engine, depends on KDE 3.4. No configure check yet.
  FIX: Don't add non-audio files to the Collection.
  CHG: We now use the SqlLoader, which greatly improves the performance of
       adding stuff to the playlist from SmartPlaylists and the Collection.

VERSION 1.2-beta4:
  ADD: It is now possible to select the right image if there are multiple
       results from Amazon. Patch from Gregory Isabelli <g_isabelli@yahoo.fr>.
       (BR 93287)
  CHG: Reorganized the DCOP interface. We used to have all DCOP functions in the
       "player" group. Now it's splitted up into several categories. Attention
       script writers: Adjust your DCOP calls!
  FIX: The loader is now more robust and should always find amarokapp.
  CHG: The search-browser has been integrated into the file-browser.
  CHG: OSD can have fake transparency and new fancy shadow.
  ADD: DCOP function "shortStatusMessage", shows a temporary message on the
       application's statusbar.
  FIX: Frequent crashes when writing tags. (BR 95344)
  FIX: CoverManager updates its status display correctly.
  FIX: "isPlaying" DCOP function now works correctly. (BR 90894)
  ADD: Automatic crash report generator, sends backtraces to amaroK HQ.
  ADD: DCOP function "saveCurrentPlaylist". Writes the playlist to current.xml,
       for scripts that need to access the playlist contents.
  ADD: Playlist2html, a script for playlist exporting. (BR 96199)
  ADD: Improved statusbar, with animated error notification widget.
  ADD: New progress display system, can show multiple expandable progress
       widgets in the statusbar.
  ADD: Alarm script, starts playing music at specified alarm time.
  ADD: Script-Manager for DCOP script extensions is now functional. Refer to the
       amaroK Wiki for information on script writing.
  ADD: Collection-Browser shows a help message in flat-mode when filter is
       empty. (BR 97000)
  CHG: It is possible to select the Database Engine (SQLite, MySQL) runtime,
       without amaroK restart. New Database Engines can be added, they need to
       inherit DbConnection and implement its' virtual methods (see
       SqliteConnection and MySqlConnection).
  CHG: New amaroK icon "Blue Wolf", made by Da-Flow.
  FIX: Possible crash when enabling Player-Window. (BR 94668)

VERSION 1.2-beta3:
  ADD: Smart Playlists can have a random order or a score weighted random order
       (BR 90861)
  ADD: Show total length of selected songs in statusbar. (BR 90284)
  ADD: Context-Browser now caches the tab widgets. Patch from Matias Costa
       <mcc3@alu.um.es>. (BR 95999)
  FIX: RAND and REP buttons were always enabled at startup. (BR 95861)
  ADD: Implemented "Append Suggestions" functionality. It means that when
       enabled, amaroK will append a couple of suggested songs to playlist when
       you play a track. This produces a continuous playlist, something similar
       to listening to radio.
  ADD: Implemented "Play Media..." functionality.
  FIX: Playlist-Browser was appending to playlist when clicking "Load". Now it
       replaces the current playlist again, as intended.
  ADD: Profile for KDELIRC (Remote Controls). Patch by Dirk Ziegelmeier
       <dziegel@gmx.de>.
  ADD: Remove Duplicates now also removes dead entries from playlist.
  FIX: Accept album-dragging from the ContextBrowser. (BR 86020)
  FIX: Configure check was missing for the Konqueror Sidebar (depends on
       KDE-Base).
  FIX: Browser splitter was drawn incorrectly with some styles. (BR 95333)
  ADD: DCOP call for relative seek. Patch by Andreas Pfaller. (BR 84989)
  CHG: Bumped TagLib dependency to 1.3.1. (1.3 is too damn buggy)
  FIX: CTRL-M can show the menubar again after hiding. (BR 94139)
  ADD: Support for last.fm streams.
  FIX: amaroK icon shows correctly in window decoration under GNOME.
  ADD: Support for ID3v2 cover images. (Thanks to M. Thiesen!) (BR 88492)
  ADD: DCOP calls for the status of Random Mode, Repeat Playlist and Repeat
       Track.
  ADD: DCOP call to return the sample rate.
  ADD: DCOP call to return the track number. (BR 94825)
  FIX: GStreamer-engine provides better scope synchronisation.
  ADD: Save current track position and play queue on exit. (BR 90379)
  FIX: Fix Directory column on playlist, show absolute directory path instead of
       empty string. (BR 90361)
  ADD: DCOP call to scan your collection. (BR 84621)
  FIX: When an engine fails to load, respect the rank while choosing the next
       engine.

VERSION 1.2-beta2:
  FIX: Classic amaroK theme looks better.
  ADD: Context Browser has CSS styling.
  FIX: Cover fetching improvements/fixes.
  ADD: Last played: yesterday, etc. in ContextBrowser.
  FIX: Big speedup for PlaylistLoader, when adding many items.
  ADD: Show songs you once played, but didn't play for the longest time on
       ContextBrowser's Home-page. (least played) (BR 89479)
  FIX: Don't crash on song switch, when there's only one visible playlist item
       and repeat-list is activated. (BR 94030)
  CHG: Add and queue tracks after the current track. (BR 94121)
  ADD: DCOP call to raise the equalizer configuration dialog.
  ADD: Konqueror sidebar to view playing info and control amaroK.
  ADD: DCOP call to clear the playlist. (BR 90149)
  ADD: DCOP call to enable/disable the equalizer.
  ADD: DCOP call to return the score of the currently playing track.
  ADD: Audioscrobbler submit queue stored on disk. Tracks that are listened when
       offline will be available for submitting later.
  CHG: "Start Scan" button was renamed to "Update". Now it starts an incremental
       scan instead of a full rescan.
  FIX: Lyrics parsing failed for certain songs. (BR 94269)
  ADD: xine-engine saves config, and implements crossfade, bug fixed too.
  ADD: Player-Window can also show the BlockAnalyzer.
  CHG: Run incremental scanning once a minute instead of every 30 seconds.
  FIX: When collection scanning was interrupted with Cancel, incremental
       scanning didn't work any longer.
  CHG: Handle incremental file scanning in a thread. Now the GUI doesn't get
       blocked every 30 seconds, anymore. (BR 93564)
  ADD: CollectionBrowser now offers two operation modes:
       The classical TreeView and a new FlatView (like the WinAmp Library).
  FIX: Caching of local cover images was broken for non-unique filenames.
       (BR 94068)
  FIX: "Visualizations" menu entry was always disabled.
  FIX: Play button was sometimes stuck in disabled state.
  FIX: OSD was showing "%artist - %track" instead of "%artist - %title".
  FIX: Forward command line option --engine to amarokapp.
  FIX: CoverFetcher was always looking for "album - album".

VERSION 1.2-beta1:
  ADD: Full support for Audioscrobbler, including submission of tracks.
  FIX: Arts engine resumes from position when session is restored.
  ADD: Vorbis stream metadata support (GStreamer-engine). (BR 82378)
  ADD: Cover image and lyric fetchers include filters for common extensions,
       such as (Disc 1). (BR 90630)
  ADD: Ability to choose from four different Amazon locales. (BR 90664)
  ADD: OSD now draws gradient instead of solid colour.
  ADD: 'Stop after current song' functionality. (BR 88652)
  FIX: Queue function from context/collection browsers actually properly queues
       tracks. (BR 90319)
  ADD: MySQL database support. Patch by Andreas Mair <am_ml@linogate.com>.
       Please refer to mailing list for detailed instructions.
  ADD: Metadata history for streams in Context-Browser. (BR 89839)
  ADD: Command line option --engine.
  ADD: OSD text is now configurable, and it displays the album cover.
  FIX: Remote folders are read recursively when dropped on the playlist.
  FIX: Audiocd protocol in filebrowser had empty folders.
  ADD: Cache system for current-track animation in playlist. Reduces CPU load
       when the playlist is visible.
  ADD: 10-band IIR equalizer for GStreamer and xine engines.
  FIX: The background gradient effect in Context-Browser is now much faster. The
       gradient also looks nicer. (BR 91276)
  FIX: Password-protected streams did not work correctly. (BR 91184). Patch by
       <javapojken@yahoo.se>.
  ADD: NMM-engine was rewritten and updated for the latest NMM release. Supports
       audio and video playback.
  ADD: Cover-Manager supports drag-and-drop.
  ADD: Tags are now read from the Collection database if they are already
       stored. This speeds up adding items to the playlist. (BR 90137)
  ADD: Context-browser shows "Suggested Tracks", utilizing audioscrobbler.
  FIX: Configure does no longer print "Good - Configure has finished" when a
       dependency is missing.
  ADD: Intelligent automatic resize for playlist columns
  ADD: Shaded current-track marker in playlist.
  ADD: Automatic song lyrics display.
  CHG: Internal SQLite upgraded to 3.0.8.

VERSION 1.1.1:
  FIX: Crash when using GStreamer-engine on 64bit. (BR 90869)
  CHG: New splash screen by Nenad Grujicic <mchitman@neobee.net>.
  FIX: Crash when fetching 1 missing cover using the fetch button. (BR 90673)
  REM: Unsupported option "Show Metadata in Playlist".
  ADD: Menubar (optional).
  FIX: GStreamer-engine now resumes playback at correct position.
  ADD: iCandy for Context-Browser: Background gradient and toolbar.
  CHG: Collection-Browser now has a toolbar instead of menubar.
  FIX: With "Title Streaming" disabled GStreamer could not play streams.
  FIX: Osssink is now the default sink for GStreamer. If sink initialization
       fails, a dialog will ask to select another sink.
  FIX: Pausing failed on some systems with GStreamer-engine. (BR 90417)
  FIX: Never scan the same directory twice.
  FIX: Disable CD-burning menu for streams. (BR 90336)
  ADD: Open Cover-Manager from Context-Browser popup-menu and main menu.
  FIX: Made amaroK build with --disable-amazon flag.
  FIX: Docs translations were not installed correctly. (BR 90307)
  FIX: GStreamer-engine refused to play some mp3 files. (BR 90317)

VERSION 1.1:
  FIX: Huge speedup for Context-Browser, makes changing tracks faster.
  ADD: Progress display for Cover-Manager.
  CHG: Systray animation is now optional.
  CHG: Updated included sqlite to 3.0.7 (stable).
  ADD: Tag editor can operate on multiple files (mass tagging).
  FIX: Collection encoding broken for non-latin1 characters. (BR 89747)
  ADD: Popup-menu for cover images in Context-Browser.
  FIX: The first track to play is now random for random-mode. (BR 77055)
  FIX: Show systray on startup. (BR 89661)
  FIX: Let xine recognise tracks that have non lower-case extensions.

VERSION 1.1-beta2:
  ADD: K3B integration for burning CDs. (BR 88052)
  ADD: Third category for Collection-Browser. (BR 83609)
  ADD: Playlist search now supports categories. (BR 86296)
  ADD: Support for MAS (Media Application Server). MAS-engine
       is in experimental state.
  ADD: Context-Browser shows information about radio streams.
  ADD: Custom Smart Playlists with built-in editor.
  ADD: Systray icon shows track progress and play status.
  CHG: Imported SQLite3 and ported CollectionDB.
  ADD: "Cool-Streams", a list of amaroK Squad recommended streams for
       playlist-browser.
  ADD: Detecting Sampler/VA discs in CollectionBrowser (shown as
       "Various Artists"). (BR 81683)
  ADD: Configuration GUI for xine-engine.
  ADD: Next and previous track buttons for Tag-Editor.
  ADD: Player-window adapts to current color scheme.
  ADD: Crossfading and fade-in/out function for GStreamer-Engine.
  ADD: Genre and Favorite Tracks by Artist smart playlist in the
       Playlist-Browser.
  ADD: IMMS-like rating system for songs.
  FIX: aRts-engine has been ported to the new engine interface and is
       available again (but not recommended).
  FIX: Try to autodetect Sampler-Discs and show them properly in the
       Contextbrowser. (BR 87182)
  FIX: Multiple items can now be selected in the CoverManager.
       Thanks John Hughes (BR 87584)
  FIX: Various fixes for certain Artist/Album names, which had problems
       with cover support.
  FIX: Sorting the collection is now case-insensitive. (BR 84141)
  CHG: Symlink infinite recursion check for collection scan.
  FIX: Show all accessible cover images in the tooltip. (BR 87283)
  FIX: Clicking an album in the ContextBrowser adds items in the correct
       order, now. (BR 87733)

VERSION 1.1-beta1:
  ADD: Wizard for configuring amaroK on first startup.
  CHG: Made it possible to use the next/previous buttons when amaroK is
       not playing.
  ADD: DCOP call to switch Random Mode on or off. (BR 84460)
  ADD: DCOP call to retrieve current track's cover image. (BR 85364)
  FIX: Problem with cover-saving for certain artist/album names. (BR 84171)
  FIX: Show contextual information for songs, even if they are not in the
       current collection instead of an ugly empty box.
  ADD: GstEngine: Support for custom output plugin parameters. (BR 83949)
  ADD: CoverManager - for downloading and managing album cover images.
  CHG: Refactored engine plugin interface. Each engine can now provide specific
       configuration GUIs.
  ADD: As-you-type search for FileBrowser.
  ADD: Seeking with mousewheel in playerwindow.
  REM: Stream-Browser.
  ADD: New meta-info dialog, with editable tags and MusicBrainz support.
  ADD: Inline-tag editing auto-completion based on the Collection Database.
  ADD: Deleting files physically from playlist context menu. (BR 75208)
  ADD: Fadeouts for GStreamer-Engine.
  ADD: New Playlist Browser, organizes multiple playlists, and offers smart
       playlist functionality.
  ADD: Support for redirected streams and streams with no specified port.
  ADD: KIO support for GStreamer engine. Allows playing media via all
       protocols supported by KIO (ftp, audiocd, fish, etc).
  ADD: SearchBrowser operation can now be aborted.
  ADD: Progressbar in CollectionBrowser informs about scan progress, and a
       button was added for aborting the scan. (BR 83019)
  ADD: Playlist sliders (volume and position) now move directly when clicked
       outside of the handle. (BR 83611)
  ADD: Untagged tracks now go into Collection too, listed as "unknown".
  ADD: Automatic album cover fetching is back and improved.
  ADD: Option for automatically switching to Context when playback is started.
  CHG: Stream timeout value is now determined from KDE user settings.
  ADD: Support for password-protected streams, by wef <javapojken@yahoo.se>.
  FIX: GStreamer engine must not allow non-audio filetypes in playlist.
  ADD: Icon for "Menu" button in toolbar. Improves Usability.

VERSION 1.0.2:
  ADD: xine-engine plugin, audio only.
  FIX: aRts-engine: Compatibility with newer aRts versions improved.
  FIX: aRts-engine: Streams sometimes stopping shortly after playback was
       started. (BR 84417)
  CHG: Increased stream connect timeout to 12 seconds.

VERSION 1.0.1:
  FIX: Short dropouts after starting a stream with GStreamer.
  FIX: amaroK starting invisible when systray icon is disabled.
  FIX: Playlist analyzer looks freaky on some systems. (BR 83671)
  FIX: Display filename in title column for wav files. (BR 83650)
  FIX: Don't show crash dialog when no engine plugins are found.
  FIX: Compile issue for KDE < 3.2.1 users. Sorry :(

VERSION 1.0:
  FIX: Plugin versions are validated. Prevents crashes with ancient plugins.
  FIX: Configure now checks for gtk/gdk headers for the XMMSwrapper.
  REM: Removed cover download feature for this release.
  FIX: Do not crash if an unreadable dir is added to the collection.
  FIX: Check database-sanity on startup and recreate broken tables (BR 83205).
  FIX: CollectionBrowser was broken, when amaroK was running "localized".
  FIX: TitleProxy hogging 100% CPU when unable to connect to server.
  CHG: Bumped GStreamer requirement to 0.8.1.
  ADD: Glowing player window icons.
  ADD: amaroK finally remembers if it was hidden on exit.
  ADD: OSDPreview now has snap to regions.
  FIX: Newly shown columns in playlist can now be resized.
  FIX: BR 82020: next/prev buttons disabled when they shouldn't be.
  ADD: ToolbarAnalyzer remembers it's framerate, allowed fps: {50, 40, 30, 20}.
  ADD: Full streaming audio support for GStreamer engine.
  FIX: Don't allow user to get into a situation where there is no Menu.
  ADD: Using Welcome-page power-links you can switch between XMMS and amaroK mode.
  CHG: New icons and splash screen, by Roman Becker <roman@formmorf.de>.
  ADD: Allow the current GL analyzer to be detached/attached from the
       main window with the 'd' key.
  FIX: Filtering the collection now searches the second category, too (BR 81681).
  FIX: Filter in playlist was only working for the first argument.
  CHG: Collection-Monitor now processes removed dirs in a thread.
  ADD: Added a switch to toggle OSD's text-shadow. (BR 82011).
  ADD: More detailed track information dialog for Collection Browser.
  FIX: Track length was always 0 for certain filetypes (e.g. mod, wav) (BR 82673).
  FIX: Gst engine refusing to add certain filetypes to the playlist, when
       the engine was idle (BR 82713).
  FIX: Rare playlist redraw bug, which resulted in messed up items.

VERSION 1.0-beta4:
  ADD: CollectionDB now caches and rescales images. This binds cover art usage
       in amaroK to the collection, but offers greatly improved speed for cover
       retrieval and uses less memory.
  FIX: Cover not shown in ContextBrowser, when song gets played for the first
       time ever (BR 81241).
  ADD: Cover art fetcher, downloads album cover images from amazon.com.
  ADD: Configure->Playback->Device && default device option for audiosinks.
  ADD: ContextBrowser now also shows your overall-favorites and the newest tracks
       in your collection. Therefor I had to reset the statistics, sorry.
  FIX: Decode %-encoded characters in filenames, like %2f for a slash. (BR 74576).
  CHG: Songs you click in ContextBrowser will now directly start to play and won't
       be added to the playlist, if they already are there.
  FIX: "Start Scan" menu-entry gets disabled while scanning. (BR 81619).
  FIX: Directories with non-ascii chars don't get scanned (CB) in multibyte locales.
  CHG: Enhanced "Fill-Down" feature for track column (auto-increment) (BR 81194).
  FIX: Closing xmms-visualizations freezes amaroK (BR 81326).
  FIX: CollectionBrowser does not sort by tracknumber (BR 79600).
  FIX: ContextBrowser's URLRequests need to be escaped.
  FIX: Always show OSD (if enabled) on volume changes.
  FIX: Filtering the collection using tokens with number(s) at the beginning
       or end failed. (BR 81621).
  FIX: FileBrowser didn't remember its current folder (BR 81816).
  ADD: Expand/collapse items by doubleclicking in Collection (BR 81710).
  FIX: Allow OSD still to be shown via shortcut when disabled (BR 80388).
  FIX: Collection: live-monitoring dirs for changes works again.
  FIX: Changing volume by mousewheel on systray icon works again.
  ADD: Collection automatically rescans itself on startup.
  ADD: "Add to Playlist" feature in CollectionBrowser, appends tracks to playlist.
  ADD: Clear button for CollectionBrowser search.
  FIX: Problem with invisible "Play next" marker in playlist.
  FIX: Don't try to create sql-tables on every startup, but only on
       sql-scheme (DATABASE_VERSION) changes.
  FIX: Display splash screen on correct desktop with Xinerama.
  CHG: CollectionBrowser filter now works in "search-as-you-type" mode.
  FIX: Prevent TitleProxy from showing the same metadata over and over.
  FIX: Compatibility bugfixes to TitleProxy, thanks to Daniel Molkentin
       <danimo@kde.org>. I think we've now got 100% Shoutcast compatibility.
  ADD: Allow changing volume by using the mousewheel anywhere on the toolbar.
  FIX: Wheel-scrolling toolbar's volume slider doesn't change volume (BR 81155).
  FIX: ContextBrowser is now shown in proper colors for every scheme.
  CHG: Added track's physical location to the Meta Information dialog.
  FIX: Show last playtime in localtime instead of UTC.
  FIX: ContextBrowser not showing all items for current album.
  FIX: Not all SQL queries were "string-escaped".
  ADD: Added statistics database, which keeps track of how often and when you play
       a specific song.

VERSION 1.0-beta3:
  ADD: Additional volume slider for playlist window.
  ADD: ContextBrowser shows you images and information to the current song/artist.
       It depends on the collection and is presented as an HTML widget.
  CHG: Improved color handling and visual feedback in the GUI.
  ADD: Global shortcut for play/pause action, as requested by multimedia-keyboard
       users (BR 79541).
  CHG: Small player-window can be switched off now.
  FIX: CollectionBrowser out of order after scanning.
  FIX: TitleProxy partly rewritten. Should be more compatible with many streams
       and not be able to freeze the app any longer.
  FIX: When playing a stream with title streaming activated, the track is not
       marked as playing (BR 79999).
  FIX: Invoking "Track Information" in Collection Browser sometimes crashed
       the application (BR 80266).
  FIX: In CollectionBrowser's folder setup dialog pressing cancel did not abort
       (BR 80451). Thanks to Michael Pyne <pynm0001@comcast.net> for patch.
  ADD: Option for selecting sound output system (OSS/Alsa). Currently only
       used with GStreamer engine.
  CHG: Extended and updated handbook, thanks to Mike Diehl <madpenguin8@yahoo.com>.
  ADD: Context menu item "Make Playlist" in Collection Browser generates new
       playlists on the fly, without the need for drag-and-drop.
  CHG: Renamed several files and folders in the source code tree, resulting in
       improved code accessibility.

VERSION 1.0-beta2:
  FIX: Crash on AMD64 due to assumption about pointer size.
  CHG: SQLite library sourcecode now included with amaroK.
  CHG: The collection-thread now inserts its data in a temporary database while
       scanning, which allows us to safely use the collection in the meantime.
       This is done by two concurrent sqlite-connections (thread-safe). Wrote a
       new class named CollectionDB, which handles the database communication
       for the collection.
  ADD: URLDrag from Playlist, so you can drag and drop to xmms. Doesn't work with
       the FileBrowser yet, but it will!
  CHG: CollectionBrowser now fills the database inside of a thread, resulting in
       improved performance.
  ADD: Mini track-position slider in statusbar.
  FIX: Don't try to crossfade with engines that do not support this feature.
  ADD: XMMS visualization plugins can be configured with their GUI.
  FIX: Collection filtering had some regressions
  FIX: Loader on some systems not able to start amaroK.
  FIX: Switching engines at runtime breaking volume control.
  FIX: GstEngine skipping tracks directly after starting, when crossfading enabled.
  CHG: Database system now works with linked tables. Saves hdd-space and cpu-time.
  CHG: If you remove the current song from the playlist, we don't define the next
       song anymore, but let it be randomly selected (only when random mode is on!)
  CHG: Random Mode now respects the playlist filter and only picks items, which are
       currently visible in the playlist. Also removed a crash situation.
  CHG: Removed the search-token index. Searching now iterates through the playlist,
       offering direct and specific access to the metadata.
  FIX: Bug where fill-down would cause lots of extra tags to be written when a search is
       in progress (BR 79482).
  FIX: Defect in plugin framework code, leading to a crash on some systems
       during engine plugin initialization.
  FIX: Restoring current playlist on startup (BR 79436, BR 79439).
  ADD: Searching the Collection with a filter.
  FIX: BrowserWin's QLabels are painted white in amaroK's own color scheme.

VERSION 1.0-beta1:
  ADD: Search Browser - search stuff on your hdd
  ADD: song count on playlist statusbar
  ADD: support for XMMS visualization plugins
  ADD: Collection Browser - a database powered music collection manager
  ADD: Playlist toolbar is now configurable
  ADD: toolbar analyzer in playlist window
  ADD: use XML playlists internally within amaroK so tags don't have to be
       loaded/reloaded all the time. Makes undo/redo much quicker.
  FIX: non latin1 locale issues with loading directories and tags (thanks Leo Zhu)
  ADD: clicking shuffle will sort the playlist by the nextQueue first, and
       randomise the rest
  ADD: Play Next can now handle several songs through a queue. The queue can be
       manipulated by using the context menu or by CTRL+right clicking.
  ADD: much improved gstreamer engine, now working with visualizations
  CHG: GstEngine requires gstreamer-0.8
  FIX: Show move pointer instead of hand when moving preview OSD.
  ADD: sorting by artist subsorts by album and track, sorting by album subsorts
       by track, enjoy!
  ADD: browserTabs float over the playlist when in set to not overlap
  FIX: communication loader<-->amarok failing on FreeBSD
  FIX: loader forgetting to close socket descriptors
  FIX: FileBrowser remembers that state of its view between sessions
  CHG: converted engines to plugins. they are now dynamically loaded at runtime
  ADD: plugin framework
  CHG: made amaroK aRts-independent. with the --without-arts configure switch
       it's possible to build the app without aRts support, using only NMM or GST
  ADD: Shift drag appends items to the end of the playlist.
  FIX: startup notification icon staying on screen when amaroK started by loader
  FIX: amaroK showing the "X" icon instead of the correct one

VERSION 0.9:
  CHG: playlistBrowser removed until next release
  FIX: playerWidget font is now configurable, you need to start new track for the
       scrolling marquee to get updated. Default font is used by default.
  FIX: fixed several stability issues concerning stream-playback
  ADD: whatsthis for all configurable options.
  FIX: amaroK registering with dcop as "amarok-PID". it's back to just "amarok" now.
  FIX: OSD not updating correctly when changing volume

VERSION 0.9-beta3:
  ADD: "Show Current Track" button in playlist.
  ADD: Volume OSD when changing with mousewheel over trayicon.
  CHG: software volume mixer uses a logarithmic function to make the scale more natural
  ADD: Global shortcuts to display OSD and increase/decrease volume.
       (Win+o and Win+KP_Add/KP_Subtract by default, respectively)
  ADD: DCOP calls to control OSD and playback volume
  ADD: ported config-GUI for audio decoders to new engine (works currently with
       modplug_artsplugin)
  FIX: show correct track-length when playing .mod or .sid with aRts-engine
  ADD: loader application, starts and controls amaroK. it reduces the lag when handing
       command line arguments to amaroK and makes the splash load faster
  ADD: playlist items, which couldn't be opened / read (for some reason) will be marked
       with a grey background color
  ADD: pasting clipboard selection into playlist with MidButton, X11-style
  CHG: refined on-screen-display with more polished look
  FIX: skipping broken/non-existant tracks
  CHG: If the current song is paused, the Play Button will resume, not restart it.
  FIX: respect "hide playlist with main window" and playlist minimize/hide behaviour.
  ADD: new OSD configuration options: bgcolor, screen position

VERSION 0.9-beta2:
  CHG: some look-and-feel polishing in the main player window
  ADD: option to turn off analyzers
  ADD: splash-screen shown during program startup (optional)
  FIX: made stream playback with TitleProxy more stable (by using an unbuffered socket)
  ADD: show stream metadata in on-screen-display
  CHG: transformed "EQ" button into a togglebutton, which can also hide the effect browser
  ADD: new OpenGL analyzer, contributed by Enrico Ros <eros.kde@email.it>
  FIX: FreeBSD compile fixes, contributed by Markus Brueffer <brueffer@phoenix-systems.de>
  FIX: rewritten configure: checks properly for kdemultimedia presence,
       and adds --without-opengl and --without-gstreamer arguments

VERSION 0.9-beta1:
  ADD: display warning when artsd is not running with realtime priority
  ADD: Audioproperties are loaded as you scroll the playlist and get saved to playlist files
  ADD: If trackname column is hidden, the title column will show the trackname until a title
       tag can replace it. If no title tag is found the trackname stays.
  CHG: Pressing "back" in Random Mode now works as expected and walks backwards
       through the list of recently played songs.
  ADD: TitleProxy searches for a free local port (contributed by Stefan Gehn)
  CHG: Random Mode now stores the recently played songs in a buffer, which prevents
       playing the same songs too often.
  ADD: "Play Next" context menu option
  ADD: selected aRts-effects will be remembered on next program start, including settings
  FIX: sort numerical playlist columns in correct order
  ADD: logarithmic fading algorithm makes crossfading smoother
  ADD: Select a series of tracks, start inline tag-editing a tag and amaroK will prompt you to
       edit that tag for all tracks one-by-one. Also available: fill-down.
  ADD: improved crossfading: will fade out smoothly when the stop button is pressed
  FIX: O(n) behavior for playlist scrolling fixed
  ADD: setting to make playlist colours the KDE defaults
  ADD: support for tag-editing directly in playlist
  CHG: replaced old FileBrowser with the comfortable fileselector from KDevelop
  CHG: analyzers now powered by a new, more flexible FFT routine
  ADD: hide/show selected playlist columns
  CHG: upgrade streambrowser to kderadiostation 0.5
  FIX: many streams not loading from browser and AddItem dialog
  CHG: amaroK moved out of kdenonbeta. we are now member of KDE Extra Gear 1
  ADD: on-screen-display (OSD), shows an overlay with information on the currently playing track
  CHG: use KMultiTabBar for browser selection
  CHG: migrated settings system to KConfig XT
  ADD: playlist columns for length and bitrate
  ADD: merged new audio engine in. this provides a generic interface class, with multiple
       backends. right now there is a backend for aRts and one for GStreamer (still rudimentary)

==BEGIN KDE 3.2 DEPENDENCY==

VERSION 0.8.3:
  FIX: build issue

VERSION 0.8.2:
  ADD: added Hide/Show Playlist global shortcut (thanks gogo)
  CHG: mousewheel over trayicon behaviour changed
  CHG: search tokens can now be entered in random order
       ("Presley Elvis" will find "Elvis Presley")
  FIX: qt 3.1 compile issues

VERSION 0.8.1:
  FIX: compilation problem with KDE < 3.1.3

VERSION 0.8.0:
  FIX: KDE 3.1 compatibility re-gained
  ADD: hitting return in the search field of the playlist starts playback of the
       first visible playlist entry (Qt >=3.2 only)
  FIX: fixed crash bug in playlist searching
  FIX: fixed crash bug when removing playlist-items
  CHG: new layout has been adopted
  ADD: added accepting files dropped onto systray icon
  FIX: significant reduction in memory consumption for PlaylistItems
  FIX: hardware mixer works again
  CHG: replaced sliders with custom slider class, which fits better in our design
  FIX: exchanged c32-app-amarok.png with the correct (active) version
  FIX: amarok.desktop file. now we show up in the k-menu again.
  FIX: crossfading aRts module. the fading is now much smoother than before
  FIX: crossfading bug. before the fix amaroK sometimes mixed up the two xfade sources,
       so it sort of faded in reverse (==crap)
  ADD: tag reading in separate thread
  ADD: re-added m_optCrossFade, so we don't lose the crossfade length on switching it on/off.
       set default crossfade length to 2500.
  CHG: "Title Streaming" on by default
  CHG: integrated streambrowser into playlist window
  ADD: added dcop implementation for url adding. Relevant diffs for mediacontrol are
       available.
  FIX: libamarokarts detection code
  ADD: added long-awaited DCOP methods for manipulating the playback. This also adds
       integration with kdeaddons/kicker-applets/mediacontrol.
  CHG: moved DCOP handler to a separate class/file
  ADD: threaded playlist insertion
  FIX: removed bugs and waste code keyhandling in browser*, it mostly works as expected
       now with various keypresses going to the correct places
  FIX: cleaned the playlist class's public interface, also fixed some unreported bugs in
       process (inconsistent recursive behavior), please keep the encapsulation, it's a
       good thing (tm)
  FIX: tweaked undo/redo behavior
  CHG: exchanged old player icons with new ones made by
       Alper Ayazoglu a.k.a. cubon <cubon@cubon.de>
  ADD: clicking on EQ button activates effect selection widget
  ADD: KJanusWidget as a sidebar for filebrowser mode selection
  FIX: pushing enter in lineedit goes up a level
  ADD: a stream browser, can only DnD, separate window, not great yet
  FIX: finally fixed the ancient "annoying-noise-when-pressing-pause" bug
  FIX: should keep track of currently played item no matter what you do to the playlist,
       has a nice side effect of remembering the last played song, too. <berkus>
  FIX: write undo for Shuffle <berkus>
  FIX: the expandbutton doesn't fire events when it has had its stack expanded
       (behaviour a-la Winamp Classic) <berkus>
  FIX: crash when pressing right mouse button while stream is connecting
  ADD: show bitrate for streams with icecast support
  FIX: save stream names as #EXTINF in m3u files
  ADD: bug report dialog
  ADD: proxy for decoding shoutcast/icecast metadata (experimental!)
  ADD: amaroK now in bugs.kde.org
  ADD: configurable delay after each track.  currently 0-10 seconds in 1 sec increments
       but could easily be made to use finder increments if ppl want - piggz (www.piggz.co.uk)
  ADD: viswidgetv2.  it seems a lot smoother on my machine.
       its quite easy to tweak the dynamics is needed.  is accessible the same as the other
       widgets, just click until it appears (though it looks the same as the original widget
       it just acts differently) - piggz (www.piggz.co.uk)
  ADD: combo with history and completion for dir/file chooser
  ADD: in configure.in.in for checking the version of TagLib, if compiled from CVS, if not,
       then show, that it uses bundled version of TagLib - Stormy
  FIX: font dialog sizing issues
  ADD: resume playback option. Using this means your track starts up again where you left it
       last time you quit amaroK. Excellent feature for us developers :-)

VERSION 0.7.0:
  FIX: collection of fixes related to showing/raising/hiding the playlist
  when showing/raising/hiding the mainWidget
  FIX: by muesli: make playlist searches a bit faster at the expense of memory
  FIX: (partial fix) bitrate/samplerate font overlap at large font sizes
  change: less staccato loading of widgets
  change: pause makes the analyser bars fall to zero rather than just vanish
  ADD: xfade when starting tracks by doubleclick
  FIX: global shortcuts can now be changed
  FIX: tracks skipping randomly
  change: "BrowserWin Enabled" on by default
  change: "Save Playlist" on by default
  change: "Show Metainfo" on by default
  FIX: make loading playlist not block UI
  FIX: on startup load playlist after UI is shown
  change: "Software Mixer Only" on by default
  FIX: make timedisplay also work for streams
  FIX: volume slider adjusting
  FIX: when dropping tracks to PL, order will stay the same as in FileBrowser
  ADD: FileBrowser sortable by clicking on header
  ADD: analyzer that distorts a bitmap
  ADD: multiple analyzers now possible
  ADD: "Software Mixer Only" option
  Removed stale sigplay()
  Cleaned a couple "deprecated" warnings
  ADD: undo and redo playlist actions
  FIX: rewritten config dialog and moved into separate file
  ADD: started configurable colors
  change: spectrum analyser bars now have dynamics, ie. they move smoothly between values
  ADD: mouse wheel over systray icon changes the track, hold shift to change the volume
  change: rearranged menu order for systray (quit = last)
  change: moved volume slider to the right, lets see if this is better
  ADD: started a font selection page in settings
  FIX: Stream urls are now properly demangled/unescaped (%20 => space etc)

VERSION 0.6.91:
  FIX: ExpandButton submenu now slightly delayed
  FIX: dropping items into playlist
  ADD: drop-target indicator line in PlaylistWidget, providing visual feedback
  ADD: tray menu
  ADD: random mode
  ADD: crossfading between tracks
  ADD: vertical lines between columns in Playlist
  ADD: alternating item colors in Playlist
  ADD: column "directory" in PlaylistWidget (for Grue:)
  ADD: sorting by clicking on column headers in PlaylistWidget
  FIX: rewrote directory reading code in BrowserWidget.cpp.
       code is now much more readable, and it also fixes a bug.
  ADD: additional columns in playlist for tags
  FIX: made metainfo reading algorithm faster
  change: switched to TagLib for metainfo reading
  ADD: button "play" in PlayerWidget.cpp is now a toggleButton
  ADD: tray icon
  FIX: playlist window is optionally hideable with main widget when iconified to tray

VERSION 0.6.0:
  Release :)

VERSION 0.6.0-PRE5:
  fixed: animated buttons don't get stuck anymore
  fixed: invoking help
  changed: MetaInfo reading now off by default. the slowdown was potentially
           confusing to new users
  added: documentation
  fixed: cleaned up Makefile.am a bit
  fixed: defined new APP_VERSION macro, since the old approach did not work
         with CVS
  changed: put amarok into KDE CVS (KDENONBETA)
  added: applied Stormchaser's button patch. the AmarokButtons now work
         in a more standard conform way. Thanks Stormchaser, blessed be :)

VERSION 0.6.0-PRE4:
  added: buttons in playlist window for play, pause, stop, next, prev.
    a.k.a. stakker mode :)
  removed: "load" button. this functionality is now provided by "Add item"
  added: more sanity checks on pointers
  fixed: when track in playlist does not exist, we now skip to the next track
  fixed: all aRts references are freed correctly at program exit
  fixed: effects will not be forgotten any more when EffectWidget is closed

VERSION 0.6.0-PRE3:
  fixed: crash when URLs were dropped onto filebrowser from other apps
  fixed: URL dialog now accepts remote files
  added: correct caption for ArtsConfigWidget
  added: "amaroK Handbook" menu entry, calling KHelpCenter
  changed: amarok gets installed into multimedia now
  fixed: PlayObject configuration

VERSION 0.6.0-PRE2:
  changed: safety question at program exit now off by default
  removed: button "sub" - it was useless
  changed: clearing playlist does not stop playing anymore - for Grue ;)
  fixed: potential crash at startup
  added: menu option to configure PlayObject
  fixed: crash when removing currently playing track

VERSION 0.6.0-PRE1:
  fixed: flicker in glowing item
  fixed: another memory leak in analyzer (hopefully the last one!)
  added: playlist widget can display metainfo instead of filenames
  added: repeat track / repeat playlist

VERSION 0.5.2 - 0.5.2-DEV6:
  fixed: memory leak in analyzer code.
  added: shortcut for copying current title to the clipboard
  added: slider position can be changed by just clicking somewhere on the slider
  added: icon
  added: url can be entered directly above the filebrowser widget
  changed: removed the "jump" widget. you can now enter a filter string
    directly above the playlist widget
  added: playlists (.m3u and .pls) can now directly be dragged into the playlist
  added: support for .pls (audio/x-scpls)
  added: amarok is now completely network-transparent. any kind of folder,
    local as well as remote, can be browsed and played.
  added: check for libamarokarts. amarok won't crash anymore if it's not found
  added: the time display now has a mode for showing the remaining time, too
  fixed: crash when clearing playlist, after playlist has played till the end.
    clearing the playlist stops the playing now.
  added: new gfx in playerwidget
  fixed: progressbar sometimes not working, zero tracklength
  fixed: font of bitrate/frequency display too big on some systems
  added: command line options
  added: timedisplay is now updated during seeks
  added: saving window positions and size on exit
  added: due to popular request, I finally changed the behaviour of the "play"
    button. it's now possible to start a track on a fresh playlist without
    double-clicking an item.
  fixed: compile error on GCC 3.3.1 in visQueue.cpp. bugfix by thiago
  added: completely rewrote drag-and-drop code. works recursively now (optionally).
    plus dragging stuff from other applications into amaroK also works now.

VERSION 0.5.1:
  added a Tip of the Day at startup to explain the user interface a bit
  added restarting of artsd on first program start to make sure it registers
    the new mcopclasses
  fixed possible compile error in viswidget.cpp
  amaroK uses much less CPU now than it used to. This was mainly achieved by
    using a new FFT-analyzer module, which I took from Noatuns "Winskin"-plugin,
    and modified slightly to my needs. Also some other optimizations were made,
    which improved the standby performance, when no song is playing. I'm still
    not satisfied with overall performance, tho, but it seems that most of the
    load is produced by the aRts code itself, so this will rather be difficult
    to improve.
  fixed crash when "next" or "previous" was pressed without a track
    loaded
  thanks to valgrind I was able to find and squish some serious bugs,
    most of which were related to pointers. to sum it up: pointers are evil.
    valgrind is great.
  lots of UI-changes in the main widget. uses a background pixmap now, a
    custom font and widget for the time-display, and generally looks better
  fixed issues with the liquid skin. unfortunately, there seems to be no way
    to display pushbuttons correctly with a black background under liquid. so,
    until I find a solution for that, the expandbutton widget doesn't look quite
    as cool as it used to. maybe I should ask mosfet about this..

VERSION 0.50:
  renamed 0.15 to 0.50

VERSION 0.15:
  playing streams now works! *yipeeee*
  fixed tons of bugs in aRts playing code. i think i got it right now.
  fixed loading and saving of playlists. can cope with all protocols now.
  fixed a bug in EffectWidget.cpp, that gave a compile error on some systems.
  Converting QString into std::string was not done correctly. Thanks to
    Whitehawk Stormchaser for that one :)
  changed project name to "amaroK" and built new project-file

VERSION 0.14 (internal):
  implemented use of arts-software-mixing, in case hardware-mixing
  (/dev/mixer) doesn't work
  fixed crash when play was pressed without selecting a file
  changed the direction of the volume-slider. maximum is now at the top
  added automatic saving of current playlist on exit
  added previous/next track
  added two radiobuttons in the playerwidget for toggling the
    playlist/equalizer on and off. admitted, the equalizer doesn't yet exist, so
    it's just a dummy button :P
  added popup-menu for the playerwidget. opens on
    right mouse button. this menu finally replaces the ugly menubar.
  added some icons (from noatun) for the player-buttons instead of text
  added pause function
  changed most names in the source to comply with the
    (unofficial?) KDE c++ coding standard (using the prefix "m_" for member
    attributes and so on). This was real slave-work :/
  cleaned up code in several classes
  fixed problem where subwidgets got keyboard focus and were drawn dark with
    the liquid style. switched off focus completely, since it's not needed for
    this type of application

VERSION 0.13 (internal):
  added cute animated pushbuttons with sub-menus
  added saving playlists
  added dragging items inside of playlist widget
  added forward declarations in header files to reduce compile time
  added saving of browserwin/splitter size
  rewrote track information widget. used a html table for the text. looks much
  nicer now :)
  fixed sorting function
  fixed jump widget. removed huge memory leaks in the widget
  fixed flicker in analyzer widget
  tons of bugfixes in playing code. partly rewritten. seems to be much more
  stable now

VERSION 0.12 (internal):
  added ChangeLog and TODO
  added grid under scope display
  added saving of options, like current directory and playlist
  added detection of mimetypes
  added adjusting volume by mousewheel
  added skipping to next track after playing
  added loads of sanity/safety checks
  bugfixes (tons of) in playlist code, partly rewritten
  bugfixes in scope code


VERSION 0.1 - 0.11:
  internal versions, no changelog
  tried no less then 4 different sound interfaces:
    mpg123, smpeg, alsaplayer, and finally aRts

# vim: expandtab ts=2 sw=2
